webpackJsonp([100],{

/***/ 1267:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProductReviewsPageModule", function() { return ProductReviewsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__product_reviews__ = __webpack_require__(1402);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let ProductReviewsPageModule = class ProductReviewsPageModule {
};
ProductReviewsPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__product_reviews__["a" /* ProductReviewsPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__product_reviews__["a" /* ProductReviewsPage */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__product_reviews__["a" /* ProductReviewsPage */]
        ]
    })
], ProductReviewsPageModule);

//# sourceMappingURL=product-reviews.module.js.map

/***/ }),

/***/ 1402:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProductReviewsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_product_product_service__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_view_utils__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





let ProductReviewsPage = class ProductReviewsPage {
    constructor(
        //private navCtrl: NavController,
        navParams, sessionManager, prodductService, loadingCtrl) {
        this.navParams = navParams;
        this.sessionManager = sessionManager;
        this.prodductService = prodductService;
        this.loadingCtrl = loadingCtrl;
        this.user = {};
        this.productReviews = [];
    }
    ionViewWillEnter() {
        this.productReviews = [];
        this.user = this.sessionManager.getPrincipal();
        this.product = this.navParams.get("product");
        this.productReviews = this.navParams.get("reviews");
        this.fetchReviews();
    }
    fetchReviews() {
        if (!this.productReviews || this.productReviews.length === 0) {
            var params = {
                token: this.user ? this.user.token : null,
                article: this.product.productCode
            };
            const loading = this.loadingCtrl.create();
            loading.present();
            this.prodductService.getProductRecommendations(params).subscribe((response) => {
                loading.dismiss();
                this.productReviews = response;
            }, error => {
                loading.dismiss();
            });
        }
    }
    //Arreglo par manejo de las estrellas
    range(n) {
        return new Array(n);
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_4__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
ProductReviewsPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: "page-reviews",template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\products\pages\product-reviews\product-reviews.html"*/'  <ion-header class="header-ion-header" [ngStyle]="navbarBackground()">\n\n      <ion-navbar transparent class="home-nav">\n\n        <button ion-button menuToggle color="light">\n\n          <ion-icon name="md-menu"></ion-icon>\n\n        </button>\n\n        <ion-title class="header-ion-title" color="light">\n\n          <div class="header-title-bar">\n\n            <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n            <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n          </div>\n\n        </ion-title>\n\n      </ion-navbar>\n\n      <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n          RECOMENDACIONES\n\n      </ion-toolbar>\n\n  </ion-header>\n\n\n\n  <ion-content class="settings">\n\n      <ion-card *ngIf="productReviews && productReviews.length > 0">\n\n          <ion-card-content>\n\n              <ion-list>\n\n\n\n                    <ng-container *ngFor="let review of productReviews; let last = last;">\n\n                        <ion-item text-wrap>\n\n                          <ion-avatar item-left>\n\n                            <img [src]="review.avatar" onerror="this.src=\'assets/images/profile/profile.png\';">\n\n                          </ion-avatar>\n\n                          <div class="xl-txt">\n\n                            <div>\n\n                              <span class="pull-left text-sm review-name">{{ review.name }}</span>\n\n                              <span class="pull-right text-sm">\n\n                                  <ion-icon name="md-star" [ngClass]="(review.stars >= 1 ? \'star-full\' : \'star-empty\')"></ion-icon>\n\n                                  <ion-icon name="md-star" [ngClass]="(review.stars >= 2 ? \'star-full\' : \'star-empty\')"></ion-icon>\n\n                                  <ion-icon name="md-star" [ngClass]="(review.stars >= 3 ? \'star-full\' : \'star-empty\')"></ion-icon>\n\n                                  <ion-icon name="md-star" [ngClass]="(review.stars >= 4 ? \'star-full\' : \'star-empty\')"></ion-icon>\n\n                                  <ion-icon name="md-star" [ngClass]="(review.stars >= 5 ? \'star-full\' : \'star-empty\')"></ion-icon>\n\n                              </span>\n\n                              <div class="clear"></div>\n\n                            </div>\n\n                            <div>\n\n                              <span class="text-sm" ion-text color="gray">{{ review.date | date : \'dd/MM/yyyy\' }}</span>\n\n                            </div>\n\n                          </div>\n\n                        </ion-item>\n\n                        <ion-item text-wrap>\n\n                            <div class="review-detail-container">\n\n                                <p class="review-detail" text-left>\n\n                                    <label class="lg-txt">{{ review.detail }}</label>\n\n                                  </p>\n\n                            </div>\n\n                        </ion-item>\n\n                  </ng-container>\n\n\n\n                </ion-list>\n\n          </ion-card-content>\n\n      </ion-card>\n\n  </ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\products\pages\product-reviews\product-reviews.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_2__providers_product_product_service__["a" /* ProductService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
], ProductReviewsPage);

//# sourceMappingURL=product-reviews.js.map

/***/ })

});
//# sourceMappingURL=100.js.map