webpackJsonp([110],{

/***/ 1241:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NotificationCenterPageModule", function() { return NotificationCenterPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__notification_center__ = __webpack_require__(1378);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic2_super_tabs__ = __webpack_require__(159);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







let NotificationCenterPageModule = class NotificationCenterPageModule {
};
NotificationCenterPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__notification_center__["a" /* NotificationCenterPage */]
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__notification_center__["a" /* NotificationCenterPage */]),
            __WEBPACK_IMPORTED_MODULE_3_ionic2_super_tabs__["b" /* SuperTabsModule */].forRoot()
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__notification_center__["a" /* NotificationCenterPage */]
        ]
    })
], NotificationCenterPageModule);

//# sourceMappingURL=notification-center.module.js.map

/***/ }),

/***/ 1378:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NotificationCenterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_notifications_service__ = __webpack_require__(158);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_offers_service__ = __webpack_require__(167);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic2_super_tabs__ = __webpack_require__(159);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







let NotificationCenterPage = class NotificationCenterPage {
    constructor(navCtrl, navParams, 
        //private events: Events,
        notificationService, sessionManager, offerService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.notificationService = notificationService;
        this.sessionManager = sessionManager;
        this.offerService = offerService;
        this.GENERAL_NOTIFICATIONS = "efast-generalNotifications";
        this.ORDERS_NOTIFICATIONS = "efast-ordersNotifications";
        this.DEALS_NOTIFICATIONS = "efast-dealsNotifications";
        this.orderNotifications = [];
        this.dealsNotifications = [];
        this.tabsLoaded = false;
        this.unreadHandled = false;
        this.totalGeneralUnread = 0;
        this.totalOffersUnread = 0;
        this.totalDealsUnread = 0;
        this.page1 = 'NotificationGeneralPage';
        this.page2 = 'NotificationDealsPage';
        this.page4 = 'NotificationOrdersPage';
    }
    ionViewDidLoad() {
        this.totalGeneralUnread = 0;
        this.totalDealsUnread = 0;
        this.totalOffersUnread = 0;
        this.performOrderNotificationFetch(() => {
            this.performDealsNotificationsFetch(() => {
                this.tabsLoaded = true;
            });
        });
    }
    ionViewDidEnter() {
        if (!this.unreadHandled) {
            this.handleUnreadNotifications();
            this.unreadHandled = true;
        }
    }
    performOrderNotificationFetch(callback) {
        this.notificationService.getStoredNotifications(this.notificationService.ORDERS_NOTIFICATIONS).subscribe((list) => {
            this.orderNotifications = list;
            if (callback)
                callback();
        });
    }
    performDealsNotificationsFetch(callback) {
        this.notificationService.getStoredNotifications(this.notificationService.DEALS_NOTIFICATIONS).subscribe((list) => {
            this.dealsNotifications = list;
            if (callback)
                callback();
        });
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_2__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
    handleNavigation(page) {
        __WEBPACK_IMPORTED_MODULE_2__util_view_utils__["a" /* ViewUtils */].handleNavigation(this.navCtrl, page, this.sessionManager);
    }
    handleUnreadNotifications() {
        this.notificationService.getStoredNotifications(this.GENERAL_NOTIFICATIONS).subscribe((storedList) => {
            if (storedList && storedList.length > 0) {
                for (let j = 0; j < storedList.length; j++) {
                    if (storedList[j].read === "N") {
                        this.totalGeneralUnread++;
                    }
                    ;
                }
            }
            this.notificationService.getStoredNotifications(this.ORDERS_NOTIFICATIONS).subscribe((storedList2) => {
                if (storedList2 && storedList2.length > 0) {
                    for (let j = 0; j < storedList2.length; j++) {
                        if (storedList2[j].read === "N") {
                            this.totalOffersUnread++;
                        }
                        ;
                    }
                }
                this.notificationService.getStoredNotifications(this.DEALS_NOTIFICATIONS).subscribe((storedList3) => {
                    if (storedList3 && storedList3.length > 0) {
                        for (let j = 0; j < storedList3.length; j++) {
                            if (storedList3[j].read === "N") {
                                this.totalDealsUnread++;
                            }
                            ;
                        }
                    }
                    if (this.totalGeneralUnread > 0) {
                        this.slideToIndex(0);
                    }
                    else if (this.totalDealsUnread > 0) {
                        this.slideToIndex(1);
                    }
                    else if (this.totalOffersUnread > 0) {
                        this.slideToIndex(2);
                    }
                });
            });
        });
    }
    slideToIndex(index) {
        this.superTabs.slideTo(index);
    }
};
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_6_ionic2_super_tabs__["a" /* SuperTabs */]),
    __metadata("design:type", __WEBPACK_IMPORTED_MODULE_6_ionic2_super_tabs__["a" /* SuperTabs */])
], NotificationCenterPage.prototype, "superTabs", void 0);
NotificationCenterPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-notification-center',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\notifications\pages\notification-center.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n    <ion-navbar no-border transparent class="home-nav">\n\n        <button ion-button menuToggle color="light">\n\n            <ion-icon name="md-menu"></ion-icon>\n\n        </button>\n\n        <ion-title class="header-ion-title" color="light">\n\n            <div class="header-title-bar">\n\n                <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n                <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n            </div>\n\n        </ion-title>\n\n        <ion-buttons end>\n\n            <button ion-button icon-only color="light" tappable (click)="navCtrl.push(\'NotificationSetupPage\')">\n\n                <span ion-text>Configurar</span>\n\n            </button>\n\n          </ion-buttons>\n\n    </ion-navbar>\n\n    <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n        Notificaciones\n\n    </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content no-bounce>\n\n  <super-tabs id="mainTabs" scrollTabs [config]="{ sideMenu: \'left\' }" *ngIf="tabsLoaded" no-border no-shadow>\n\n    <super-tab [root]="page1" title="NOTICIAS" id="notificationGeneral"></super-tab>\n\n    <super-tab [root]="page2" title="NOVEDADES Y PROMOS" id="notificationOffers"></super-tab> <!-- *ngIf="dealsNotifications && dealsNotifications.length > 0" -->\n\n    <super-tab [root]="page4" title="PEDIDOS" id="notificationOrders"></super-tab> <!--  *ngIf="orderNotifications && orderNotifications.length > 0" -->\n\n  </super-tabs>\n\n\n\n  <ion-fab right bottom>\n\n      <button ion-fab class="button-option"><ion-icon name="apps"></ion-icon></button>\n\n      <ion-fab-list side="top">\n\n          <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'SearchCategoriesPage\')"><ion-icon name="md-filing"></ion-icon></button>\n\n          <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'SearchPage\')"><ion-icon name="md-search"></ion-icon></button>\n\n          <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'CartPage\')"><ion-icon name="md-cart"></ion-icon></button>\n\n          <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'Root\')"><ion-icon name="md-home"></ion-icon></button>\n\n      </ion-fab-list>\n\n    </ion-fab>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\notifications\pages\notification-center.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_4__providers_notifications_service__["a" /* NotificationService */],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_5__providers_offers_service__["a" /* OffersService */]])
], NotificationCenterPage);

//# sourceMappingURL=notification-center.js.map

/***/ })

});
//# sourceMappingURL=110.js.map