webpackJsonp([57],{

/***/ 1342:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TopicsPageModule", function() { return TopicsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__topics__ = __webpack_require__(1501);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let TopicsPageModule = class TopicsPageModule {
};
TopicsPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__topics__["a" /* TopicsPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__topics__["a" /* TopicsPage */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__topics__["a" /* TopicsPage */]
        ]
    })
], TopicsPageModule);

//# sourceMappingURL=topics.module.js.map

/***/ }),

/***/ 1501:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TopicsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_topics_service__ = __webpack_require__(743);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_view_utils__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};





let TopicsPage = class TopicsPage {
    constructor(navCtrl, navParams, topicService, sessionManager, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.topicService = topicService;
        this.sessionManager = sessionManager;
        this.loadingCtrl = loadingCtrl;
        this.items = [];
    }
    ionViewDidLoad() {
        this.performFetch();
    }
    performFetch() {
        return __awaiter(this, void 0, void 0, function* () {
            const loading = this.loadingCtrl.create();
            loading.present();
            var param = {};
            param.token = this.sessionManager.getToken();
            param.userId = this.sessionManager.getPrincipal().userId;
            this.topicService.getTopics(param).subscribe((list) => {
                loading.dismiss();
                this.items = list;
            }, error => {
                loading.dismiss();
            });
        });
    }
    showDetail(topic) {
        if (topic.information) {
            this.navCtrl.push('InformationPage', { 'information': topic.information });
        }
        else {
            const loading = this.loadingCtrl.create();
            loading.present();
            topic.token = this.sessionManager.getToken();
            topic.userId = this.sessionManager.getPrincipal().userId;
            this.topicService.getTopicsDetails(topic).subscribe((detail) => {
                loading.dismiss();
                topic.information = detail.information;
                this.navCtrl.push('InformationPage', { 'information': topic.information });
            }, error => {
                loading.dismiss();
            });
        }
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_4__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
    handleNavigation(page) {
        __WEBPACK_IMPORTED_MODULE_4__util_view_utils__["a" /* ViewUtils */].handleNavigation(this.navCtrl, page, this.sessionManager);
    }
};
TopicsPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-topics',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\support\pages\topics\topics.html"*/'<!--ion-header class="no-shadow">\n\n\n\n  <ion-navbar class="home-nav">\n\n    <button ion-button menuToggle>\n\n        <ion-icon name="md-menu"></ion-icon>\n\n      </button>\n\n    <ion-title>T&oacute;picos</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header-->\n\n\n\n<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n    <ion-navbar no-border transparent class="home-nav">\n\n        <button ion-button menuToggle color="light">\n\n            <ion-icon name="md-menu"></ion-icon>\n\n        </button>\n\n        <ion-title class="header-ion-title" color="light">\n\n            <div class="header-title-bar">\n\n                <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n                <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n            </div>\n\n        </ion-title>\n\n    </ion-navbar>\n\n    <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n            T&oacute;picos de Ayuda\n\n    </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content class="profile">\n\n\n\n  <div class="settings">\n\n\n\n      <ion-list text-left>\n\n            <ion-item-group>\n\n              <ion-item text-wrap *ngFor="let item of items" tappable (click)="showDetail(item)">\n\n                 <label class="md-txt-lg">{{ item.description }}</label>\n\n                  <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n              </ion-item>\n\n            </ion-item-group>\n\n          </ion-list>\n\n\n\n    </div>\n\n\n\n    <ion-fab right bottom>\n\n        <button ion-fab class="button-option"><ion-icon name="apps"></ion-icon></button>\n\n        <ion-fab-list side="top">\n\n            <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'SearchCategoriesPage\')"><ion-icon name="md-filing"></ion-icon></button>\n\n            <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'SearchPage\')"><ion-icon name="md-search"></ion-icon></button>\n\n            <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'CartPage\')"><ion-icon name="md-cart"></ion-icon></button>\n\n            <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'Root\')"><ion-icon name="md-home"></ion-icon></button>\n\n        </ion-fab-list>\n\n      </ion-fab>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\support\pages\topics\topics.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_3__providers_topics_service__["a" /* TopicsService */],
        __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
], TopicsPage);

//# sourceMappingURL=topics.js.map

/***/ })

});
//# sourceMappingURL=57.js.map