webpackJsonp([60],{

/***/ 1338:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RefundWizardReasonPageModule", function() { return RefundWizardReasonPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__refund_wizard_reason__ = __webpack_require__(1497);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let RefundWizardReasonPageModule = class RefundWizardReasonPageModule {
};
RefundWizardReasonPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__refund_wizard_reason__["a" /* RefundWizardReasonPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__refund_wizard_reason__["a" /* RefundWizardReasonPage */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__refund_wizard_reason__["a" /* RefundWizardReasonPage */]
        ]
    })
], RefundWizardReasonPageModule);

//# sourceMappingURL=refund-wizard-reason.module.js.map

/***/ }),

/***/ 1497:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RefundWizardReasonPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_refund_service__ = __webpack_require__(691);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__ = __webpack_require__(42);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






let RefundWizardReasonPage = class RefundWizardReasonPage {
    constructor(navCtrl, navParams, toastCtrl, translate, refundService, sessionManager, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toastCtrl = toastCtrl;
        this.translate = translate;
        this.refundService = refundService;
        this.sessionManager = sessionManager;
        this.loadingCtrl = loadingCtrl;
        this.reasons = [];
    }
    ionViewDidLoad() {
        this.performFetch();
    }
    ionViewWillEnter() {
        this.item = this.navParams.get("item");
    }
    performFetch() {
        const loading = this.loadingCtrl.create();
        loading.present();
        this.refundService.getRefundReasons(this.sessionManager.getSession().toModel()).subscribe((list) => {
            loading.dismiss();
            this.reasons = list;
        }, error => {
            loading.dismiss();
        });
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_4__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
    next() {
        if (this.selectedReasonId) {
            for (let i = 0; i < this.reasons.length; i++) {
                if (this.reasons[i].reasonId === this.selectedReasonId) {
                    this.item.refundReason = this.reasons[i];
                    break;
                }
            }
            this.navCtrl.push('RefundWizardPicturePage', { 'item': this.item });
        }
        else {
            __WEBPACK_IMPORTED_MODULE_4__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.chooseValidValues"));
        }
    }
};
RefundWizardReasonPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-refund-wizard-reason',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\support\pages\refund\refund-wizard-reason\refund-wizard-reason.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n    <ion-navbar no-border transparent class="home-nav">\n\n        <button ion-button menuToggle color="light">\n\n            <ion-icon name="md-menu"></ion-icon>\n\n        </button>\n\n        <ion-title class="header-ion-title" color="light">\n\n            <div class="header-title-bar">\n\n                <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n                <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n            </div>\n\n        </ion-title>\n\n    </ion-navbar>\n\n    <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n      DEVOLUCI&Oacute;N DE UN PRODUCTO\n\n    </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content class="profile">\n\n\n\n    <div class="item-title md-txt-lg">\n\n        PASO 2. ¿Por qué deseas devolver el producto?\n\n      </div>\n\n\n\n  <div class="settings">\n\n\n\n      <ion-list inset radio-group [(ngModel)]="selectedReasonId">\n\n          <ng-container *ngFor="let item of reasons">\n\n              <ion-item>\n\n                  <ion-label text-wrap>\n\n                      <span class="main-text lg-txt">{{item.description}}</span>\n\n                  </ion-label>\n\n                  <ion-radio [value]="item.reasonId"></ion-radio>\n\n              </ion-item>\n\n          </ng-container>\n\n      </ion-list>\n\n\n\n    </div>\n\n\n\n    <div class="footer-button">\n\n        <button ion-button block round clear class="action-button lg-txt-btn" tappable (click)="next()">Siguiente</button>\n\n      </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\support\pages\refund\refund-wizard-reason\refund-wizard-reason.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_5__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_2__providers_refund_service__["a" /* RefundService */],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
], RefundWizardReasonPage);

//# sourceMappingURL=refund-wizard-reason.js.map

/***/ })

});
//# sourceMappingURL=60.js.map