webpackJsonp([62],{

/***/ 1336:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RefundPoliciesPageModule", function() { return RefundPoliciesPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__refund_policies__ = __webpack_require__(1495);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let RefundPoliciesPageModule = class RefundPoliciesPageModule {
};
RefundPoliciesPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__refund_policies__["a" /* RefundPoliciesPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__refund_policies__["a" /* RefundPoliciesPage */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__refund_policies__["a" /* RefundPoliciesPage */]
        ]
    })
], RefundPoliciesPageModule);

//# sourceMappingURL=refund-policies.module.js.map

/***/ }),

/***/ 1495:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RefundPoliciesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_refund_service__ = __webpack_require__(691);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_view_utils__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





let RefundPoliciesPage = class RefundPoliciesPage {
    constructor(navCtrl, navParams, refundService, sessionManager, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.refundService = refundService;
        this.sessionManager = sessionManager;
        this.loadingCtrl = loadingCtrl;
        this.items = [];
    }
    ionViewDidLoad() {
        this.performFetch();
    }
    performFetch() {
        const loading = this.loadingCtrl.create();
        loading.present();
        var param = {};
        param.token = this.sessionManager.getToken();
        param.userId = this.sessionManager.getPrincipal().userId;
        this.refundService.getSubjects(param).subscribe((list) => {
            loading.dismiss();
            this.items = list;
        }, error => {
            loading.dismiss();
        });
    }
    showDetail(refund) {
        if (refund.information) {
            this.navCtrl.push('InformationPage', { 'information': refund.information, 'title': refund.description });
        }
        else {
            const loading = this.loadingCtrl.create();
            loading.present();
            refund.token = this.sessionManager.getToken();
            refund.userId = this.sessionManager.getPrincipal().userId;
            this.refundService.getSubjectDetails(refund).subscribe((details) => {
                loading.dismiss();
                refund.details = details;
                if (details && details.length > 0) {
                    for (let i = 0; i < details.length; i++) {
                        let detail = details[i].description;
                        refund.information = refund.information ? (refund.information + "<br>" + detail) : detail;
                    }
                    this.navCtrl.push('InformationPage', { 'information': refund.information, 'title': refund.description });
                }
            }, error => {
                loading.dismiss();
            });
        }
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_4__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
RefundPoliciesPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-refund-policies',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\support\pages\refund\refund-policies\refund-policies.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n  <ion-navbar no-border transparent class="home-nav">\n\n      <button ion-button menuToggle color="light">\n\n          <ion-icon name="md-menu"></ion-icon>\n\n      </button>\n\n      <ion-title class="header-ion-title" color="light">\n\n          <div class="header-title-bar">\n\n              <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n              <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n          </div>\n\n      </ion-title>\n\n  </ion-navbar>\n\n  <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n    POL&Iacute;TICAS DE DEVOLUCIONES\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content class="profile">\n\n\n\n  <div class="settings">\n\n\n\n      <ion-list text-left>\n\n            <ion-item-group>\n\n              <ion-item text-wrap *ngFor="let item of items" tappable (click)="showDetail(item)">\n\n                 <label class="lg-txt">{{ item.description }}</label>\n\n                  <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n              </ion-item>\n\n            </ion-item-group>\n\n          </ion-list>\n\n\n\n    </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\support\pages\refund\refund-policies\refund-policies.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_2__providers_refund_service__["a" /* RefundService */],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
], RefundPoliciesPage);

//# sourceMappingURL=refund-policies.js.map

/***/ })

});
//# sourceMappingURL=62.js.map