webpackJsonp([68],{

/***/ 1323:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SecurityQuestionsPageModule", function() { return SecurityQuestionsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__security_questions__ = __webpack_require__(1463);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let SecurityQuestionsPageModule = class SecurityQuestionsPageModule {
};
SecurityQuestionsPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__security_questions__["a" /* SecurityQuestionsPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__security_questions__["a" /* SecurityQuestionsPage */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__security_questions__["a" /* SecurityQuestionsPage */]
        ]
    })
], SecurityQuestionsPageModule);

//# sourceMappingURL=security-questions.module.js.map

/***/ }),

/***/ 1463:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SecurityQuestionsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_security_questions_service__ = __webpack_require__(686);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_view_utils__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





let SecurityQuestionsPage = class SecurityQuestionsPage {
    constructor(navCtrl, alertCtrl, viewCtrl, navParams, sessionManager, loadingCtrl, toastCtrl, securityService) {
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.viewCtrl = viewCtrl;
        this.navParams = navParams;
        this.sessionManager = sessionManager;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.securityService = securityService;
        this.questions = [];
        this.fromLogin = true;
    }
    ionViewDidLoad() {
    }
    ionViewWillEnter() {
        this.fromLogin = this.navParams.get("fromLogin");
        this.sessionManager.clear("selectedQuestion");
        this.questions = this.sessionManager.get("securityQuestions");
        if (!this.questions) {
            this.fetchQuestions();
        }
    }
    fetchQuestions() {
        if (!this.questions || this.questions.length === 0) {
            var loading = this.loadingCtrl.create();
            loading.present();
            this.securityService.getSecurityQuestions().subscribe((list) => {
                this.questions = list;
                loading.dismiss();
            }, error => {
                loading.dismiss();
            });
        }
    }
    select(question) {
        this.sessionManager.set("selectedQuestion", question);
        this.navCtrl.pop();
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_4__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
    dismiss() {
        this.navCtrl.pop();
    }
};
SecurityQuestionsPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-security-questions',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\security\pages\security-questions\security-questions.html"*/'<ion-header class="no-shadow" *ngIf="fromLogin">\n\n  <ion-navbar class="home-nav">\n\n    <ion-title class="lg-txt">Pregunta de Seguridad</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-header *ngIf="!fromLogin" class="header-ion-header" [ngStyle]="navbarBackground()">\n\n  <ion-navbar transparent class="home-nav">\n\n    <ion-title class="header-ion-title" color="light">\n\n      <div class="header-title-bar">\n\n        <img showWhen="android,windows" class="header-title-image" height="40" alt="logo"\n\n          src="assets/images/general/Logo-E-Fast.png">\n\n        <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n      </div>\n\n    </ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only color="light" tappable (click)="dismiss()">\n\n        <span ion-text>Cerrar</span>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n  <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n    SELECCIONAR PREGUNTA\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content class="profile">\n\n\n\n  <div class="forms">\n\n\n\n    <ion-list text-left>\n\n      <ion-item-group>\n\n        <ion-item-divider>Listado de preguntas de seguridad</ion-item-divider>\n\n        <ion-item text-wrap tappable *ngFor="let question of questions" tappable (click)="select(question)">\n\n          <label class="md-txt-lg">{{question.description}}</label>\n\n        </ion-item>\n\n      </ion-item-group>\n\n    </ion-list>\n\n\n\n  </div>\n\n\n\n</ion-content>'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\security\pages\security-questions\security-questions.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_3__providers_security_questions_service__["a" /* SecurityQuestionsService */]])
], SecurityQuestionsPage);

//# sourceMappingURL=security-questions.js.map

/***/ })

});
//# sourceMappingURL=68.js.map