webpackJsonp([87],{

/***/ 1297:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProductHistoryPageModule", function() { return ProductHistoryPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__product_history__ = __webpack_require__(1437);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_image_loader__ = __webpack_require__(269);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







let ProductHistoryPageModule = class ProductHistoryPageModule {
};
ProductHistoryPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__product_history__["a" /* ProductHistoryPage */]
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__product_history__["a" /* ProductHistoryPage */]),
            __WEBPACK_IMPORTED_MODULE_3_ionic_image_loader__["b" /* IonicImageLoader */]
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__product_history__["a" /* ProductHistoryPage */]
        ]
    })
], ProductHistoryPageModule);

//# sourceMappingURL=product-history.module.js.map

/***/ }),

/***/ 1437:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProductHistoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__products_providers_wishlist_wish_list_helper_service__ = __webpack_require__(270);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__products_providers_product_listing_product_history_listing_service__ = __webpack_require__(742);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__products_providers_product_product_helper_service__ = __webpack_require__(271);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__util_view_utils__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};








let ProductHistoryPage = class ProductHistoryPage {
    constructor(appCtrl, navCtrl, events, sessionManager, wishListHelper, productHistoryListingService, actionSheetCtrl, productHelper) {
        this.appCtrl = appCtrl;
        this.navCtrl = navCtrl;
        this.events = events;
        this.sessionManager = sessionManager;
        this.wishListHelper = wishListHelper;
        this.productHistoryListingService = productHistoryListingService;
        this.actionSheetCtrl = actionSheetCtrl;
        this.productHelper = productHelper;
        this.list = [];
        this.isLoaded = false;
        this.timeout = true;
        this.hasDataSection = true;
        //Moneda del usuario para montos
        this.currencySymbol = this.sessionManager.getCurrencySymbol();
        //En caso de que la carga de estos productos este en proceso
        //cuando se va a mostrar
        this.events.subscribe(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].event.PRODUCT_HISTORY_LOADED, (list) => {
            this.timeout = false;
            this.updateView();
        });
    }
    ionViewDidLoad() {
    }
    ionViewWillEnter() {
        this.fetch();
        //Actualiza las variables de datos al mostrarse el view
        this.updateView();
        //Vuelve a refrescar las variables de datos X segundos despues, en el caso de que este lento el servicio y haya tardado mas del tiempo
        //en que se mostro la pantalla
        setTimeout(() => {
            this.updateView();
            //this.controlTimeoutExpiration();
        }, __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.defaultDataLoadWaitVisualTimeout);
    }
    updateView() {
        this.hasDataSection = this.list && this.list.length > 0;
    }
    fetch() {
        this.productHistoryListingService.fetchData().subscribe((list) => {
            this.list = list;
            this.isLoaded = true;
            this.events.publish(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].event.PRODUCT_HISTORY_LOADED);
        });
    }
    handleWishList(item) {
        return __awaiter(this, void 0, void 0, function* () {
            this.wishListHelper.performWishListAction(item);
        });
    }
    openProduct(product) {
        this.navCtrl.push('ProductDetailPage', { product: product });
    }
    productMenu(item) {
        this.productHelper.showProductMenu(this.appCtrl, this.navCtrl, this.actionSheetCtrl, item);
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
ProductHistoryPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-product-history',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\profile-products\product-history\product-history.html"*/'  <ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n      <ion-navbar no-border transparent class="home-nav">\n\n          <button ion-button menuToggle color="light">\n\n              <ion-icon name="md-menu"></ion-icon>\n\n          </button>\n\n          <ion-title class="header-ion-title" color="light">\n\n              <div class="header-title-bar">\n\n                  <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n                  <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n              </div>\n\n          </ion-title>\n\n      </ion-navbar>\n\n      <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n        PRODUCTOS VISTOS RECIENTEMENTE\n\n      </ion-toolbar>\n\n  </ion-header>\n\n\n\n\n\n<ion-content>\n\n\n\n    <div class="home-content">\n\n\n\n      <!-- No se encontraron datos, despliega mensaje informativo -->\n\n      <div class="settings" *ngIf="isLoaded && !hasDataSection">\n\n            <div class="empty-message"  padding>\n\n                <ion-row>\n\n                  <ion-col text-center>\n\n                    <ion-icon class="empty-icon" name="ios-albums-outline"></ion-icon><br>\n\n                    <label class="lg-txt">No hay datos para mostrar.</label>\n\n                  </ion-col>\n\n                </ion-row>\n\n            </div>\n\n        </div>\n\n\n\n        <ion-card *ngIf="!isLoaded">\n\n            <!-- Skeleton structure mientras carga -->\n\n            <ion-card-content no-padding>\n\n                <ion-row wrap class="items">\n\n                    <ion-col col-6>\n\n                        <div class="listing fake-item">\n\n                            <div class="fake-image-container">\n\n                                <div class="fake-image"></div>\n\n                            </div>\n\n                            <h2></h2>\n\n                            <h3></h3>\n\n                        </div>\n\n                    </ion-col>\n\n                    <ion-col col-6>\n\n                        <div class="listing fake-item">\n\n                            <div class="fake-image-container">\n\n                                <div class="fake-image"></div>\n\n                            </div>\n\n                            <h2></h2>\n\n                            <h3></h3>\n\n                        </div>\n\n                    </ion-col>\n\n                    <ion-col col-6>\n\n                        <div class="listing fake-item">\n\n                            <div class="fake-image-container">\n\n                                <div class="fake-image"></div>\n\n                            </div>\n\n                            <h2></h2>\n\n                            <h3></h3>\n\n                        </div>\n\n                    </ion-col>\n\n                    <ion-col col-6>\n\n                        <div class="listing fake-item">\n\n                            <div class="fake-image-container">\n\n                                <div class="fake-image"></div>\n\n                            </div>\n\n                            <h2></h2>\n\n                            <h3></h3>\n\n                        </div>\n\n                    </ion-col>\n\n                    <ion-col col-6>\n\n                            <div class="listing fake-item">\n\n                                <div class="fake-image-container">\n\n                                    <div class="fake-image"></div>\n\n                                </div>\n\n                                <h2></h2>\n\n                                <h3></h3>\n\n                            </div>\n\n                        </ion-col>\n\n                        <ion-col col-6>\n\n                            <div class="listing fake-item">\n\n                                <div class="fake-image-container">\n\n                                    <div class="fake-image"></div>\n\n                                </div>\n\n                                <h2></h2>\n\n                                <h3></h3>\n\n                            </div>\n\n                        </ion-col>\n\n                </ion-row>\n\n              </ion-card-content>\n\n        </ion-card>\n\n\n\n        <ion-card class="productDetail" *ngIf="isLoaded && hasDataSection">\n\n                <ion-card-content no-padding>\n\n                    <ion-row wrap class="product-thumbnail-items-sugg">\n\n                        <ion-col col-6 *ngFor="let item of list">\n\n                            <!--se coloca col-12 ya que el display:flex hace que el div reduzca su tamaño mientras carga-->\n\n                            <!--no margin y no-padding son necesarios ya que col-12 agrega padding y margin-->\n\n                            <div no-margin no-padding col-12 [ngClass]="item.discountPercentage > 0 ? \'listing listing-featured\' : \'listing\'">\n\n                                <div no-margin no-padding col-12  class="image">\n\n                                      <div class="wishlist-corner" tappable (click)="handleWishList(item)">\n\n                                          <ion-icon name="heart-outline" *ngIf="item.isInWishList == \'N\'"></ion-icon>\n\n                                          <ion-icon name="heart" *ngIf="item.isInWishList == \'S\'"></ion-icon>\n\n                                      </div>\n\n                                      <img [src]="item.image" tappable (click)="openProduct(item)"/>\n\n                                </div>\n\n                                <h2 text-left  tappable (click)="openProduct(item)"><label class="lg-txt">{{item.description}}</label></h2>\n\n                                <h3 text-left tappable class="h3-group-label" (click)="openProduct(item)" *ngIf="item.groupLabel"><label class="lg-txt">{{item.groupLabel | uppercase }}</label></h3>\n\n                                <div class="price-line">\n\n                                    <div *ngIf="item.icon" [style.color]="item.iconColor ? item.iconColor : \'danger\'">\n\n                                        <ion-icon [ngClass]="item.iconEffect ? (\'icon-anim \' + item.iconEffect) : \'icon-anim\'" name="{{item.icon}}"></ion-icon>\n\n                                        <h3 class="h3-normal-anim" *ngIf="item.discountPercentage === 0" text-left tappable><label class="lg-txt">{{currencySymbol}}{{item.price | number: \'1.0-0\'}}</label></h3>\n\n                                        <h3 class="h3-discount-anim" *ngIf="item.discountPercentage > 0" text-left tappable>\n\n                                            <span><label class="lg-txt">{{currencySymbol}}{{item.price | number: \'1.0-0\'}}</label></span>\n\n                                        </h3>\n\n                                    </div>\n\n                                    <ng-container *ngIf="!item.icon">\n\n                                        <h3 class="h3-normal" *ngIf="item.discountPercentage === 0" text-left tappable><label class="lg-txt">{{currencySymbol}}{{item.price | number: \'1.0-0\'}}</label></h3>\n\n                                        <h3 class="h3-discount" *ngIf="item.discountPercentage > 0" text-left tappable>\n\n                                            <span><label class="lg-txt">{{item.discountPercentage}}%</label></span>\n\n                                            <span><label class="lg-txt">{{currencySymbol}}{{item.price | number: \'1.0-0\'}}</label></span>\n\n                                        </h3>\n\n                                    </ng-container>\n\n                                    <ion-icon name="ios-more" class="thumbnail-product-options" tappable (click)="productMenu(item)"></ion-icon>\n\n                              </div>\n\n                            </div>\n\n                          </ion-col>\n\n                      </ion-row>\n\n                </ion-card-content>\n\n            </ion-card>\n\n\n\n    </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\profile-products\product-history\product-history.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
        __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_3__products_providers_wishlist_wish_list_helper_service__["a" /* WishListHelperService */],
        __WEBPACK_IMPORTED_MODULE_4__products_providers_product_listing_product_history_listing_service__["a" /* ProductHistoryListingService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
        __WEBPACK_IMPORTED_MODULE_6__products_providers_product_product_helper_service__["a" /* ProductHelperService */]])
], ProductHistoryPage);

//# sourceMappingURL=product-history.js.map

/***/ })

});
//# sourceMappingURL=87.js.map