webpackJsonp([91],{

/***/ 1305:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EditAvatarPageModule", function() { return EditAvatarPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__edit_avatar__ = __webpack_require__(1445);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let EditAvatarPageModule = class EditAvatarPageModule {
};
EditAvatarPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__edit_avatar__["a" /* EditAvatarPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__edit_avatar__["a" /* EditAvatarPage */])
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__edit_avatar__["a" /* EditAvatarPage */]
        ]
    })
], EditAvatarPageModule);

//# sourceMappingURL=edit-avatar.module.js.map

/***/ }),

/***/ 1445:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditAvatarPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__security_providers_user_service__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_string_utils__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__core_provider_error_service__ = __webpack_require__(74);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_camera__ = __webpack_require__(703);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__angular_platform_browser__ = __webpack_require__(56);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};












let EditAvatarPage = class EditAvatarPage {
    constructor(app, events, platform, navCtrl, actionSheetCtrl, navParams, loadingCtrl, toastCtrl, camera, sessionManager, errHandler, translate, userService, domSanitizer) {
        this.app = app;
        this.events = events;
        this.platform = platform;
        this.navCtrl = navCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.camera = camera;
        this.sessionManager = sessionManager;
        this.errHandler = errHandler;
        this.translate = translate;
        this.userService = userService;
        this.domSanitizer = domSanitizer;
        this.user = {};
        this.isAvatarChanged = false;
    }
    ionViewWillEnter() {
        var flag = this.sessionManager.get("userInfoUpdated");
        if (!flag) {
            const loading = this.loadingCtrl.create();
            loading.present();
            this.user = this.sessionManager.getPrincipal();
            this.userService.getUser(this.user).subscribe((response) => {
                response.token = this.user.token;
                response.userId = this.user.userId;
                this.sessionManager.set("userInfoUpdated", true);
                this.sessionManager.getSession().updatePrincipal(response);
                this.preSetDefaultValues();
                loading.dismiss();
            }, error => {
                loading.dismiss();
            });
        }
        else {
            this.preSetDefaultValues();
        }
    }
    preSetDefaultValues() {
        this.isAvatarChanged = false;
        this.user = this.sessionManager.getPrincipal();
        this.avatarImage = null;
    }
    showPictureOption() {
        let actionSheet = this.actionSheetCtrl.create({
            title: "Escoger foto desde:",
            cssClass: 'avatar-action-sheet',
            buttons: [
                {
                    text: "Galería",
                    cssClass: 'action-sheet-button',
                    icon: !this.platform.is('ios') ? 'image' : null,
                    handler: () => {
                        this.pickPhoto(2); //SAVEDPHOTOALBUM
                    }
                },
                {
                    text: "Cámara",
                    cssClass: 'action-sheet-button',
                    icon: !this.platform.is('ios') ? 'camera' : null,
                    handler: () => {
                        this.pickPhoto(1); //CAMERA
                    }
                },
                {
                    cssClass: 'action-sheet-cancel-button',
                    text: this.translate.instant("general.cancel"),
                    icon: !this.platform.is('ios') ? 'close' : null,
                    role: 'cancel',
                    handler: () => { }
                }
            ]
        });
        actionSheet.present(actionSheet);
    }
    pickPhoto(sourceType) {
        const options = {
            allowEdit: true,
            quality: 25,
            targetWidth: 600,
            targetHeight: 600,
            //destinationType: this.camera.DestinationType.FILE_URI,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            correctOrientation: true,
            sourceType: sourceType
        };
        this.camera.getPicture(options).then((imageData) => {
            let image = "data:image/jpeg;base64," + imageData;
            if (!__WEBPACK_IMPORTED_MODULE_4__util_string_utils__["a" /* StringUtils */].isEmpty(imageData)) {
                this.isAvatarChanged = true;
                this.avatarImage = image;
            }
        }, (error) => {
            this.errHandler.handle(this, __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].err.AVATAR_LOADING_ERROR, error);
        });
    }
    fallback() {
        this.avatarImage = __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.defaultProfileImage;
    }
    save() {
        if (this.isAvatarChanged) {
            if (__WEBPACK_IMPORTED_MODULE_4__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.pictureType)) {
                this.user.pictureType = __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.defaultProfileImageType;
            }
            this.user.picture = this.avatarImage;
            const loading = this.loadingCtrl.create();
            loading.present();
            this.userService.modifyUserImage(this.user).subscribe((response) => {
                loading.dismiss();
                if (response) {
                    this.sessionManager.getSession().updatePrincipal(this.user);
                    this.events.publish(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].event.AVATAR_CHANGED);
                    __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataSaved"));
                    setTimeout(() => {
                        this.navCtrl.pop();
                    }, 500);
                }
                else {
                    __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataNotSaved"));
                }
            }, error => {
                loading.dismiss();
                __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataNotSaved"));
            });
        }
        else {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.chooseAvatar"));
        }
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
EditAvatarPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: "page-edit-avatar",template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\edit-avatar\edit-avatar.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n    <ion-navbar no-border transparent class="home-nav">\n\n        <button ion-button menuToggle color="light">\n\n            <ion-icon name="md-menu"></ion-icon>\n\n        </button>\n\n        <ion-title class="header-ion-title" color="light">\n\n            <div class="header-title-bar">\n\n                <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n                <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n            </div>\n\n        </ion-title>\n\n        <ion-buttons end>\n\n            <button ion-button icon-only tappable color="light" (click)="save()">\n\n                <span ion-text>Guardar</span>\n\n            </button>\n\n        </ion-buttons>               \n\n    </ion-navbar>\n\n    <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n      MI FOTO DE PERFIL\n\n    </ion-toolbar>\n\n  </ion-header>\n\n\n\n<ion-content class="profile">\n\n  <div class="forms">\n\n\n\n    <ion-list text-left>\n\n        <ion-item-group>\n\n            <ion-item-divider>SELECCIONAR FOTOGRAF&Iacute;A</ion-item-divider>\n\n            <ion-item tappable (click)="pickPhoto(2)">Galer&iacute;a de Fotos<ion-icon name="ios-arrow-forward" item-end></ion-icon></ion-item>\n\n            <ion-item tappable (click)="pickPhoto(1)">C&aacute;mara<ion-icon name="ios-arrow-forward" item-end></ion-icon></ion-item>\n\n        </ion-item-group>\n\n        <ion-item-group>\n\n          <ion-item-divider>Vista Previa</ion-item-divider>\n\n          <div class="cover-photo-holder" text-left>\n\n              <ion-item class="item item-trns" text-center no-lines>\n\n                <ion-avatar class="avatar">\n\n                  <img class="item-avatar-img" [src]="avatarImage" (error)="fallback()" tappable (click)="navCtrl.push(\'EditAvatarPage\')">\n\n                </ion-avatar>\n\n              </ion-item>\n\n          </div>\n\n      </ion-item-group>\n\n    </ion-list>\n\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\edit-avatar\edit-avatar.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_9__ionic_native_camera__["a" /* Camera */],
        __WEBPACK_IMPORTED_MODULE_8__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_7__core_provider_error_service__["a" /* ErrorService */],
        __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_3__security_providers_user_service__["a" /* UserService */],
        __WEBPACK_IMPORTED_MODULE_10__angular_platform_browser__["c" /* DomSanitizer */]])
], EditAvatarPage);

//# sourceMappingURL=edit-avatar.js.map

/***/ })

});
//# sourceMappingURL=91.js.map