webpackJsonp([94],{

/***/ 1284:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AddressFinderPageModule", function() { return AddressFinderPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__address_finder__ = __webpack_require__(1424);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







let AddressFinderPageModule = class AddressFinderPageModule {
};
AddressFinderPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__address_finder__["a" /* AddressFinderPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__address_finder__["a" /* AddressFinderPage */]),
            __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["b" /* TranslateModule */]
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__address_finder__["a" /* AddressFinderPage */]
        ]
    })
], AddressFinderPageModule);

//# sourceMappingURL=address-finder.module.js.map

/***/ }),

/***/ 1424:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddressFinderPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_geozone_service__ = __webpack_require__(273);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_array_utils__ = __webpack_require__(280);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





let AddressFinderPage = class AddressFinderPage {
    constructor(navCtrl, navParams, geoZoneService, loadingCtrl, viewCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.geoZoneService = geoZoneService;
        this.loadingCtrl = loadingCtrl;
        this.viewCtrl = viewCtrl;
        this.geoZones = [];
        this.itemsToDisplay = [];
    }
    ionViewWillEnter() {
        this.title = this.navParams.get("title");
        this.geoZoneType = this.navParams.get("geoZoneType");
        //Filtros para carga de datos
        this.provinceFilterCode = this.navParams.get("provinceFilterCode");
        this.cantonFilterCode = this.navParams.get("cantonFilterCode");
        this.districtFilterCode = this.navParams.get("districtFilterCode");
        this.wardFilterCode = this.navParams.get("wardFilterCode");
        this.itemsToDisplay = [];
        if (this.geoZoneType === __WEBPACK_IMPORTED_MODULE_2__config_config__["a" /* AppConfig */].app.provinceZoneType) {
            this.fetchProvinces();
        }
        else if (this.geoZoneType === __WEBPACK_IMPORTED_MODULE_2__config_config__["a" /* AppConfig */].app.cantonZoneType) {
            this.fetchCantons();
        }
        else if (this.geoZoneType === __WEBPACK_IMPORTED_MODULE_2__config_config__["a" /* AppConfig */].app.districtZoneType) {
            this.fetchDistricts();
        }
        else if (this.geoZoneType === __WEBPACK_IMPORTED_MODULE_2__config_config__["a" /* AppConfig */].app.wardZoneType) {
            this.fetchWards();
        }
    }
    fetchProvinces() {
        const loading = this.loadingCtrl.create();
        loading.present();
        this.geoZoneService.loadProvinces().subscribe(list => {
            this.geoZones = list;
            this.itemsToDisplay = this.geoZones;
            loading.dismiss();
        });
    }
    fetchCantons() {
        const loading = this.loadingCtrl.create();
        loading.present();
        this.geoZoneService.loadCantons().subscribe(list => {
            this.geoZoneService.fetchCantonList(this.provinceFilterCode).subscribe(cantons => {
                this.geoZones = cantons && cantons.length > 0 ? cantons.sort(__WEBPACK_IMPORTED_MODULE_4__util_array_utils__["a" /* ArrayUtils */].compareValues('cantonName')) : cantons;
                this.itemsToDisplay = this.geoZones;
                loading.dismiss();
            });
        });
    }
    fetchDistricts() {
        const loading = this.loadingCtrl.create();
        loading.present();
        this.geoZoneService.loadDistricts().subscribe(list => {
            this.geoZoneService.fetchDistrictList(this.provinceFilterCode, this.cantonFilterCode).subscribe(districts => {
                this.geoZones = districts && districts.length > 0 ? districts.sort(__WEBPACK_IMPORTED_MODULE_4__util_array_utils__["a" /* ArrayUtils */].compareValues('districtName')) : districts;
                this.itemsToDisplay = this.geoZones;
                loading.dismiss();
            });
        });
    }
    fetchWards() {
        const loading = this.loadingCtrl.create();
        loading.present();
        this.geoZoneService.loadWards().subscribe(list => {
            this.geoZoneService.fetchWardList(this.provinceFilterCode, this.cantonFilterCode, this.districtFilterCode).subscribe(wards => {
                this.geoZones = wards && wards.length > 0 ? wards.sort(__WEBPACK_IMPORTED_MODULE_4__util_array_utils__["a" /* ArrayUtils */].compareValues('wardName')) : wards;
                this.itemsToDisplay = [...this.geoZones];
                //En el caso de barrio incluye el item de OTROS
                this.itemsToDisplay.push({
                    provinceCode: this.provinceFilterCode,
                    cantonCode: this.cantonFilterCode,
                    districtCode: this.districtFilterCode,
                    wardCode: "00",
                    wardName: "(Otro)"
                });
                loading.dismiss();
            });
        });
    }
    getItems(ev) {
        var searchTerm = ev.target.value;
        this.setFilteredItems(searchTerm).then((itemsFound) => {
            this.itemsToDisplay = itemsFound;
        }, (allItems) => {
            this.itemsToDisplay = allItems;
        });
    }
    /**
     * Realiza el filtrado de los datos
     */
    setFilteredItems(searchTerm) {
        return new Promise((resolve, reject) => {
            let itemsFound = Array();
            if (searchTerm && searchTerm.trim() != '') {
                let regExp = new RegExp(searchTerm.toLowerCase(), 'g');
                itemsFound = this.geoZones.filter((zone) => {
                    let description;
                    if (this.geoZoneType === __WEBPACK_IMPORTED_MODULE_2__config_config__["a" /* AppConfig */].app.provinceZoneType) {
                        description = zone.provinceName;
                    }
                    else if (this.geoZoneType === __WEBPACK_IMPORTED_MODULE_2__config_config__["a" /* AppConfig */].app.cantonZoneType) {
                        description = zone.cantonName;
                    }
                    else if (this.geoZoneType === __WEBPACK_IMPORTED_MODULE_2__config_config__["a" /* AppConfig */].app.districtZoneType) {
                        description = zone.districtName;
                    }
                    else if (this.geoZoneType === __WEBPACK_IMPORTED_MODULE_2__config_config__["a" /* AppConfig */].app.wardZoneType) {
                        description = zone.wardName;
                    }
                    return regExp.test(description.toLowerCase());
                });
                resolve(itemsFound);
            }
            else {
                reject(this.geoZones);
            }
        });
    }
    select(zoneCode, zoneName) {
        this.viewCtrl.dismiss({ zoneCode: zoneCode, zoneName: zoneName });
    }
    dismiss() {
        this.viewCtrl.dismiss({ zoneCode: null, zoneName: null });
    }
};
AddressFinderPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-address-finder',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\address\address-finder\address-finder.html"*/'<ion-header no-border>\n\n    <ion-navbar no-border transparent class="home-nav">\n\n        <ion-title class="lg-txt">\n\n            {{title}}\n\n        </ion-title>\n\n        <ion-buttons end>\n\n            <button ion-button icon-only tappable (click)="dismiss()">\n\n                <span ion-text color="primary" showWhen="ios">Cerrar</span>\n\n                <ion-icon name="md-close" showWhen="android,windows"></ion-icon>\n\n            </button>\n\n        </ion-buttons>\n\n    </ion-navbar>\n\n    <ion-toolbar no-border>\n\n        <ion-searchbar class="searchbar-lg" placeholder="{{\'general.search\' | translate}}"\n\n            (ionInput)="getItems($event)"></ion-searchbar>\n\n    </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content class="forms">\n\n    <ion-list>\n\n        <ng-container *ngFor="let zone of itemsToDisplay">\n\n            <ion-item *ngIf="this.geoZoneType === \'province\'" (click)="select(zone.provinceCode, zone.provinceName)">\n\n                <label class="lg-txt">{{ zone.provinceName }}</label>\n\n            </ion-item>\n\n            <ion-item *ngIf="this.geoZoneType === \'canton\'" (click)="select(zone.cantonCode, zone.cantonName)">\n\n                <label class="lg-txt">{{ zone.cantonName }}</label>\n\n            </ion-item>\n\n            <ion-item *ngIf="this.geoZoneType === \'district\'" (click)="select(zone.districtCode, zone.districtName)">\n\n                <label class="lg-txt">{{ zone.districtName }}</label>\n\n            </ion-item>\n\n            <ion-item *ngIf="this.geoZoneType === \'ward\'" (click)="select(zone.wardCode, zone.wardName)">\n\n                <label class="lg-txt">{{ zone.wardName }}</label>\n\n            </ion-item>\n\n        </ng-container>\n\n    </ion-list>\n\n</ion-content>'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\address\address-finder\address-finder.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_3__providers_geozone_service__["a" /* GeoZoneService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"]])
], AddressFinderPage);

//# sourceMappingURL=address-finder.js.map

/***/ })

});
//# sourceMappingURL=94.js.map