webpackJsonp([95],{

/***/ 1276:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EditWishListPageModule", function() { return EditWishListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__edit_wishlist__ = __webpack_require__(1415);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let EditWishListPageModule = class EditWishListPageModule {
};
EditWishListPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__edit_wishlist__["a" /* EditWishListPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__edit_wishlist__["a" /* EditWishListPage */])
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__edit_wishlist__["a" /* EditWishListPage */]
        ]
    })
], EditWishListPageModule);

//# sourceMappingURL=edit-wishlist.module.js.map

/***/ }),

/***/ 1415:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditWishListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_wishlist_wish_list_service__ = __webpack_require__(115);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_string_utils__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_ionic_angular_navigation_view_controller__ = __webpack_require__(20);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









let EditWishListPage = class EditWishListPage {
    constructor(navCtrl, navParams, sessionManager, toastCtrl, wishListService, translate, loadingCtrl, viewCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sessionManager = sessionManager;
        this.toastCtrl = toastCtrl;
        this.wishListService = wishListService;
        this.translate = translate;
        this.loadingCtrl = loadingCtrl;
        this.viewCtrl = viewCtrl;
        this.user = {};
        this.wishlilst = {};
        this.isNew = true;
        this.isModal = false;
    }
    ionViewWillEnter() {
        this.user = this.sessionManager.getPrincipal();
        this.wishlilst = this.navParams.get("selectedWishlist");
        this.isModal = this.navParams.get("modal");
        if (this.wishlilst) {
            this.isNew = false;
        }
        else {
            this.isNew = true;
            this.wishlilst = {};
        }
        this.sessionManager.getDataSet(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].session.WISH_LIST).subscribe((list) => {
            this.savedWishList = list;
        }, error => { });
    }
    save() {
        this.wishlilst.token = this.user.token;
        this.wishlilst.userId = this.user.userId;
        if (this.isNew) {
            //Si se llama desde la pantalla de Lista de Deseos, se valida
            if (!this.isModal) {
                if (__WEBPACK_IMPORTED_MODULE_4__util_string_utils__["a" /* StringUtils */].isEmpty(this.wishlilst.name)) {
                    __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidValues"));
                    return;
                }
            }
            else {
                //Se llama desde los lobbies mediante el corazon, si no tiene listas creadas crea una por default
                if (this.savedWishList && this.savedWishList.length > 0) {
                    if (__WEBPACK_IMPORTED_MODULE_4__util_string_utils__["a" /* StringUtils */].isEmpty(this.wishlilst.name)) {
                        __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidValues"));
                        return;
                    }
                }
                else {
                    if (__WEBPACK_IMPORTED_MODULE_4__util_string_utils__["a" /* StringUtils */].isEmpty(this.wishlilst.name)) {
                        this.wishlilst.name = "Mi Lista";
                    }
                }
            }
            const loading = this.loadingCtrl.create();
            loading.present();
            this.wishListService.addWhishList(this.wishlilst).subscribe((response) => {
                loading.dismiss();
                this.sessionManager.refreshDataSet(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].session.WISH_LIST).subscribe((result) => {
                    if (this.isModal) {
                        this.viewCtrl.dismiss({ wishListId: response.wishListId });
                    }
                    else {
                        setTimeout(() => {
                            this.navCtrl.pop();
                        }, 500);
                    }
                });
            }, error => {
                loading.dismiss();
                __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataNotSaved"));
            });
        }
        else {
            if (__WEBPACK_IMPORTED_MODULE_4__util_string_utils__["a" /* StringUtils */].isEmpty(this.wishlilst.name)) {
                __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidValues"));
                return;
            }
            const loading = this.loadingCtrl.create();
            loading.present();
            this.wishListService.modifyWhishList(this.wishlilst).subscribe((response) => {
                loading.dismiss();
                this.sessionManager.refreshDataSet(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].session.WISH_LIST).subscribe((result) => {
                    if (this.isModal) {
                        this.viewCtrl.dismiss({ wishListId: response.wishListId });
                    }
                    else {
                        setTimeout(() => {
                            this.navCtrl.pop();
                        }, 500);
                    }
                });
            }, error => {
                loading.dismiss();
                __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataNotSaved"));
            });
        }
    }
    dismiss() {
        if (this.isModal) {
            this.viewCtrl.dismiss({ wishListId: null });
        }
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
EditWishListPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-edit-wishlist',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\products\pages\wishlist\edit-wishlist\edit-wishlist.html"*/'<ion-header *ngIf="!isModal" no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n  <ion-navbar no-border transparent class="home-nav">\n\n      <button ion-button menuToggle color="light">\n\n          <ion-icon name="md-menu"></ion-icon>\n\n      </button>\n\n      <ion-title class="header-ion-title" color="light">\n\n          <div class="header-title-bar">\n\n              <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n              <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n          </div>\n\n      </ion-title>\n\n      <ion-buttons end>\n\n          <button ion-button icon-only tappable color="light" (click)="save()">\n\n              <span ion-text>Guardar</span>\n\n          </button>\n\n        </ion-buttons>\n\n  </ion-navbar>\n\n  <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n          LISTA DE DESEOS\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-header *ngIf="isModal">\n\n    <ion-toolbar>\n\n      <ion-title>\n\n          Lista de Deseos\n\n      </ion-title>\n\n      <ion-buttons end>\n\n          <button ion-button icon-only tappable (click)="dismiss()">\n\n              <span ion-text color="primary" showWhen="ios">Cerrar</span>\n\n              <ion-icon name="md-close" showWhen="android,windows"></ion-icon>\n\n          </button>\n\n      </ion-buttons>\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content class="forms">\n\n  <ion-list>\n\n    <form name="editWishlistForm" #editProfileForm=\'ngForm\' autocomplete="false">\n\n      <ion-item-group>\n\n        <ion-item-divider *ngIf="!isModal">Informaci&oacute;n de la lista de deseos.</ion-item-divider>\n\n        <ion-item-divider *ngIf="isModal">Informaci&oacute;n de la nueva lista de deseos.</ion-item-divider>\n\n\n\n        <ion-item>\n\n          <ion-label fixed>Nombre</ion-label>\n\n          <ion-input type="text" [(ngModel)]="wishlilst.name" name="name" placeholder="Nombre" required autocorrect="on" clearInput="true" maxlength="50"></ion-input>\n\n        </ion-item>\n\n\n\n        <ion-item>\n\n          <ion-label fixed>Descripci&oacute;n</ion-label>\n\n          <ion-input type="text" [(ngModel)]="wishlilst.description" name="description" placeholder="Descripci&oacute;n" required autocorrect="on" clearInput="true" maxlength="50"></ion-input>\n\n        </ion-item>\n\n\n\n        <div *ngIf="isModal" class="footer-button">\n\n          <button ion-button block round clear class="action-button lg-txt-btn" tappable (click)="save()">Guardar</button>\n\n        </div>\n\n\n\n      </ion-item-group>\n\n    </form>\n\n  </ion-list>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\products\pages\wishlist\edit-wishlist\edit-wishlist.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_6__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_2__providers_wishlist_wish_list_service__["a" /* WishListService */],
        __WEBPACK_IMPORTED_MODULE_3__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_8_ionic_angular_navigation_view_controller__["a" /* ViewController */]])
], EditWishListPage);

//# sourceMappingURL=edit-wishlist.js.map

/***/ })

});
//# sourceMappingURL=95.js.map