webpackJsonp([98],{

/***/ 1272:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SearchFilterPageModule", function() { return SearchFilterPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_image_loader__ = __webpack_require__(269);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__search_filter__ = __webpack_require__(1410);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







let SearchFilterPageModule = class SearchFilterPageModule {
};
SearchFilterPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_6__search_filter__["a" /* SearchFilterPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_6__search_filter__["a" /* SearchFilterPage */]),
            __WEBPACK_IMPORTED_MODULE_2_ionic_image_loader__["b" /* IonicImageLoader */]
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_6__search_filter__["a" /* SearchFilterPage */]
        ]
    })
], SearchFilterPageModule);

//# sourceMappingURL=search-filter.module.js.map

/***/ }),

/***/ 1410:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SearchFilterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__datasets_search_filter_dataset__ = __webpack_require__(735);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






let SearchFilterPage = class SearchFilterPage {
    constructor(navCtrl, navParams, platform, events, dataSet, loadingCtrl, sessionManager) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.platform = platform;
        this.events = events;
        this.dataSet = dataSet;
        this.loadingCtrl = loadingCtrl;
        this.sessionManager = sessionManager;
        this.orderBy = [];
        this.filters = [];
        this.filterQty = 0;
        this.orderBy.push({
            description: "Marca",
            code: "MARCA",
            selected: false
        });
        this.orderBy.push({
            description: "Precio: de más bajo a más alto",
            code: "precioasc",
            selected: false
        });
        this.orderBy.push({
            description: "Precio: de más alto a más bajo",
            code: "preciodesc",
            selected: false
        });
        this.orderBy.push({
            description: "Color",
            code: "COLOR",
            selected: false
        });
        this.orderBy.push({
            description: "Calificación (De 5 a 0)",
            code: "CALIFICACION_ASC",
            selected: false
        });
        this.orderBy.push({
            description: "Calificación (De 0 a 5)",
            code: "CALIFICACION_DESC",
            selected: false
        });
        let deregisterFunction = this.platform.registerBackButtonAction(() => {
            this.handleAndroidBackButton(deregisterFunction);
        });
    }
    ionViewDidLoad() {
        this.filter = this.navParams.get("filter");
        // Para Android carga la info de inmediato dado que no hay problemas con el scrolling instantanio
        if (!this.platform.is('ios')) {
            this.filters = this.navParams.get("filterCriterias");
        }
        this.events.subscribe(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].event.APP_PLATFORM_ALERT_CLOSE, () => {
            this.fixScroll();
        });
    }
    ionViewDidEnter() {
        // iOS scroll workaround
        if (this.platform.is('ios')) {
            this.fixScroll();
            setTimeout(() => {
                this.filters = this.navParams.get("filterCriterias");
            }, 500);
        }
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_3__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
    handleNavigation(page) {
        __WEBPACK_IMPORTED_MODULE_3__util_view_utils__["a" /* ViewUtils */].handleNavigation(this.navCtrl, page, this.sessionManager);
    }
    performSearch(filterCriteria, orderCriteria) {
        const loading = this.loadingCtrl.create();
        this.dataSet.clear();
        this.dataSet.turnOffPreviewCache();
        this.dataSet.clearLock();
        this.dataSet.setSearchId(this.filter.searchPaginationId);
        this.dataSet.setFilterCriteria(filterCriteria);
        this.dataSet.setSortBy(orderCriteria);
        this.dataSet.setCriteria(this.filter.criterion);
        loading.present();
        this.dataSet.fetch((state) => {
            loading.dismiss();
            this.openProductListing();
        });
    }
    openProductListing() {
        this.navCtrl.push('ProductListingFilteredPage', {
            dataSet: this.dataSet,
            title: null,
            subtitle: this.dataSet.getSummary(),
            showBackFiltersButton: true,
            showBackFiltersButtonQty: this.filterQty
        }, { animate: false });
    }
    checkCurrentQuantity() {
        this.filterQty = 0;
        this.filters.forEach((value) => {
            if (value.details.length > 0) {
                value.details.forEach((detailValue) => {
                    if (detailValue.selected) {
                        this.filterQty++;
                    }
                });
            }
        });
        this.orderBy.forEach((value) => {
            if (value.selected) {
                this.filterQty++;
            }
        });
    }
    selectOrderItem(item) {
        this.checkCurrentQuantity();
        this.orderBy.forEach((value) => {
            if (value.code !== item.code) {
                value.selected = false;
            }
        });
        item.selected = !item.selected;
        this.checkCurrentQuantity();
    }
    selectFilterItem(item) {
        this.checkCurrentQuantity();
        item.selected = !item.selected;
        if (item.selected) {
            this.filterQty++;
        }
        else {
            this.filterQty--;
        }
    }
    clear() {
        this.orderBy.forEach((value) => {
            value.selected = false;
        });
        this.filters.forEach((value) => {
            value.selected = false;
            value.details.forEach((value) => {
                value.selected = false;
            });
        });
        this.filterQty = 0;
    }
    reset() {
        this.clear();
    }
    apply() {
        let orderByCriteria = "";
        this.orderBy.forEach((value) => {
            if (value.selected) {
                orderByCriteria = value.code;
            }
        });
        let filterCriteria = "";
        this.filters.forEach((value) => {
            if (value.details.length > 0) {
                value.details.forEach((detailValue) => {
                    if (detailValue.selected) {
                        filterCriteria += (detailValue.id + "$" + detailValue.description + "$");
                    }
                });
            }
        });
        if (orderByCriteria === "" && filterCriteria === "") {
            this.reset();
            this.navCtrl.pop({ animate: false });
        }
        else {
            this.performSearch(filterCriteria, orderByCriteria);
        }
    }
    handleAndroidBackButton(deregisterFunction) {
        this.apply();
        if (deregisterFunction)
            deregisterFunction();
    }
    fixScroll() {
        if (this.platform.is('ios')) {
            setTimeout(function () {
                document.getElementById('button_wa').click();
            }, 500);
        }
    }
};
SearchFilterPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-search-filter',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\products\pages\product-search\search-filter\search-filter.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n    <ion-navbar  no-border transparent class="home-nav"> <!-- hideBackButton -->\n\n        <!--<button *ngIf="!filter" menuToggle color="light">\n\n            <ion-icon name="md-menu"></ion-icon>\n\n        </button>-->\n\n        <ion-title class="header-ion-title" color="light">\n\n            <div class="header-title-bar">\n\n                <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n                <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n            </div>\n\n        </ion-title>\n\n    </ion-navbar>\n\n    <ion-toolbar no-border no-margin no-padding class="ion-no-padding">\n\n      <ng-container *ngIf="this.filterQty === 0">\n\n\n\n        <button ion-button clear class="filter-button lg-txt-btn" tappable (click)="apply()">\n\n          Filtros <ng-container *ngIf="this.filterQty > 0">({{this.filterQty}})</ng-container>&nbsp;&nbsp;<ion-icon name="md-arrow-up"></ion-icon>\n\n        </button>\n\n\n\n      </ng-container>\n\n      <ng-container *ngIf="this.filterQty > 0">\n\n\n\n            <ion-item no-lines no-margin no-padding>\n\n                <button item-start ion-button clear class="filter-button-left lg-txt-btn" tappable (click)="apply()">\n\n                  Filtros <ng-container *ngIf="this.filterQty > 0">({{this.filterQty}})</ng-container>&nbsp;&nbsp;<ion-icon name="md-arrow-up"></ion-icon>\n\n                </button>\n\n\n\n                <button item-end ion-button clear class="apply-button" tappable (click)="apply()">\n\n                  Aplicar\n\n                </button>\n\n            </ion-item>\n\n\n\n      </ng-container>\n\n\n\n    </ion-toolbar>\n\n  </ion-header>\n\n\n\n<ion-content>\n\n\n\n    <div class="header-page-title ">\n\n      <label class="lg-txt">ORDENAR POR: </label><button ion-button outline item-end id=\'button_wa\' style=\'margin: 0; padding: 0; border: 0; height: 0;\'>&nbsp;</button>\n\n    </div>\n\n\n\n    <div class="settings" text-left>\n\n      <ion-badge class="md-txt-lg" *ngFor="let criteria of orderBy" [ngClass]="criteria.selected ? \'filter-badge-selected\' : \'filter-badge\'" color="light" (click)="selectOrderItem(criteria)">{{criteria.description | uppercase}}</ion-badge>\n\n    </div>\n\n\n\n    <ng-container *ngFor="let filter of filters">\n\n      <ng-container *ngIf="filter.details.length > 0">\n\n        <div class="header-page-title md-txt-lg">\n\n          {{filter.description}}:\n\n        </div>\n\n\n\n        <div class="settings" text-left>\n\n          <ng-container *ngFor="let criteria of filter.details">\n\n            <ion-badge *ngIf="criteria.description && criteria.description != \'\'" [ngClass]="criteria.selected ? \'filter-badge-selected\' : \'filter-badge\'" color="light" (click)="selectFilterItem(criteria)">{{criteria.description | uppercase}}</ion-badge>\n\n          </ng-container>\n\n        </div>\n\n      </ng-container>\n\n    </ng-container>\n\n\n\n    <div class="footer-button-nobg">\n\n      <button padding clear ion-button tappable block class="action-button lg-txt" (click)="apply()" round>Aplicar</button>\n\n      <button padding clear ion-button tappable block class="md-txt-lg" (click)="reset()" round>Limpiar filtros</button>\n\n    </div>\n\n\n\n  </ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\products\pages\product-search\search-filter\search-filter.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
        __WEBPACK_IMPORTED_MODULE_4__datasets_search_filter_dataset__["a" /* SearchFilterDataSet */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__["a" /* SessionManagerService */]])
], SearchFilterPage);

//# sourceMappingURL=search-filter.js.map

/***/ })

});
//# sourceMappingURL=98.js.map