webpackJsonp([101],{

/***/ 1263:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrderTrackingPageModule", function() { return OrderTrackingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__order_tracking__ = __webpack_require__(1399);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let OrderTrackingPageModule = class OrderTrackingPageModule {
};
OrderTrackingPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__order_tracking__["a" /* OrderTrackingPage */]
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__order_tracking__["a" /* OrderTrackingPage */])
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__order_tracking__["a" /* OrderTrackingPage */]
        ]
    })
], OrderTrackingPageModule);

//# sourceMappingURL=order-tracking.module.js.map

/***/ }),

/***/ 1399:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrderTrackingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_purchase_order_service__ = __webpack_require__(157);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






let OrderTrackingPage = class OrderTrackingPage {
    constructor(navCtrl, navParams, loadingCtrl, sessionManager, orderService, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.sessionManager = sessionManager;
        this.orderService = orderService;
        this.alertCtrl = alertCtrl;
        this.tracking = [];
        this.isLoaded = false;
    }
    ionViewDidLoad() {
        this.isLoaded = false;
        this.tracking = [];
    }
    ionViewWillEnter() {
        if (!this.isLoaded) {
            this.currentOrder = this.sessionManager.get(__WEBPACK_IMPORTED_MODULE_3__config_config__["a" /* AppConfig */].order.SELECTED_ORDER);
            if (this.currentOrder) {
                //La orden se mando via Correos de Costa rica
                if (this.currentOrder.deliveryCompany === "CCR") {
                    this.fetchOrderTrackingViaCCR(this.currentOrder);
                }
                else {
                    //Se mando via Entrega efast
                    this.fetchOrderTracking(this.currentOrder);
                }
            }
        }
    }
    fetchOrderTrackingViaCCR(order) {
        order.userId = this.sessionManager.getPrincipal().userId;
        order.token = this.sessionManager.getToken();
        this.orderService.trackPurchaseOrderViaCCR(order).subscribe((trackingInfo) => {
            if (trackingInfo && Array.isArray(trackingInfo)) {
                for (let i = 0; i < trackingInfo.length; i++) {
                    let entry = trackingInfo[i];
                    var model = {};
                    model.comment = entry.UNIDAD ? (entry.UNIDAD + ". " + entry.EVENTO) : entry.EVENTO;
                    model.trackingDate = entry.FECHA_HORA;
                    model.trackingStatus = entry.ESTADO;
                    model.responsible = entry.RECIBIDO_POR;
                    this.tracking.push(model);
                }
            }
            this.isLoaded = true;
        });
    }
    fetchOrderTracking(order) {
        order.userId = this.sessionManager.getPrincipal().userId;
        order.token = this.sessionManager.getToken();
        this.orderService.trackPurchaseOrder(order).subscribe((list) => {
            this.tracking = list;
            this.isLoaded = true;
        });
    }
};
OrderTrackingPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-order-tracking',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\orders\pages\order-detail\order-tracking\order-tracking.html"*/'<ion-content>\n\n\n\n    <ng-container *ngIf="!isLoaded">\n\n        <div class="card-container">\n\n            <div class="card">\n\n                <div class="item item-text-wrap">\n\n                    <div class="fake-item">\n\n                        <h2></h2>\n\n                        <h2></h2>\n\n                        <h2></h2>\n\n                    </div>\n\n                </div>\n\n            </div>\n\n        </div>\n\n    </ng-container>\n\n\n\n    <div *ngIf="isLoaded">\n\n        <div class="empty-message" padding *ngIf="!tracking || tracking.length === 0">\n\n            <ion-row>\n\n                <ion-col text-center>\n\n                    <ion-icon class="empty-icon" name="ios-albums-outline"></ion-icon><br>\n\n                    <label>No encontramos informaci&oacute;n de seguimiento.</label>\n\n                </ion-col>\n\n            </ion-row>\n\n        </div>\n\n\n\n        <div class="tracking-container" *ngIf="tracking && tracking.length > 0">\n\n            <ng-container *ngIf="currentOrder.deliveryCompany != \'CCR\'">\n\n                <ion-row wrap *ngFor="let tracking of tracking">\n\n                    <ion-col col-2 text-center text-wrap>\n\n                        <ion-icon class="tracking-icon" name="checkmark-circle-outline"></ion-icon>\n\n                    </ion-col>\n\n                    <ion-col col-10 text-left text-wrap class="track-entry">\n\n                        <span>\n\n                            <b>{{tracking.trackingStatusDescription | uppercase}}</b>\n\n                            <ng-container *ngIf="tracking.comment"><br>{{tracking.comment}}</ng-container><br><span\n\n                                class="uppercase">{{tracking.trackingDate| date : \'dd/MM/yyyy hh:mm a\'}}</span>\n\n                        </span>\n\n                    </ion-col>\n\n                </ion-row>\n\n            </ng-container>\n\n            <ng-container *ngIf="currentOrder.deliveryCompany === \'CCR\'">\n\n                <ion-row wrap *ngFor="let tracking of tracking">\n\n                    <ion-col col-2 text-center text-wrap>\n\n                        <ion-icon class="tracking-icon" name="checkmark-circle-outline"></ion-icon>\n\n                    </ion-col>\n\n                    <ion-col col-10 text-left text-wrap class="track-entry">\n\n                        <span>\n\n                            <b>{{tracking.trackingStatus}}</b><br>{{tracking.trackingDate}}<br\n\n                                *ngIf="tracking.comment"><span *ngIf="tracking.comment">{{tracking.comment}}</span><br\n\n                                *ngIf="tracking.responsible"><span *ngIf="tracking.responsible">Recibido por:\n\n                                {{tracking.responsible}}</span>\n\n                        </span>\n\n                    </ion-col>\n\n                </ion-row>\n\n            </ng-container>\n\n        </div>\n\n    </div>\n\n\n\n</ion-content>'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\orders\pages\order-detail\order-tracking\order-tracking.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_4__providers_purchase_order_service__["a" /* PurchaseOrderService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
], OrderTrackingPage);

//# sourceMappingURL=order-tracking.js.map

/***/ })

});
//# sourceMappingURL=101.js.map