webpackJsonp([102],{

/***/ 1261:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrderInfoPageModule", function() { return OrderInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__order_info__ = __webpack_require__(1397);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_image_loader__ = __webpack_require__(269);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







let OrderInfoPageModule = class OrderInfoPageModule {
};
OrderInfoPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__order_info__["a" /* OrderInfoPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__order_info__["a" /* OrderInfoPage */]),
            __WEBPACK_IMPORTED_MODULE_3_ionic_image_loader__["b" /* IonicImageLoader */]
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__order_info__["a" /* OrderInfoPage */]
        ]
    })
], OrderInfoPageModule);

//# sourceMappingURL=order-info.module.js.map

/***/ }),

/***/ 1397:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrderInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_freight_service__ = __webpack_require__(700);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__profile_providers_geozone_service__ = __webpack_require__(273);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__util_string_utils__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







let OrderInfoPage = class OrderInfoPage {
    constructor(navCtrl, navParams, appCtrl, sessionManager, geoZoneService, consultFreightService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appCtrl = appCtrl;
        this.sessionManager = sessionManager;
        this.geoZoneService = geoZoneService;
        this.consultFreightService = consultFreightService;
        this.isLoaded = false;
        this.currencySymbol = this.sessionManager.getCurrencySymbol();
    }
    ionViewDidLoad() {
        this.isLoaded = false;
    }
    ionViewWillEnter() {
        if (!this.isLoaded) {
            this.currentOrder = this.sessionManager.get(__WEBPACK_IMPORTED_MODULE_3__config_config__["a" /* AppConfig */].order.SELECTED_ORDER);
            this.isCCRDeliveredOrder = !__WEBPACK_IMPORTED_MODULE_6__util_string_utils__["a" /* StringUtils */].isEmpty(this.currentOrder.ccrSubsidiaryName);
            this.hasExcentProducts = false;
            this.fetchAddress();
            this.fetchFreight();
            this.fetchCard();
            this.checkForExcents();
            this.isLoaded = true;
        }
    }
    fetchAddress() {
        //En el caso de que NO se haya definido una Sucursal de CCR explicitamente, busca la direccion
        if (!this.isCCRDeliveredOrder) {
            let addressId = this.currentOrder.addressId;
            this.sessionManager.getDataSet(__WEBPACK_IMPORTED_MODULE_3__config_config__["a" /* AppConfig */].session.DELIVERY_ADDRESS, true).subscribe((list) => {
                if (list && list.length > 0) {
                    for (let i = 0; i < list.length; i++) {
                        if (list[i].directionId === addressId) {
                            this.selectedAddress = list[i];
                            this.updateAddressZone();
                            break;
                        }
                    }
                }
            });
        }
    }
    updateAddressZone() {
        let address = this.selectedAddress;
        if (!address.zone) {
            let zone = this.geoZoneService.getZone(address.province, address.canton, address.district, address.ward);
            address.zone = zone;
        }
    }
    fetchFreight() {
        let freightId = this.currentOrder.freightId;
        var params = this.sessionManager.getSession().toModel();
        this.consultFreightService.consultFreight(params).subscribe((list) => {
            if (list && list.length > 0) {
                for (let i = 0; i < list.length; i++) {
                    if (list[i].freightId === freightId) {
                        this.selectedFreight = list[i];
                        break;
                    }
                }
            }
        });
    }
    fetchCard() {
        let cardId = this.currentOrder.cardId;
        this.sessionManager.getDataSet(__WEBPACK_IMPORTED_MODULE_3__config_config__["a" /* AppConfig */].session.PAYMENT_OPTION, true).subscribe((list) => {
            if (list && list.length > 0) {
                for (let i = 0; i < list.length; i++) {
                    if (list[i].cardId === cardId) {
                        this.selectedCard = list[i];
                        break;
                    }
                }
            }
        });
    }
    decreaseQty(item) {
        let qty = item.refundQuantity - 1;
        item.refundQuantity = qty > 0 ? qty : 1;
    }
    increaseQty(item) {
        //Valida disponibilidad
        let refundQuantity = item.refundQuantity + 1;
        if (refundQuantity > item.quantity) {
            refundQuantity = item.quantity;
        }
        item.refundQuantity = refundQuantity;
    }
    checkForExcents() {
        this.hasExcentProducts = false;
        for (let i = 0; i < this.currentOrder.details.length; i++) {
            var item = this.currentOrder.details[i];
            //Si hay algun producto sin impuesto
            if (item.tax === 0) {
                this.hasExcentProducts = true;
                break;
            }
        }
    }
    refund(item) {
        this.appCtrl.getRootNav().push('RefundWizardReasonPage', { 'item': item });
    }
    showRefundOptions(item) {
        item.showRefundOptions = !item.showRefundOptions;
    }
    openProduct(product) {
        this.appCtrl.getRootNav().push('ProductDetailPage', { product: product });
    }
};
OrderInfoPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-order-info',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\orders\pages\order-detail\order-info\order-info.html"*/'<ion-content>\n\n  <ion-card no-margin>\n\n    <ion-card-content>\n\n      <div class="cart-list" *ngIf="currentOrder">\n\n        <ion-list\n\n          *ngIf="currentOrder.details && currentOrder.details.length > 0"\n\n        >\n\n          <ion-item\n\n            *ngFor="let item of currentOrder.details"\n\n            class="item-icon-right"\n\n            text-wrap\n\n          >\n\n            <ion-thumbnail item-start tappable>\n\n              <img\n\n                style="width: 17vh"\n\n                [src]="item.image"\n\n                tappable\n\n                (click)="openProduct(item)"\n\n              />\n\n            </ion-thumbnail>\n\n            <h5 tappable (click)="openProduct(item)">{{item.description}}</h5>\n\n            <h3 class="price">\n\n              {{currencySymbol}} {{item.totalLine | number: \'1.0-0\'}}\n\n              <span *ngIf="item.tax === 0">*</span>\n\n            </h3>\n\n            <div class="quantity-items" *ngIf="item.showRefundOptions">\n\n              <div\n\n                tappable\n\n                (click)="decreaseQty(item)"\n\n                [ngClass]="{\'disable-pointer-events\': item.refundQuantity == 1}"\n\n              >\n\n                <ion-icon name="md-remove"></ion-icon>\n\n              </div>\n\n              <div>\n\n                <span class="checkout-product-price ng-binding"\n\n                  >{{item.refundQuantity}}</span\n\n                >\n\n              </div>\n\n              <div\n\n                tappable\n\n                (click)="increaseQty(item)"\n\n                [ngClass]="{\'disable-pointer-events\': item.refundQuantity == 10}"\n\n              >\n\n                <ion-icon name="md-add"></ion-icon>\n\n              </div>\n\n            </div>\n\n            <!-- <div class="refund-label" *ngIf="!item.showRefundOptions">\n\n                    <span tappable (click)="showRefundOptions(item)" color="primary">Realizar devoluci&oacute;n</span>\n\n                  </div> -->\n\n            <div *ngIf="item.showRefundOptions" class="button-section p-t-10">\n\n              <button\n\n                ion-button\n\n                round\n\n                block\n\n                clear\n\n                class="action-button refund-button lg-txt-btn"\n\n                tappable\n\n                (click)="refund(item)"\n\n              >\n\n                Devolver\n\n              </button>\n\n            </div>\n\n            <div class="color-primary" item-end>\n\n              <span class="quantity">{{item.quantity}}</span>\n\n            </div>\n\n          </ion-item>\n\n        </ion-list>\n\n      </div>\n\n      <div class="price-overview lg-txt" *ngIf="currentOrder">\n\n        <!-- Costo de Envio -->\n\n        <div class="row">\n\n          <div class="col">Costo env&iacute;o:</div>\n\n          <div class="col color-primary">\n\n            {{currencySymbol}}{{currentOrder.deliveryCost | number: \'1.0-0\'}}\n\n          </div>\n\n        </div>\n\n        <div class="row" *ngIf="selectedFreight">\n\n          <div class="col">\n\n            <span class="color-warm-grey"\n\n              >{{selectedFreight.description}}.</span\n\n            >\n\n          </div>\n\n        </div>\n\n        <div class="row" *ngIf="selectedFreight">\n\n          <div class="col">\n\n            <span class="color-warm-grey"\n\n              >Entrega el {{selectedFreight.deliveryDateLabel}}</span\n\n            >\n\n          </div>\n\n        </div>\n\n\n\n        <div class="row">\n\n          <div class="col">Subtotal sin I.V.A.</div>\n\n          <div class="col">\n\n            {{currencySymbol}}{{currentOrder.subtotal | number: \'1.0-0\'}}\n\n          </div>\n\n        </div>\n\n        <div class="row">\n\n          <div class="col">I.V.A.</div>\n\n          <div class="col">\n\n            {{currencySymbol}}{{currentOrder.tax | number: \'1.0-0\'}}\n\n          </div>\n\n        </div>\n\n        <div class="row total">\n\n          <div class="col">Total</div>\n\n          <div class="col">\n\n            {{currencySymbol}}{{currentOrder.total | number: \'1.0-0\'}}\n\n            <br /><span\n\n              class="col price-coupon color-danger"\n\n              *ngIf="currentOrder && currentOrder.totalCoupon && currentOrder.totalCoupon > 0"\n\n              >{{currencySymbol}}{{currentOrder.totalCoupon | number:\n\n              \'1.2-2\'}}</span\n\n            >\n\n          </div>\n\n        </div>\n\n        <div class="row" *ngIf="hasExcentProducts">\n\n          <div class="col">\n\n            <span class="color-warm-grey"\n\n              ><small class="md-txt">* PRODUCTO EXENTO DE I.V.A.</small></span\n\n            >\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </ion-card-content>\n\n  </ion-card>\n\n\n\n  <ion-card *ngIf="currentOrder">\n\n    <ion-item class="card-title">\n\n      <h2><b>DIRECCI&Oacute;N DE ENV&Iacute;O</b></h2>\n\n    </ion-item>\n\n    <ion-card-content>\n\n      <ng-container *ngIf="isCCRDeliveredOrder">\n\n        <div class="item item-text-wrap">\n\n          <div class="line-item">\n\n            <h5 class="price lg-txt">\n\n              {{currentOrder.ccrProvince}}, {{currentOrder.ccrCanton}}, Correos\n\n              de Costa Rica, Sucursal {{currentOrder.ccrSubsidiaryName}}.\n\n            </h5>\n\n          </div>\n\n        </div>\n\n      </ng-container>\n\n\n\n      <ng-container *ngIf="!isCCRDeliveredOrder && selectedAddress">\n\n        <div class="item item-text-wrap">\n\n          <div class="line-item">\n\n            <h5 class="price lg-txt">\n\n              <ng-container *ngIf="selectedAddress.zone">\n\n                {{selectedAddress.zone.district.districtName | uppercase}},\n\n                {{selectedAddress.zone.canton.cantonName | uppercase}},\n\n                {{selectedAddress.zone.province.provinceName | uppercase}},\n\n                {{selectedAddress.direction | uppercase}}\n\n              </ng-container>\n\n            </h5>\n\n            <div\n\n              *ngIf="selectedAddress.phone"\n\n              style="line-height: 0px; text-transform: uppercase"\n\n            >\n\n              <small class="lg-txt">TELEFONO: {{selectedAddress.phone}}</small>\n\n            </div>\n\n          </div>\n\n        </div>\n\n      </ng-container>\n\n      <ng-container *ngIf="!isCCRDeliveredOrder && !selectedAddress">\n\n        <div class="item item-text-wrap">\n\n          <div class="line-item">\n\n            <h5 class="price lg-txt">\n\n              <ng-container\n\n                *ngIf="currentOrder && currentOrder.addressDescription"\n\n              >\n\n                {{currentOrder.addressDescription | uppercase}}\n\n              </ng-container>\n\n            </h5>\n\n          </div>\n\n        </div>\n\n      </ng-container>\n\n    </ion-card-content>\n\n  </ion-card>\n\n\n\n  <ion-card>\n\n    <ion-item class="card-title">\n\n      <h2><b>MEDIO DE PAGO</b></h2>\n\n    </ion-item>\n\n    <ion-card-content>\n\n      <div class="card" *ngIf="selectedCard">\n\n        <div class="item item-text-wrap">\n\n          <div class="line-item">\n\n            <h3 class="xl-txt">{{selectedCard.cardNumberMask}}</h3>\n\n            <h5 class="price lg-txt" *ngIf="selectedCard.issuer !== \'sinpe\'">\n\n              {{selectedCard.description}}\n\n            </h5>\n\n          </div>\n\n        </div>\n\n      </div>\n\n      <div class="card" *ngIf="!selectedCard">\n\n        <div class="item item-text-wrap">\n\n          <div\n\n            class="line-item"\n\n            *ngIf="currentOrder && currentOrder.paymentMethod === \'tarjeta\'"\n\n          >\n\n            <h3 class="xl-txt">\n\n              XXXX-XXXX-XXXX-{{currentOrder.creditCardAlias}}\n\n            </h3>\n\n            <h5 class="price lg-txt" *ngIf="currentOrder.creditCardBrand">\n\n              {{currentOrder.creditCardBrand}}\n\n            </h5>\n\n          </div>\n\n          <div\n\n            class="line-item"\n\n            *ngIf="currentOrder && currentOrder.paymentMethod === \'efectivo\'"\n\n          >\n\n            <h3 class="xl-txt">Efectivo</h3>\n\n            <h5 class="price lg-txt">Pago contra Entrega</h5>\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </ion-card-content>\n\n  </ion-card>\n\n\n\n  <ion-card>\n\n    <ion-item class="card-title">\n\n      <h2><b>FECHA DE ENTREGA DEL PEDIDO</b></h2>\n\n    </ion-item>\n\n    <ion-card-content>\n\n      <div class="card" *ngIf="currentOrder">\n\n        <div class="item item-text-wrap">\n\n          <div class="line-item">\n\n            <h3 class="xxl-txt">\n\n              {{currentOrder.deliveryDate | date : \'dd/MM/yyyy\'}}\n\n            </h3>\n\n          </div>\n\n        </div>\n\n      </div>\n\n    </ion-card-content>\n\n  </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\orders\pages\order-detail\order-info\order-info.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"],
        __WEBPACK_IMPORTED_MODULE_2__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_5__profile_providers_geozone_service__["a" /* GeoZoneService */],
        __WEBPACK_IMPORTED_MODULE_4__providers_freight_service__["a" /* FreightService */]])
], OrderInfoPage);

//# sourceMappingURL=order-info.js.map

/***/ })

});
//# sourceMappingURL=102.js.map