webpackJsonp([105],{

/***/ 1257:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PaymentStep2PageModule", function() { return PaymentStep2PageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__payment_step2__ = __webpack_require__(1393);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let PaymentStep2PageModule = class PaymentStep2PageModule {
};
PaymentStep2PageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__payment_step2__["a" /* PaymentStep2Page */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__payment_step2__["a" /* PaymentStep2Page */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__payment_step2__["a" /* PaymentStep2Page */]
        ]
    })
], PaymentStep2PageModule);

//# sourceMappingURL=payment-step2.module.js.map

/***/ }),

/***/ 1393:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PaymentStep2Page; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_cart_manager_service__ = __webpack_require__(66);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_freight_service__ = __webpack_require__(700);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__util_network_utils__ = __webpack_require__(684);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









let PaymentStep2Page = class PaymentStep2Page {
    constructor(navCtrl, platform, navParams, loadingCtrl, toastCtrl, events, translate, modalCtrl, alertCtrl, cartManager, sessionManager, consultFreightService) {
        this.navCtrl = navCtrl;
        this.platform = platform;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.events = events;
        this.translate = translate;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.cartManager = cartManager;
        this.sessionManager = sessionManager;
        this.consultFreightService = consultFreightService;
        this.list = [];
        this.isLoaded = false;
        this.cartPurchaseTime = "00:00";
    }
    ionViewDidLoad() {
        //Timer de la compra
        this.events.subscribe(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].event.SHOPPING_CART_PURCHASE_TIMER_EXECUTING, (cartPurchaseTime) => {
            this.cartPurchaseTime = cartPurchaseTime;
        });
    }
    ionViewWillEnter() {
        this.isLoaded = false;
        this.currentOrder = this.cartManager.currentOrder;
        this.cartPurchaseTime = this.cartManager.getTimerState();
        var selectedFreight = this.sessionManager.get(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].cart.SELECTED_FREIGHT);
        if (selectedFreight) {
            this.selectedFreightId = selectedFreight.freightId;
        }
        this.deliveryCompany = "CCR";
    }
    ionViewDidEnter() {
        if (__WEBPACK_IMPORTED_MODULE_8__util_network_utils__["a" /* NetUtils */].isOffline()) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.connectionError"));
            return;
        }
        this.fetchFreights();
    }
    fetchFreights() {
        const loading = this.loadingCtrl.create();
        loading.present();
        var session = this.sessionManager.getSession().toModel();
        let params = {
            userId: session.userId,
            token: session.token,
            orderId: this.currentOrder.orderId,
            addressId: this.currentOrder.addressId
        };
        this.consultFreightService.consultFreight(params).subscribe((list) => {
            this.list = list;
            this.isLoaded = true;
            this.fixScroll();
            loading.dismiss();
        });
    }
    saveCartAndGoNext() {
        if (__WEBPACK_IMPORTED_MODULE_8__util_network_utils__["a" /* NetUtils */].isOffline()) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.connectionError"));
            return;
        }
        if (this.selectedFreightId && this.selectedFreightId > 0) {
            var freight;
            for (let i = 0; i < this.list.length; i++) {
                if (this.list[i].freightId === this.selectedFreightId) {
                    freight = this.list[i];
                    break;
                }
            }
            this.currentOrder.freight = freight;
            //this.currentOrder.freightAmount = freight.amount;
            this.currentOrder.deliveryCost = freight.amount;
            this.currentOrder.freightId = freight.freightId;
            this.sessionManager.set(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].cart.SELECTED_FREIGHT, freight);
            //Limpia datos previos de CCR
            this.sessionManager.set(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].cart.SELECTED_SUBSIDIARY_PROVINCE, null);
            this.sessionManager.set(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].cart.SELECTED_SUBSIDIARY_CANTON, null);
            this.sessionManager.set(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].cart.SELECTED_SUBSIDIARY_DETAIL, null);
            //Bitacora de datos
            this.cartManager.addPurchaseLog("CARRITO " + this.currentOrder.orderId + " - PASO2", this.currentOrder);
            if (freight.deliveryCompany === 'CCR' && freight.deliverySubsidiary) {
                this.navCtrl.push('PaymentStep2SubsidiaryPage', { title: "Paso 3" });
            }
            else {
                this.navCtrl.push('PaymentStep3Page', { title: "Paso 3" });
            }
        }
        else {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant('messages.cartDeliveryMethod'));
        }
    }
    cancel() {
        __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].showConfirm(this.alertCtrl, this.translate.instant('messages.cancelCart'), () => {
            this.cartManager.stopPurchase(() => {
                //this.navCtrl.popToRoot();
                __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].handleNavigation(this.navCtrl, 'Root', this.sessionManager);
            });
        });
    }
    fixScroll() {
        if (this.platform.is('ios')) {
            setTimeout(function () {
                console.log("button_wa2" + document.getElementById('button_wa2'));
                document.getElementById('button_wa2').click();
            }, 500);
        }
    }
};
PaymentStep2Page = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-payment-step2',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\orders\pages\cart\payment-step2\payment-step2.html"*/'<ion-header>\n\n    <ion-navbar class="home-nav">\n\n        <button ion-button menuToggle color="light">\n\n            <ion-icon name="md-menu"></ion-icon>\n\n        </button>\n\n        <ion-title>Paso 2</ion-title>\n\n        <ion-buttons end>\n\n            <button ion-button icon-only tappable (click)="cancel()">\n\n                <span ion-text>Cancelar</span>\n\n            </button>\n\n        </ion-buttons>\n\n    </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content class="payment">\n\n    <!--<div class="timer-section">Tienes {{this.cartPurchaseTime}} minutos para finalizar tu compra</div>-->\n\n    <h5 class="wizard-title lg-txt">TIPO DE ENTREGA<br><small>ELIGE UNA OPCI&Oacute;N</small></h5>\n\n\n\n    <div class="line-holder">\n\n        <img src="assets/images/cart/top-line-middle.svg" width="100%">\n\n    </div>\n\n\n\n    <div class="order-list">\n\n        <!--<h2>ELIGE UNA OPCI&Oacute;N:</h2> -->\n\n        <ion-row no-padding no-margin class="main-image-card">\n\n\n\n            <div class="options" *ngIf="isLoaded && list && list.length > 0">\n\n                <ion-list inset radio-group [(ngModel)]="selectedFreightId">\n\n                    <ng-container *ngFor="let item of list">\n\n                        <ion-item>\n\n                            <ion-label text-wrap>\n\n                                <span *ngIf="item.amount > 0"\n\n                                    class="red-text lg-txt">{{item.currencySymbol}}{{item.amount | number:\n\n                                    \'1.0-0\'}}</span>\n\n                                <ng-container *ngIf="item.amount === 0">\n\n                                    <ion-badge color="danger" class="lg-txt">GRATIS</ion-badge>&nbsp;\n\n                                </ng-container><span class="main-text md-txt">{{item.description}}.</span> <span\n\n                                    class="main-text" *ngIf="item.deliveryCompany === \'CCR\' && item.deliverySubsidiary">\n\n                                    {{item.deliverySubsidiary}}.</span>\n\n                                <span class="sub-text md-txt">{{item.labelDays}}</span>\n\n                                <!--<span *ngIf="item.habilDays > 1" class="sub-text">({{item.habilDays}} d&iacute;as h&aacute;biles)</span>\n\n                              <span *ngIf="item.habilDays === 1" class="sub-text">({{item.habilDays}} d&iacute;a h&aacute;bil)</span>-->\n\n                                - <span class="sub-text-green lg-txt">{{item.deliveryDateLabel}}</span>\n\n                                - <span class="gray-text capitalize md-txt">Medio</span><span\n\n                                    class="gray-text md-txt">de pago permitido</span> {{item.paymentMethod}}.\n\n                            </ion-label>\n\n                            <ion-radio [value]="item.freightId"></ion-radio>\n\n                        </ion-item>\n\n                    </ng-container>\n\n                </ion-list>\n\n            </div>\n\n\n\n            <div class="empty-message" *ngIf="isLoaded && list && list.length === 0" padding>\n\n                <ion-row>\n\n                    <ion-col text-center>\n\n                        <ion-icon class="empty-icon" name="ios-albums-outline"></ion-icon><br>\n\n                        <label class="lg-txt">No encontramos informaci&oacute;n para esta secci&oacute;n.</label>\n\n                    </ion-col>\n\n                </ion-row>\n\n            </div>\n\n\n\n\n\n        </ion-row>\n\n\n\n        <button ion-button block round clear class="action-button m-t-15 m-b-30 lg-txt-btn" tappable\n\n            (click)="saveCartAndGoNext()">Siguiente</button>\n\n\n\n    </div>\n\n    <button ion-button outline item-end id=\'button_wa2\' style=\'margin: 0; padding: 0; border: 0; height: 0;\'>\n\n        &nbsp;\n\n    </button>\n\n\n\n</ion-content>'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\orders\pages\cart\payment-step2\payment-step2.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
        __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
        __WEBPACK_IMPORTED_MODULE_3__providers_cart_manager_service__["a" /* CartManagerService */],
        __WEBPACK_IMPORTED_MODULE_4__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_7__providers_freight_service__["a" /* FreightService */]])
], PaymentStep2Page);

//# sourceMappingURL=payment-step2.js.map

/***/ })

});
//# sourceMappingURL=105.js.map