webpackJsonp([109],{

/***/ 1247:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NotificationSetupPageModule", function() { return NotificationSetupPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__notifications_setup__ = __webpack_require__(1383);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let NotificationSetupPageModule = class NotificationSetupPageModule {
};
NotificationSetupPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__notifications_setup__["a" /* NotificationSetupPage */]
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__notifications_setup__["a" /* NotificationSetupPage */])
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__notifications_setup__["a" /* NotificationSetupPage */]
        ]
    })
], NotificationSetupPageModule);

//# sourceMappingURL=notifications-setup.module.js.map

/***/ }),

/***/ 1383:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NotificationSetupPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_notification_settings_service__ = __webpack_require__(729);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_view_utils__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






let NotificationSetupPage = class NotificationSetupPage {
    constructor(navCtrl, navParams, loadingCtrl, alertCtrl, notificationSettings, sessionManager) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.alertCtrl = alertCtrl;
        this.notificationSettings = notificationSettings;
        this.sessionManager = sessionManager;
        this.settings = {};
        this.disabledAllFlag = false;
        this.types = [];
    }
    ionViewWillEnter() {
        this.performNotificationsFetch();
    }
    performNotificationsFetch() {
        const loading = this.loadingCtrl.create();
        loading.present();
        var params = {};
        params.token = this.sessionManager.getToken();
        params.userId = this.sessionManager.getPrincipal().userId;
        this.notificationSettings.getNotificationsType(params).subscribe((data) => {
            this.types = data;
            this.performSettingsFetch(loading);
        }, error => {
            loading.dismiss();
        });
    }
    performSettingsFetch(loading) {
        var params = {};
        params.token = this.sessionManager.getToken();
        params.userId = this.sessionManager.getPrincipal().userId;
        this.notificationSettings.getNotificationsConfig(params).subscribe((data) => {
            this.settings = data;
            if (this.settings && this.settings.configuration) {
                const configs = this.settings.configuration.split(",");
                if (configs.length > 0) {
                    configs.forEach((entry) => {
                        const values = entry.split("$");
                        if (values.length === 2) {
                            const type = values[0];
                            const value = values[1];
                            for (let i = 0; i < this.types.length; i++) {
                                const typeData = this.types[i];
                                if (typeData.typeId === Number(type) && value === "S") {
                                    typeData.checked = true;
                                }
                            }
                        }
                    });
                }
            }
            loading.dismiss();
        }, error => {
            loading.dismiss();
        });
    }
    performSettingsSave() {
        this.settings.token = this.sessionManager.getToken();
        this.settings.userId = this.sessionManager.getPrincipal().userId;
        let configuration = "";
        this.types.forEach((type) => {
            configuration += type.typeId + "$" + (type.checked ? "S" : "N") + ",";
        });
        this.settings.configuration = configuration;
        this.notificationSettings.saveNotificationsConfig(this.settings).subscribe((data) => {
            this.navCtrl.pop();
        }, error => {
        });
    }
    optionChanged(type) {
        if (this.disabledAllFlag) {
            type.checked = false;
        }
        else {
            type.checked = !type.checked;
        }
        if (!type.checked) {
            this.disabledAllFlag = false;
        }
    }
    disableAll() {
        if (this.disabledAllFlag) {
            this.types.forEach((type) => {
                type.checked = false;
            });
        }
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_4__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
NotificationSetupPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-notifications-setup',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\notifications\pages\notifications-setup\notifications-setup.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n  <ion-navbar no-border transparent class="home-nav">\n\n      <button ion-button menuToggle color="light">\n\n          <ion-icon name="md-menu"></ion-icon>\n\n      </button>\n\n      <ion-title class="header-ion-title" color="light">\n\n          <div class="header-title-bar">\n\n              <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n              <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n          </div>\n\n      </ion-title>\n\n      <ion-buttons end>\n\n        <button ion-button icon-only color="light" tappable (click)="performSettingsSave()">\n\n            <span ion-text>Guardar</span>\n\n        </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n  <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n    CONFIGURACI&Oacute;N\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n    <div class="forms">\n\n\n\n        <ion-list text-left *ngIf="types">\n\n              <ion-item-group>\n\n                <ion-item-divider>Tipos de notificaciones</ion-item-divider>\n\n                \n\n                    <ion-item *ngFor="let type of types">\n\n                      <ion-label>{{type.description}}</ion-label>\n\n                      <ion-toggle [checked]="type.checked" tappable (ionChange)="optionChanged(type)"></ion-toggle>\n\n                    </ion-item>\n\n\n\n              </ion-item-group>\n\n            </ion-list>\n\n\n\n            <ion-list text-left>\n\n                <ion-item-group>\n\n                    <ion-item-divider>General</ion-item-divider>\n\n                    <ion-item>\n\n                      <ion-label>Desactivar todas las notificaciones</ion-label>\n\n                      <ion-toggle [(ngModel)]="disabledAllFlag" checked="false" tappable (ionChange)="disableAll()"></ion-toggle>\n\n                    </ion-item>\n\n                </ion-item-group>\n\n              </ion-list>\n\n\n\n      </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\notifications\pages\notifications-setup\notifications-setup.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
        __WEBPACK_IMPORTED_MODULE_2__providers_notification_settings_service__["a" /* NotificationSettingsService */],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */]])
], NotificationSetupPage);

//# sourceMappingURL=notifications-setup.js.map

/***/ })

});
//# sourceMappingURL=109.js.map