webpackJsonp([12],{

/***/ 1292:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EditProfilePageModule", function() { return EditProfilePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__edit_profile__ = __webpack_require__(1432);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_brmasker_ionic_3__ = __webpack_require__(1352);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







let EditProfilePageModule = class EditProfilePageModule {
};
EditProfilePageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__edit_profile__["a" /* EditProfilePage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__edit_profile__["a" /* EditProfilePage */]),
            __WEBPACK_IMPORTED_MODULE_6_brmasker_ionic_3__["a" /* BrMaskerModule */]
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__edit_profile__["a" /* EditProfilePage */]
        ]
    })
], EditProfilePageModule);

//# sourceMappingURL=edit-profile.module.js.map

/***/ }),

/***/ 1350:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export BrMaskModel */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BrMaskerIonic3; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(38);


var BrMaskModel = (function () {
    function BrMaskModel() {
        this.type = 'alfa';
        this.decimal = 2;
        this.decimalCaracter = ",";
        this.userCaracters = false;
        this.numberAndTousand = false;
    }
    return BrMaskModel;
}());

var BrMaskerIonic3 = (function () {
    function BrMaskerIonic3(_renderer, _elementRef) {
        this._renderer = _renderer;
        this._elementRef = _elementRef;
        this.brmasker = new BrMaskModel();
    }
    BrMaskerIonic3.prototype.inputKeyup = function (event) {
        var value = this.returnValue(event.target.value);
        this.writeValue(value);
        event.target.value = value;
    };
    BrMaskerIonic3.prototype.inputOnblur = function (event) {
        var value = this.returnValue(event.value);
        this.writeValue(value);
        event.value = value;
    };
    BrMaskerIonic3.prototype.inputFocus = function (event) {
        var value = this.returnValue(event.value);
        this.writeValue(value);
        event.value = value;
    };
    BrMaskerIonic3.prototype.ngOnInit = function () {
        if (!this.brmasker.type) {
            this.brmasker.type = 'all';
        }
        if (!this.brmasker.decimal) {
            this.brmasker.decimal = 2;
        }
        if (!this.brmasker.decimalCaracter) {
            this.brmasker.decimalCaracter = ',';
        }
    };
    BrMaskerIonic3.prototype.writeValue = function (fn) {
        this._renderer.setElementProperty(this._elementRef.nativeElement, 'value', fn);
    };
    BrMaskerIonic3.prototype.registerOnChange = function (fn) {
        return;
    };
    BrMaskerIonic3.prototype.registerOnTouched = function (fn) {
        return;
    };
    BrMaskerIonic3.prototype.setDisabledState = function (isDisabled) {
        if (isDisabled) {
            this._renderer.setElementAttribute(this._elementRef.nativeElement, 'disabled', 'true');
        }
        else {
            this._renderer.setElementAttribute(this._elementRef.nativeElement, 'disabled', 'false');
        }
    };
    BrMaskerIonic3.prototype.writeCreateValue = function (value, config) {
        if (config === void 0) { config = new BrMaskModel(); }
        if (value && config.phone) {
            return value.replace(/^(?:(?:\+|00)?(55)\s?)?(?:\(?([1-9][0-9])\)?\s?)?(?:((?:9\d|[2-9])\d{3})\-?(\d{4}))$/gi, '$1 ($2) $3-$4');
        }
        if (value && config.money) {
            return this.writeValueMoney(value, config);
        }
        if (value && config.person) {
            return this.writeValuePerson(value);
        }
        if (value && config.percent) {
            return this.writeValuePercent(value);
        }
        if (value && config.mask) {
            this.brmasker.mask = config.mask;
            if (config.len) {
                this.brmasker.len = config.len;
            }
            return this.onInput(value);
        }
        return value;
    };
    BrMaskerIonic3.prototype.writeValuePercent = function (value) {
        value.replace(/\D/gi, '');
        value.replace(/%/gi, '');
        return value.replace(/([0-9]{0})$/gi, '%$1');
    };
    BrMaskerIonic3.prototype.writeValuePerson = function (value) {
        if (value.length <= 11) {
            return value.replace(/(\d{3})(\d{3})(\d{3})(\d{2})/gi, '\$1.\$2.\$3\-\$4');
        }
        else {
            return value.replace(/(\d{2})(\d{3})(\d{3})(\d{4})(\d{2})/gi, '\$1.\$2.\$3\/\$4\-\$5');
        }
    };
    BrMaskerIonic3.prototype.writeValueMoney = function (value, config) {
        if (config === void 0) { config = new BrMaskModel(); }
        return this.moneyMask(value, config);
    };
    BrMaskerIonic3.prototype.returnValue = function (value) {
        if (!this.brmasker.mask) {
            this.brmasker.mask = '';
        }
        if (value) {
            var v = value;
            if (this.brmasker.type == 'alfa') {
                v = v.replace(/\d/gi, '');
            }
            if (this.brmasker.type == 'num') {
                v = v.replace(/\D/gi, '');
            }
            if (this.brmasker.money) {
                return this.moneyMask(this.onInput(v), this.brmasker);
            }
            if (this.brmasker.phone) {
                return this.phoneMask(v);
            }
            if (this.brmasker.phoneNotDDD) {
                return this.phoneNotDDDMask(v);
            }
            if (this.brmasker.person) {
                return this.peapollMask(v);
            }
            if (this.brmasker.percent) {
                return this.percentMask(v);
            }
            if (this.brmasker.numberAndTousand) {
                return this.thousand(v);
            }
            if (this.brmasker.userCaracters) {
                return this.usingSpecialCharacters(v, this.brmasker.mask, this.brmasker.len);
            }
            return this.onInput(v);
        }
        else {
            return '';
        }
    };
    BrMaskerIonic3.prototype.percentMask = function (v) {
        var tmp = v;
        tmp = tmp.replace(/\D/gi, '');
        tmp = tmp.replace(/%/gi, '');
        tmp = tmp.replace(/([0-9]{0})$/gi, '%$1');
        return tmp;
    };
    BrMaskerIonic3.prototype.phoneMask = function (v) {
        var n = v;
        if (n.length > 14) {
            this.brmasker.len = 15;
            this.brmasker.mask = '(99) 99999-9999';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{2})(\d)/gi, '$1 $2');
            n = n.replace(/(\d{5})(\d)/gi, '$1-$2');
            n = n.replace(/(\d{4})(\d)/gi, '$1$2');
        }
        else {
            this.brmasker.len = 14;
            this.brmasker.mask = '(99) 9999-9999';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{2})(\d)/gi, '$1 $2');
            n = n.replace(/(\d{4})(\d)/gi, '$1-$2');
            n = n.replace(/(\d{4})(\d)/gi, '$1$2');
        }
        return this.onInput(n);
    };
    BrMaskerIonic3.prototype.phoneNotDDDMask = function (v) {
        var n = v;
        if (n.length > 9) {
            this.brmasker.len = 10;
            this.brmasker.mask = '99999-9999';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{5})(\d)/gi, '$1-$2');
            n = n.replace(/(\d{4})(\d)/gi, '$1$2');
        }
        else {
            this.brmasker.len = 9;
            this.brmasker.mask = '9999-9999';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{4})(\d)/gi, '$1-$2');
            n = n.replace(/(\d{4})(\d)/gi, '$1$2');
        }
        return this.onInput(n);
    };
    BrMaskerIonic3.prototype.peapollMask = function (v) {
        var n = v;
        if (n.length > 14) {
            this.brmasker.len = 18;
            this.brmasker.mask = '99.999.999/9999-99';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{2})(\d)/gi, '$1.$2');
            n = n.replace(/(\d{3})(\d)/gi, '$1.$2');
            n = n.replace(/(\d{3})(\d)/gi, '$1/$2');
            n = n.replace(/(\d{4})(\d{1,4})$/gi, '$1-$2');
            n = n.replace(/(\d{2})(\d{1,2})$/gi, '$1$2');
        }
        else {
            this.brmasker.len = 14;
            this.brmasker.mask = '999.999.999-99';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{3})(\d)/gi, '$1.$2');
            n = n.replace(/(\d{3})(\d)/gi, '$1.$2');
            n = n.replace(/(\d{3})(\d{1,2})$/gi, '$1-$2');
        }
        return this.onInput(n);
    };
    BrMaskerIonic3.prototype.moneyMask = function (value, config) {
        var decimal = config.decimal || this.brmasker.decimal;
        value = value
            .replace(/\D/gi, '')
            .replace(new RegExp("([0-9]{" + decimal + "})$", "g"), config.decimalCaracter + '$1');
        if (value.length === decimal + 1) {
            return "0" + value; // leading 0 so we're not left with something weird like ",50"
        }
        else if (value.length > decimal + 2 && value.charAt(0) === '0') {
            return value.substr(1); // remove leading 0 when we don't need it anymore
        }
        if (config.thousand && value.length > (Number(4) + Number(config.decimal))) {
            value = value.replace(new RegExp("([0-9]{3})" + config.decimalCaracter + "([0-9]{" + config.decimal + "}$)", "g"), config.thousand + "$1" + config.decimalCaracter + "$2");
        }
        if (config.thousand && value.length > (Number(8) + Number(config.decimal))) {
            value = value.replace(new RegExp("([0-9]{3})" + config.thousand + "([0-9]{3})" + config.decimalCaracter + "([0-9]{" + config.decimal + "}$)", "g"), config.thousand + "$1" + config.thousand + "$2" + config.decimalCaracter + "$3");
        }
        return value;
    };
    BrMaskerIonic3.prototype.onInput = function (value) {
        var ret = this.formatField(value, this.brmasker.mask, this.brmasker.len);
        return ret;
        // if (ret) {
        //   this.element.nativeElement.value = ret;
        // }
    };
    BrMaskerIonic3.prototype.thousand = function (value) {
        var val = value.replace(/\D/gi, '');
        var reverse = val.toString().split('').reverse().join('');
        var thousands = reverse.match(/\d{1,3}/g);
        if (thousands) {
            return thousands.join("" + (this.brmasker.thousand || '.')).split('').reverse().join('');
        }
        return val;
    };
    BrMaskerIonic3.prototype.usingSpecialCharacters = function (campo, Mascara, tamanho) {
        if (!tamanho) {
            tamanho = 99999999999;
        }
        var boleanoMascara;
        var exp = /\-|\.|\,| /gi;
        var campoSoNumeros = campo.toString().replace(exp, '');
        var posicaoCampo = 0;
        var NovoValorCampo = '';
        var TamanhoMascara = campoSoNumeros.length;
        for (var i = 0; i < TamanhoMascara; i++) {
            if (i < tamanho) {
                boleanoMascara = ((Mascara.charAt(i) === '-') || (Mascara.charAt(i) === '.') || (Mascara.charAt(i) === ','));
                if (boleanoMascara) {
                    NovoValorCampo += Mascara.charAt(i);
                    TamanhoMascara++;
                }
                else {
                    NovoValorCampo += campoSoNumeros.charAt(posicaoCampo);
                    posicaoCampo++;
                }
            }
        }
        return NovoValorCampo;
    };
    BrMaskerIonic3.prototype.formatField = function (campo, Mascara, tamanho) {
        if (!tamanho) {
            tamanho = 99999999999;
        }
        var boleanoMascara;
        var exp = /\-|\.|\/|\(|\)|\,|\*|\+|\@|\#|\$|\&|\%|\:| /gi;
        var campoSoNumeros = campo.toString().replace(exp, '');
        var posicaoCampo = 0;
        var NovoValorCampo = '';
        var TamanhoMascara = campoSoNumeros.length;
        for (var i = 0; i < TamanhoMascara; i++) {
            if (i < tamanho) {
                boleanoMascara = ((Mascara.charAt(i) === '-') || (Mascara.charAt(i) === '.') || (Mascara.charAt(i) === '/'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '(') || (Mascara.charAt(i) === ')') || (Mascara.charAt(i) === ' '));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === ',') || (Mascara.charAt(i) === '*') || (Mascara.charAt(i) === '+'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '@') || (Mascara.charAt(i) === '#') || (Mascara.charAt(i) === ':'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '$') || (Mascara.charAt(i) === '&') || (Mascara.charAt(i) === '%'));
                if (boleanoMascara) {
                    NovoValorCampo += Mascara.charAt(i);
                    TamanhoMascara++;
                }
                else {
                    NovoValorCampo += campoSoNumeros.charAt(posicaoCampo);
                    posicaoCampo++;
                }
            }
        }
        return NovoValorCampo;
    };
    return BrMaskerIonic3;
}());

BrMaskerIonic3.decorators = [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"], args: [{
                selector: '[brmasker]',
                providers: [
                    {
                        provide: __WEBPACK_IMPORTED_MODULE_1__angular_forms__["NG_VALUE_ACCESSOR"],
                        useExisting: BrMaskerIonic3,
                        multi: true
                    }
                ]
            },] },
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
];
/** @nocollapse */
BrMaskerIonic3.ctorParameters = function () { return [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Renderer"], },
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"], },
]; };
BrMaskerIonic3.propDecorators = {
    'brmasker': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"] },],
    'inputKeyup': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["HostListener"], args: ['keyup', ['$event'],] },],
    'inputOnblur': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["HostListener"], args: ['ionBlur', ['$event'],] },],
    'inputFocus': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["HostListener"], args: ['ionFocus', ['$event'],] },],
};
//# sourceMappingURL=brmasker-ionic-3.js.map

/***/ }),

/***/ 1351:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export BrMaskServicesModel */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BrMaskerIonicServices3; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);

var BrMaskServicesModel = (function () {
    function BrMaskServicesModel() {
        this.type = 'alfa';
        this.decimal = 2;
        this.decimalCaracter = ",";
        this.userCaracters = false;
        this.numberAndTousand = false;
    }
    return BrMaskServicesModel;
}());

var BrMaskerIonicServices3 = (function () {
    function BrMaskerIonicServices3() {
        this.brmasker = new BrMaskServicesModel();
    }
    BrMaskerIonicServices3.prototype.ngOnInit = function () {
        if (!this.brmasker.type) {
            this.brmasker.type = 'all';
        }
        if (!this.brmasker.decimal) {
            this.brmasker.decimal = 2;
        }
        if (!this.brmasker.decimalCaracter) {
            this.brmasker.decimalCaracter = ',';
        }
    };
    BrMaskerIonicServices3.prototype.writeCreateValue = function (value, config) {
        if (config === void 0) { config = new BrMaskServicesModel(); }
        if (value && config.phone) {
            return value.replace(/^(?:(?:\+|00)?(55)\s?)?(?:\(?([1-9][0-9])\)?\s?)?(?:((?:9\d|[2-9])\d{3})\-?(\d{4}))$/gi, '$1 ($2) $3-$4');
        }
        if (value && config.money) {
            return this.writeValueMoney(value, config);
        }
        if (value && config.person) {
            return this.writeValuePerson(value);
        }
        if (value && config.percent) {
            return this.writeValuePercent(value);
        }
        if (value && config.numberAndTousand) {
            return this.writeValueNumberAndThousand(value);
        }
        if (value && config.userCaracters) {
            return this.writeValueusingSpecialCharacters(value);
        }
        if (value && config.mask) {
            this.brmasker.mask = config.mask;
            if (config.len) {
                this.brmasker.len = config.len;
            }
            return this.onInput(value);
        }
        return value;
    };
    BrMaskerIonicServices3.prototype.writeValuePercent = function (value) {
        value.replace(/\D/gi, '');
        value.replace(/%/gi, '');
        return value.replace(/([0-9]{0})$/gi, '%$1');
    };
    BrMaskerIonicServices3.prototype.writeValuePerson = function (value) {
        if (value.length <= 11) {
            return value.replace(/(\d{3})(\d{3})(\d{3})(\d{2})/gi, '\$1.\$2.\$3\-\$4');
        }
        else {
            return value.replace(/(\d{2})(\d{3})(\d{3})(\d{4})(\d{2})/gi, '\$1.\$2.\$3\/\$4\-\$5');
        }
    };
    BrMaskerIonicServices3.prototype.writeValueMoney = function (value, config) {
        if (config === void 0) { config = new BrMaskServicesModel(); }
        return this.moneyMask(value, config);
    };
    BrMaskerIonicServices3.prototype.writeValueNumberAndThousand = function (value, config) {
        if (config === void 0) { config = new BrMaskServicesModel(); }
        return this.thousand(value);
    };
    BrMaskerIonicServices3.prototype.writeValueusingSpecialCharacters = function (value, config) {
        if (config === void 0) { config = new BrMaskServicesModel(); }
        return this.usingSpecialCharacters(value, config.mask, config.len);
    };
    BrMaskerIonicServices3.prototype.moneyMask = function (value, config) {
        var decimal = config.decimal || this.brmasker.decimal;
        value = value
            .replace(/\D/gi, '')
            .replace(new RegExp("([0-9]{" + decimal + "})$", "g"), config.decimalCaracter + '$1');
        if (value.length === decimal + 1) {
            return "0" + value; // leading 0 so we're not left with something weird like ",50"
        }
        else if (value.length > decimal + 2 && value.charAt(0) === '0') {
            return value.substr(1); // remove leading 0 when we don't need it anymore
        }
        if (config.thousand && value.length > (Number(4) + Number(config.decimal))) {
            value = value.replace(new RegExp("([0-9]{3})" + config.decimalCaracter + "([0-9]{" + config.decimal + "}$)", "g"), config.thousand + "$1" + config.decimalCaracter + "$2");
        }
        if (config.thousand && value.length > (Number(8) + Number(config.decimal))) {
            value = value.replace(new RegExp("([0-9]{3})" + config.thousand + "([0-9]{3})" + config.decimalCaracter + "([0-9]{" + config.decimal + "}$)", "g"), config.thousand + "$1" + config.thousand + "$2" + config.decimalCaracter + "$3");
        }
        return value;
    };
    BrMaskerIonicServices3.prototype.onInput = function (value) {
        var ret = this.formatField(value, this.brmasker.mask, this.brmasker.len);
        return ret;
    };
    BrMaskerIonicServices3.prototype.thousand = function (value) {
        var val = value.replace(/\D/gi, '');
        var reverse = val.toString().split('').reverse().join('');
        var thousands = reverse.match(/\d{1,3}/g);
        val = thousands.join("" + (this.brmasker.thousand || '.')).split('').reverse().join('');
        return val;
    };
    BrMaskerIonicServices3.prototype.usingSpecialCharacters = function (campo, Mascara, tamanho) {
        if (!tamanho) {
            tamanho = 99999999999;
        }
        var boleanoMascara;
        var exp = /\-|\.|\,| /gi;
        var campoSoNumeros = campo.toString().replace(exp, '');
        var posicaoCampo = 0;
        var NovoValorCampo = '';
        var TamanhoMascara = campoSoNumeros.length;
        for (var i = 0; i < TamanhoMascara; i++) {
            if (i < tamanho) {
                boleanoMascara = ((Mascara.charAt(i) === '-') || (Mascara.charAt(i) === '.') || (Mascara.charAt(i) === ','));
                if (boleanoMascara) {
                    NovoValorCampo += Mascara.charAt(i);
                    TamanhoMascara++;
                }
                else {
                    NovoValorCampo += campoSoNumeros.charAt(posicaoCampo);
                    posicaoCampo++;
                }
            }
        }
        return NovoValorCampo;
    };
    BrMaskerIonicServices3.prototype.formatField = function (campo, Mascara, tamanho) {
        if (!tamanho) {
            tamanho = 99999999999;
        }
        var boleanoMascara;
        var exp = /\-|\.|\/|\(|\)|\,|\*|\+|\@|\#|\$|\&|\%|\:| /gi;
        var campoSoNumeros = campo.toString().replace(exp, '');
        var posicaoCampo = 0;
        var NovoValorCampo = '';
        var TamanhoMascara = campoSoNumeros.length;
        for (var i = 0; i < TamanhoMascara; i++) {
            if (i < tamanho) {
                boleanoMascara = ((Mascara.charAt(i) === '-') || (Mascara.charAt(i) === '.') || (Mascara.charAt(i) === '/'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '(') || (Mascara.charAt(i) === ')') || (Mascara.charAt(i) === ' '));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === ',') || (Mascara.charAt(i) === '*') || (Mascara.charAt(i) === '+'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '@') || (Mascara.charAt(i) === '#') || (Mascara.charAt(i) === ':'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '$') || (Mascara.charAt(i) === '&') || (Mascara.charAt(i) === '%'));
                if (boleanoMascara) {
                    NovoValorCampo += Mascara.charAt(i);
                    TamanhoMascara++;
                }
                else {
                    NovoValorCampo += campoSoNumeros.charAt(posicaoCampo);
                    posicaoCampo++;
                }
            }
        }
        return NovoValorCampo;
    };
    return BrMaskerIonicServices3;
}());

BrMaskerIonicServices3.decorators = [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"], args: [{
                selector: '[brmasker]',
            },] },
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
];
/** @nocollapse */
BrMaskerIonicServices3.ctorParameters = function () { return []; };
//# sourceMappingURL=brmasker-ionic-services.js.map

/***/ }),

/***/ 1352:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__app_module__ = __webpack_require__(1353);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__app_module__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__directives__ = __webpack_require__(1354);
/* unused harmony namespace reexport */


//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1353:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BrMaskerModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__directives_brmasker_ionic_3__ = __webpack_require__(1350);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__directives_brmasker_ionic_services__ = __webpack_require__(1351);




var BrMaskerModule = (function () {
    function BrMaskerModule() {
    }
    return BrMaskerModule;
}());

BrMaskerModule.decorators = [
    { type: __WEBPACK_IMPORTED_MODULE_1__angular_core__["NgModule"], args: [{
                declarations: [
                    __WEBPACK_IMPORTED_MODULE_2__directives_brmasker_ionic_3__["a" /* BrMaskerIonic3 */],
                    __WEBPACK_IMPORTED_MODULE_3__directives_brmasker_ionic_services__["a" /* BrMaskerIonicServices3 */]
                ],
                exports: [
                    __WEBPACK_IMPORTED_MODULE_2__directives_brmasker_ionic_3__["a" /* BrMaskerIonic3 */],
                    __WEBPACK_IMPORTED_MODULE_3__directives_brmasker_ionic_services__["a" /* BrMaskerIonicServices3 */]
                ],
                imports: [
                    __WEBPACK_IMPORTED_MODULE_0__angular_common__["CommonModule"]
                ],
                schemas: [
                    __WEBPACK_IMPORTED_MODULE_1__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]
                ],
                providers: [__WEBPACK_IMPORTED_MODULE_3__directives_brmasker_ionic_services__["a" /* BrMaskerIonicServices3 */]]
            },] },
];
/** @nocollapse */
BrMaskerModule.ctorParameters = function () { return []; };
//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 1354:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__brmasker_ionic_3__ = __webpack_require__(1350);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__brmasker_ionic_services__ = __webpack_require__(1351);
/* unused harmony namespace reexport */


//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1432:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditProfilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__security_providers_user_service__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_string_utils__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__util_date_utils__ = __webpack_require__(690);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









let EditProfilePage = class EditProfilePage {
    constructor(navCtrl, navParams, sessionManager, loadingCtrl, toastCtrl, translate, userService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sessionManager = sessionManager;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.translate = translate;
        this.userService = userService;
        this.user = {};
        this.maxBirthDate = new Date().toISOString();
        this.idMaxLen = 9;
    }
    ionViewWillEnter() {
        //Default
        this.user.identificationType = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePerson;
        //Pregunta si los datos de usuario han sido actualizados
        var flag = this.sessionManager.get("userInfoUpdated");
        if (!flag) {
            const loading = this.loadingCtrl.create();
            loading.present();
            //Datos del usuario pero copiados para edicion segura
            this.fetchUserDataCopy();
            this.userService.getUser(this.user).subscribe((response) => {
                //Mantiene el token
                response.token = this.user.token;
                response.userId = this.user.userId;
                if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(response.identificationType)) {
                    response.identificationType = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePerson;
                }
                this.sessionManager.set("userInfoUpdated", true);
                this.sessionManager.getSession().updatePrincipal(response);
                this.preSetDefaultValues();
                loading.dismiss();
            }, error => {
                loading.dismiss();
            });
        }
        else {
            this.preSetDefaultValues();
        }
    }
    fetchUserDataCopy() {
        this.user = Object.assign({}, this.sessionManager.getPrincipal());
    }
    preSetDefaultValues() {
        //Datos del usuario pero copiados para edicion segura
        this.fetchUserDataCopy();
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.identificationType)) {
            this.user.identificationType = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePerson;
        }
        if (this.user.birthDate) {
            this.userBirthDate = new Date(this.user.birthDate).toISOString();
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.gender)) {
            this.user.gender = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.defaultGender;
        }
    }
    setIdType(e, code) {
        this.user.identification = "";
        switch (code) {
            case __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePerson: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePersonLen;
                break;
            }
            case __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeLegal: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeLegalLen;
                break;
            }
            case __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeOther: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeOtherLen;
                break;
            }
            case __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeResident: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeResidentMinLen;
                break;
            }
            case __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePassport: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePassportLen;
                break;
            }
        }
    }
    save() {
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].areEmpty([this.user.name, this.user.firstSurname])) {
            __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterNameAndSurename"));
            return;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.identification)) {
            __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterIdentification"));
            return;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.phone)) {
            __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidPhone"));
            return;
        }
        //Si se ingreso la identificacion
        if (!__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.identification)) {
            //Remueve los guiones
            let tempId = this.user.identification.replace(/-/g, '');
            if (this.user.identificationType === __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePerson) {
                if ((tempId.length < __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePersonLen) || !(__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isPatternPresent(tempId, new RegExp(__WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypePersonRegEx)))) {
                    __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidCNA"));
                    return;
                }
            }
            if (this.user.identificationType === __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeLegal) {
                if ((tempId.length < __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeLegalLen) || !(__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isPatternPresent(tempId, new RegExp(__WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeLegalRegEx)))) {
                    __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidCJU"));
                    return;
                }
            }
            if (this.user.identificationType === __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeResident) {
                if ((tempId.length < __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeResidentMinLen) || !(__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isPatternPresent(tempId, new RegExp(__WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeResidentMinRegEx)))) {
                    __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidRES"));
                    return;
                }
                if ((tempId.length > __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeResidentMaxLen) && !(__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isPatternPresent(tempId, new RegExp(__WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.idTypeResidentMaxRegEx)))) {
                    __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidRES"));
                    return;
                }
            }
        }
        //Si se ingreso el telefono
        if (!__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.phone)) {
            //Remueve los guiones
            let tempId = this.user.phone.replace(/-/g, '');
            if (tempId.length < 8 || !(__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isPatternPresent(tempId, new RegExp(__WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.phoneRegEx)))) {
                __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidPhone"));
                return;
            }
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isNotEmpty(this.userBirthDate)) {
            var timestamp = __WEBPACK_IMPORTED_MODULE_8__util_date_utils__["a" /* DateUtils */].parseISODate(this.userBirthDate).getTime();
            this.user.birthDate = timestamp;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.gender)) {
            this.user.gender = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.defaultGender;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.pushNotifications)) {
            this.user.pushNotifications = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.defaultNO;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.paypalCode)) {
            this.user.paypalCode = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.defaultNO;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.fingerPrintValidation)) {
            this.user.fingerPrintValidation = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.defaultNO;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.pictureType)) {
            this.user.pictureType = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.defaultProfileImageType;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.picture)) {
            this.user.picture = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.defaultProfileImage;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.country)) {
            this.user.country = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.defaultCountry;
        }
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.currency)) {
            this.user.currency = __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.defaultCurrency;
        }
        const loading = this.loadingCtrl.create();
        loading.present();
        this.userService.modifyUser(this.user).subscribe((response) => {
            this.sessionManager.getSession().updatePrincipal(this.user);
            loading.dismiss();
            __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataSaved"));
            setTimeout(() => {
                this.navCtrl.pop();
            }, 500);
        }, error => {
            loading.dismiss();
            __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataNotSaved"));
        });
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_7__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
EditProfilePage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-edit-profile',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\edit-profile\edit-profile.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n  <ion-navbar no-border transparent class="home-nav">\n\n    <button ion-button menuToggle color="light">\n\n      <ion-icon name="md-menu"></ion-icon>\n\n    </button>\n\n    <ion-title class="header-ion-title" color="light">\n\n      <div class="header-title-bar">\n\n        <img showWhen="android,windows" class="header-title-image" height="40" alt="logo"\n\n          src="assets/images/general/Logo-E-Fast.png">\n\n        <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n      </div>\n\n    </ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only tappable color="light" (click)="save()">\n\n        <span ion-text class="md-txt">Guardar</span>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n  <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n    MI PERFIL\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content class="formss">\n\n  <ion-list>\n\n    <form name="editProfileForm" #editProfileForm=\'ngForm\' autocomplete="false">\n\n      <ion-item-group>\n\n        <ion-item-divider><label>Mi Informaci&oacute;n personal</label></ion-item-divider>\n\n        <ion-item>\n\n          <ion-label floating>Nombre</ion-label>\n\n          <ion-input type="text" [(ngModel)]="user.name" (ngModelChange)="user.name = $event.toLocaleUpperCase()"\n\n            name="name" autocorrect="on" clearInput="true" maxlength="50" required></ion-input>\n\n        </ion-item>\n\n\n\n        <ion-item>\n\n          <ion-label floating>1er. Apellido</ion-label>\n\n          <ion-input type="text" [(ngModel)]="user.firstSurname"\n\n            (ngModelChange)="user.firstSurname = $event.toLocaleUpperCase()" name="firstSurname" autocorrect="on"\n\n            clearInput="true" maxlength="50" required></ion-input>\n\n        </ion-item>\n\n\n\n        <ion-item>\n\n          <ion-label floating>2do. Apellido</ion-label>\n\n          <ion-input type="text" [(ngModel)]="user.secondSurname"\n\n            (ngModelChange)="user.secondSurname = $event.toLocaleUpperCase()" name="secondSurname" autocorrect="on"\n\n            clearInput="true" maxlength="50"></ion-input>\n\n        </ion-item>\n\n        <ion-item class="select-itmm">\n\n          <ion-label floating>\n\n            TIPO DE ID.\n\n          </ion-label>\n\n          <ion-select [(ngModel)]="user.identificationType" name="identificationType">\n\n            <ion-option value="F" (ionSelect)="setIdType($event, \'F\')">C&Eacute;DULA DE IDENTIDAD </ion-option>\n\n            <ion-option value="J" (ionSelect)="setIdType($event, \'J\')">C&Eacute;DULA JUR&Iacute;DICA</ion-option>\n\n            <ion-option value="P" (ionSelect)="setIdType($event, \'P\')">PASAPORTE</ion-option>\n\n            <ion-option value="R" (ionSelect)="setIdType($event, \'R\')">C&Eacute;DULA DE RESIDENCIA</ion-option>\n\n            <ion-option value="O" (ionSelect)="setIdType($event, \'O\')">OTROS</ion-option>\n\n          </ion-select>\n\n        </ion-item>\n\n        <!--<ion-item [attr.no-lines]="(user.identificationType != \'P\' && user.identificationType != \'O\') ? true : null">-->\n\n          <ion-item>\n\n          <ion-label floating>Identificaci&oacute;n</ion-label>\n\n          <ion-input *ngIf="user.identificationType === \'F\'" [(ngModel)]="user.identification"\n\n            (ngModelChange)="user.identification = $event.toLocaleUpperCase()"\n\n            [brmasker]="{mask:\'0-0000-0000\', len:11, type:\'num\'}" type="text" name="identification" autocorrect="on"\n\n            clearInput="true" maxlength="20"></ion-input>\n\n          <ion-input *ngIf="user.identificationType === \'J\'" [(ngModel)]="user.identification"\n\n            (ngModelChange)="user.identification = $event.toLocaleUpperCase()"\n\n            [brmasker]="{mask:\'0-000-000000\', len:12, type:\'num\'}" type="text" name="identification" autocorrect="on"\n\n            clearInput="true" maxlength="20"></ion-input>\n\n          <ion-input *ngIf="user.identificationType === \'R\'" [(ngModel)]="user.identification"\n\n            (ngModelChange)="user.identification = $event.toLocaleUpperCase()"\n\n            [brmasker]="{mask:\'000000000000\', len:12, type:\'num\'}" type="text" name="identification" autocorrect="on"\n\n            clearInput="true" maxlength="20"></ion-input>\n\n          <ion-input *ngIf="user.identificationType === \'P\' || user.identificationType === \'O\'"\n\n            [(ngModel)]="user.identification" (ngModelChange)="user.identification = $event.toLocaleUpperCase()"\n\n            type="text" name="identification" autocorrect="on" clearInput="true" maxlength="20"></ion-input>\n\n        </ion-item>\n\n        <ion-item [attr.no-lines]="true" class="small-item" *ngIf="user.identificationType != \'P\' && user.identificationType != \'O\'">\n\n          <h3 class="color-warm-grey" *ngIf="user.identificationType === \'F\'">El Formato v&aacute;lido es: #-####-####\n\n          </h3>\n\n          <h3 class="color-warm-grey" *ngIf="user.identificationType === \'J\'">El Formato v&aacute;lido es: #-###-######\n\n          </h3>\n\n          <h3 class="color-warm-grey" *ngIf="user.identificationType === \'R\'">El Formato v&aacute;lido es:\n\n            ################</h3>\n\n        </ion-item>\n\n        <ion-item>\n\n          <ion-label floating>CUMPLEA&Ntilde;OS</ion-label>\n\n          <ion-datetime [(ngModel)]="userBirthDate" tappable name="userBirthDate" min="1950" [max]="maxBirthDate"\n\n            cancelText="Cancelar" doneText="OK"\n\n            monthShortNames="ENE, FEB, MAR, ABR, MAY, JUN, JUL, AGO, SET, OCT, NOV, DIC" displayFormat="D MMM YYYY"\n\n            pickerFormat="D MMM YYYY"></ion-datetime>\n\n        </ion-item>\n\n        <ion-item class="select-itmm">\n\n          <ion-label floating>G&Eacute;NERO</ion-label>\n\n          <ion-select [(ngModel)]="user.gender" tappable name="gender">\n\n            <ion-option value="M" selected>HOMBRE</ion-option>\n\n            <ion-option value="F">MUJER</ion-option>\n\n            <ion-option value="O">NO ESPECIFICADO</ion-option>\n\n          </ion-select>\n\n        </ion-item>\n\n\n\n        <ion-item>\n\n          <ion-label floating>Tel&eacute;fono</ion-label>\n\n          <ion-input type="tel" [(ngModel)]="user.phone" [brmasker]="{mask:\'0000-0000\', len:9, type:\'num\'}" name="phone"\n\n            clearInput="true" maxlength="12"></ion-input>\n\n        </ion-item>\n\n\n\n\n\n      </ion-item-group>\n\n    </form>\n\n  </ion-list>\n\n\n\n</ion-content>'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\edit-profile\edit-profile.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_4__security_providers_user_service__["a" /* UserService */]])
], EditProfilePage);

//# sourceMappingURL=edit-profile.js.map

/***/ })

});
//# sourceMappingURL=12.js.map