webpackJsonp([5],{

/***/ 1328:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SignupPageModule", function() { return SignupPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__signup__ = __webpack_require__(1468);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_brmasker_ionic_3__ = __webpack_require__(1352);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







let SignupPageModule = class SignupPageModule {
};
SignupPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__signup__["a" /* SignupPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__signup__["a" /* SignupPage */]),
            __WEBPACK_IMPORTED_MODULE_6_brmasker_ionic_3__["a" /* BrMaskerModule */]
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__signup__["a" /* SignupPage */]
        ]
    })
], SignupPageModule);

//# sourceMappingURL=signup.module.js.map

/***/ }),

/***/ 1350:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export BrMaskModel */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BrMaskerIonic3; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(38);


var BrMaskModel = (function () {
    function BrMaskModel() {
        this.type = 'alfa';
        this.decimal = 2;
        this.decimalCaracter = ",";
        this.userCaracters = false;
        this.numberAndTousand = false;
    }
    return BrMaskModel;
}());

var BrMaskerIonic3 = (function () {
    function BrMaskerIonic3(_renderer, _elementRef) {
        this._renderer = _renderer;
        this._elementRef = _elementRef;
        this.brmasker = new BrMaskModel();
    }
    BrMaskerIonic3.prototype.inputKeyup = function (event) {
        var value = this.returnValue(event.target.value);
        this.writeValue(value);
        event.target.value = value;
    };
    BrMaskerIonic3.prototype.inputOnblur = function (event) {
        var value = this.returnValue(event.value);
        this.writeValue(value);
        event.value = value;
    };
    BrMaskerIonic3.prototype.inputFocus = function (event) {
        var value = this.returnValue(event.value);
        this.writeValue(value);
        event.value = value;
    };
    BrMaskerIonic3.prototype.ngOnInit = function () {
        if (!this.brmasker.type) {
            this.brmasker.type = 'all';
        }
        if (!this.brmasker.decimal) {
            this.brmasker.decimal = 2;
        }
        if (!this.brmasker.decimalCaracter) {
            this.brmasker.decimalCaracter = ',';
        }
    };
    BrMaskerIonic3.prototype.writeValue = function (fn) {
        this._renderer.setElementProperty(this._elementRef.nativeElement, 'value', fn);
    };
    BrMaskerIonic3.prototype.registerOnChange = function (fn) {
        return;
    };
    BrMaskerIonic3.prototype.registerOnTouched = function (fn) {
        return;
    };
    BrMaskerIonic3.prototype.setDisabledState = function (isDisabled) {
        if (isDisabled) {
            this._renderer.setElementAttribute(this._elementRef.nativeElement, 'disabled', 'true');
        }
        else {
            this._renderer.setElementAttribute(this._elementRef.nativeElement, 'disabled', 'false');
        }
    };
    BrMaskerIonic3.prototype.writeCreateValue = function (value, config) {
        if (config === void 0) { config = new BrMaskModel(); }
        if (value && config.phone) {
            return value.replace(/^(?:(?:\+|00)?(55)\s?)?(?:\(?([1-9][0-9])\)?\s?)?(?:((?:9\d|[2-9])\d{3})\-?(\d{4}))$/gi, '$1 ($2) $3-$4');
        }
        if (value && config.money) {
            return this.writeValueMoney(value, config);
        }
        if (value && config.person) {
            return this.writeValuePerson(value);
        }
        if (value && config.percent) {
            return this.writeValuePercent(value);
        }
        if (value && config.mask) {
            this.brmasker.mask = config.mask;
            if (config.len) {
                this.brmasker.len = config.len;
            }
            return this.onInput(value);
        }
        return value;
    };
    BrMaskerIonic3.prototype.writeValuePercent = function (value) {
        value.replace(/\D/gi, '');
        value.replace(/%/gi, '');
        return value.replace(/([0-9]{0})$/gi, '%$1');
    };
    BrMaskerIonic3.prototype.writeValuePerson = function (value) {
        if (value.length <= 11) {
            return value.replace(/(\d{3})(\d{3})(\d{3})(\d{2})/gi, '\$1.\$2.\$3\-\$4');
        }
        else {
            return value.replace(/(\d{2})(\d{3})(\d{3})(\d{4})(\d{2})/gi, '\$1.\$2.\$3\/\$4\-\$5');
        }
    };
    BrMaskerIonic3.prototype.writeValueMoney = function (value, config) {
        if (config === void 0) { config = new BrMaskModel(); }
        return this.moneyMask(value, config);
    };
    BrMaskerIonic3.prototype.returnValue = function (value) {
        if (!this.brmasker.mask) {
            this.brmasker.mask = '';
        }
        if (value) {
            var v = value;
            if (this.brmasker.type == 'alfa') {
                v = v.replace(/\d/gi, '');
            }
            if (this.brmasker.type == 'num') {
                v = v.replace(/\D/gi, '');
            }
            if (this.brmasker.money) {
                return this.moneyMask(this.onInput(v), this.brmasker);
            }
            if (this.brmasker.phone) {
                return this.phoneMask(v);
            }
            if (this.brmasker.phoneNotDDD) {
                return this.phoneNotDDDMask(v);
            }
            if (this.brmasker.person) {
                return this.peapollMask(v);
            }
            if (this.brmasker.percent) {
                return this.percentMask(v);
            }
            if (this.brmasker.numberAndTousand) {
                return this.thousand(v);
            }
            if (this.brmasker.userCaracters) {
                return this.usingSpecialCharacters(v, this.brmasker.mask, this.brmasker.len);
            }
            return this.onInput(v);
        }
        else {
            return '';
        }
    };
    BrMaskerIonic3.prototype.percentMask = function (v) {
        var tmp = v;
        tmp = tmp.replace(/\D/gi, '');
        tmp = tmp.replace(/%/gi, '');
        tmp = tmp.replace(/([0-9]{0})$/gi, '%$1');
        return tmp;
    };
    BrMaskerIonic3.prototype.phoneMask = function (v) {
        var n = v;
        if (n.length > 14) {
            this.brmasker.len = 15;
            this.brmasker.mask = '(99) 99999-9999';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{2})(\d)/gi, '$1 $2');
            n = n.replace(/(\d{5})(\d)/gi, '$1-$2');
            n = n.replace(/(\d{4})(\d)/gi, '$1$2');
        }
        else {
            this.brmasker.len = 14;
            this.brmasker.mask = '(99) 9999-9999';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{2})(\d)/gi, '$1 $2');
            n = n.replace(/(\d{4})(\d)/gi, '$1-$2');
            n = n.replace(/(\d{4})(\d)/gi, '$1$2');
        }
        return this.onInput(n);
    };
    BrMaskerIonic3.prototype.phoneNotDDDMask = function (v) {
        var n = v;
        if (n.length > 9) {
            this.brmasker.len = 10;
            this.brmasker.mask = '99999-9999';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{5})(\d)/gi, '$1-$2');
            n = n.replace(/(\d{4})(\d)/gi, '$1$2');
        }
        else {
            this.brmasker.len = 9;
            this.brmasker.mask = '9999-9999';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{4})(\d)/gi, '$1-$2');
            n = n.replace(/(\d{4})(\d)/gi, '$1$2');
        }
        return this.onInput(n);
    };
    BrMaskerIonic3.prototype.peapollMask = function (v) {
        var n = v;
        if (n.length > 14) {
            this.brmasker.len = 18;
            this.brmasker.mask = '99.999.999/9999-99';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{2})(\d)/gi, '$1.$2');
            n = n.replace(/(\d{3})(\d)/gi, '$1.$2');
            n = n.replace(/(\d{3})(\d)/gi, '$1/$2');
            n = n.replace(/(\d{4})(\d{1,4})$/gi, '$1-$2');
            n = n.replace(/(\d{2})(\d{1,2})$/gi, '$1$2');
        }
        else {
            this.brmasker.len = 14;
            this.brmasker.mask = '999.999.999-99';
            n = n.replace(/\D/gi, '');
            n = n.replace(/(\d{3})(\d)/gi, '$1.$2');
            n = n.replace(/(\d{3})(\d)/gi, '$1.$2');
            n = n.replace(/(\d{3})(\d{1,2})$/gi, '$1-$2');
        }
        return this.onInput(n);
    };
    BrMaskerIonic3.prototype.moneyMask = function (value, config) {
        var decimal = config.decimal || this.brmasker.decimal;
        value = value
            .replace(/\D/gi, '')
            .replace(new RegExp("([0-9]{" + decimal + "})$", "g"), config.decimalCaracter + '$1');
        if (value.length === decimal + 1) {
            return "0" + value; // leading 0 so we're not left with something weird like ",50"
        }
        else if (value.length > decimal + 2 && value.charAt(0) === '0') {
            return value.substr(1); // remove leading 0 when we don't need it anymore
        }
        if (config.thousand && value.length > (Number(4) + Number(config.decimal))) {
            value = value.replace(new RegExp("([0-9]{3})" + config.decimalCaracter + "([0-9]{" + config.decimal + "}$)", "g"), config.thousand + "$1" + config.decimalCaracter + "$2");
        }
        if (config.thousand && value.length > (Number(8) + Number(config.decimal))) {
            value = value.replace(new RegExp("([0-9]{3})" + config.thousand + "([0-9]{3})" + config.decimalCaracter + "([0-9]{" + config.decimal + "}$)", "g"), config.thousand + "$1" + config.thousand + "$2" + config.decimalCaracter + "$3");
        }
        return value;
    };
    BrMaskerIonic3.prototype.onInput = function (value) {
        var ret = this.formatField(value, this.brmasker.mask, this.brmasker.len);
        return ret;
        // if (ret) {
        //   this.element.nativeElement.value = ret;
        // }
    };
    BrMaskerIonic3.prototype.thousand = function (value) {
        var val = value.replace(/\D/gi, '');
        var reverse = val.toString().split('').reverse().join('');
        var thousands = reverse.match(/\d{1,3}/g);
        if (thousands) {
            return thousands.join("" + (this.brmasker.thousand || '.')).split('').reverse().join('');
        }
        return val;
    };
    BrMaskerIonic3.prototype.usingSpecialCharacters = function (campo, Mascara, tamanho) {
        if (!tamanho) {
            tamanho = 99999999999;
        }
        var boleanoMascara;
        var exp = /\-|\.|\,| /gi;
        var campoSoNumeros = campo.toString().replace(exp, '');
        var posicaoCampo = 0;
        var NovoValorCampo = '';
        var TamanhoMascara = campoSoNumeros.length;
        for (var i = 0; i < TamanhoMascara; i++) {
            if (i < tamanho) {
                boleanoMascara = ((Mascara.charAt(i) === '-') || (Mascara.charAt(i) === '.') || (Mascara.charAt(i) === ','));
                if (boleanoMascara) {
                    NovoValorCampo += Mascara.charAt(i);
                    TamanhoMascara++;
                }
                else {
                    NovoValorCampo += campoSoNumeros.charAt(posicaoCampo);
                    posicaoCampo++;
                }
            }
        }
        return NovoValorCampo;
    };
    BrMaskerIonic3.prototype.formatField = function (campo, Mascara, tamanho) {
        if (!tamanho) {
            tamanho = 99999999999;
        }
        var boleanoMascara;
        var exp = /\-|\.|\/|\(|\)|\,|\*|\+|\@|\#|\$|\&|\%|\:| /gi;
        var campoSoNumeros = campo.toString().replace(exp, '');
        var posicaoCampo = 0;
        var NovoValorCampo = '';
        var TamanhoMascara = campoSoNumeros.length;
        for (var i = 0; i < TamanhoMascara; i++) {
            if (i < tamanho) {
                boleanoMascara = ((Mascara.charAt(i) === '-') || (Mascara.charAt(i) === '.') || (Mascara.charAt(i) === '/'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '(') || (Mascara.charAt(i) === ')') || (Mascara.charAt(i) === ' '));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === ',') || (Mascara.charAt(i) === '*') || (Mascara.charAt(i) === '+'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '@') || (Mascara.charAt(i) === '#') || (Mascara.charAt(i) === ':'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '$') || (Mascara.charAt(i) === '&') || (Mascara.charAt(i) === '%'));
                if (boleanoMascara) {
                    NovoValorCampo += Mascara.charAt(i);
                    TamanhoMascara++;
                }
                else {
                    NovoValorCampo += campoSoNumeros.charAt(posicaoCampo);
                    posicaoCampo++;
                }
            }
        }
        return NovoValorCampo;
    };
    return BrMaskerIonic3;
}());

BrMaskerIonic3.decorators = [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"], args: [{
                selector: '[brmasker]',
                providers: [
                    {
                        provide: __WEBPACK_IMPORTED_MODULE_1__angular_forms__["NG_VALUE_ACCESSOR"],
                        useExisting: BrMaskerIonic3,
                        multi: true
                    }
                ]
            },] },
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
];
/** @nocollapse */
BrMaskerIonic3.ctorParameters = function () { return [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Renderer"], },
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"], },
]; };
BrMaskerIonic3.propDecorators = {
    'brmasker': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"] },],
    'inputKeyup': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["HostListener"], args: ['keyup', ['$event'],] },],
    'inputOnblur': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["HostListener"], args: ['ionBlur', ['$event'],] },],
    'inputFocus': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["HostListener"], args: ['ionFocus', ['$event'],] },],
};
//# sourceMappingURL=brmasker-ionic-3.js.map

/***/ }),

/***/ 1351:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export BrMaskServicesModel */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BrMaskerIonicServices3; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);

var BrMaskServicesModel = (function () {
    function BrMaskServicesModel() {
        this.type = 'alfa';
        this.decimal = 2;
        this.decimalCaracter = ",";
        this.userCaracters = false;
        this.numberAndTousand = false;
    }
    return BrMaskServicesModel;
}());

var BrMaskerIonicServices3 = (function () {
    function BrMaskerIonicServices3() {
        this.brmasker = new BrMaskServicesModel();
    }
    BrMaskerIonicServices3.prototype.ngOnInit = function () {
        if (!this.brmasker.type) {
            this.brmasker.type = 'all';
        }
        if (!this.brmasker.decimal) {
            this.brmasker.decimal = 2;
        }
        if (!this.brmasker.decimalCaracter) {
            this.brmasker.decimalCaracter = ',';
        }
    };
    BrMaskerIonicServices3.prototype.writeCreateValue = function (value, config) {
        if (config === void 0) { config = new BrMaskServicesModel(); }
        if (value && config.phone) {
            return value.replace(/^(?:(?:\+|00)?(55)\s?)?(?:\(?([1-9][0-9])\)?\s?)?(?:((?:9\d|[2-9])\d{3})\-?(\d{4}))$/gi, '$1 ($2) $3-$4');
        }
        if (value && config.money) {
            return this.writeValueMoney(value, config);
        }
        if (value && config.person) {
            return this.writeValuePerson(value);
        }
        if (value && config.percent) {
            return this.writeValuePercent(value);
        }
        if (value && config.numberAndTousand) {
            return this.writeValueNumberAndThousand(value);
        }
        if (value && config.userCaracters) {
            return this.writeValueusingSpecialCharacters(value);
        }
        if (value && config.mask) {
            this.brmasker.mask = config.mask;
            if (config.len) {
                this.brmasker.len = config.len;
            }
            return this.onInput(value);
        }
        return value;
    };
    BrMaskerIonicServices3.prototype.writeValuePercent = function (value) {
        value.replace(/\D/gi, '');
        value.replace(/%/gi, '');
        return value.replace(/([0-9]{0})$/gi, '%$1');
    };
    BrMaskerIonicServices3.prototype.writeValuePerson = function (value) {
        if (value.length <= 11) {
            return value.replace(/(\d{3})(\d{3})(\d{3})(\d{2})/gi, '\$1.\$2.\$3\-\$4');
        }
        else {
            return value.replace(/(\d{2})(\d{3})(\d{3})(\d{4})(\d{2})/gi, '\$1.\$2.\$3\/\$4\-\$5');
        }
    };
    BrMaskerIonicServices3.prototype.writeValueMoney = function (value, config) {
        if (config === void 0) { config = new BrMaskServicesModel(); }
        return this.moneyMask(value, config);
    };
    BrMaskerIonicServices3.prototype.writeValueNumberAndThousand = function (value, config) {
        if (config === void 0) { config = new BrMaskServicesModel(); }
        return this.thousand(value);
    };
    BrMaskerIonicServices3.prototype.writeValueusingSpecialCharacters = function (value, config) {
        if (config === void 0) { config = new BrMaskServicesModel(); }
        return this.usingSpecialCharacters(value, config.mask, config.len);
    };
    BrMaskerIonicServices3.prototype.moneyMask = function (value, config) {
        var decimal = config.decimal || this.brmasker.decimal;
        value = value
            .replace(/\D/gi, '')
            .replace(new RegExp("([0-9]{" + decimal + "})$", "g"), config.decimalCaracter + '$1');
        if (value.length === decimal + 1) {
            return "0" + value; // leading 0 so we're not left with something weird like ",50"
        }
        else if (value.length > decimal + 2 && value.charAt(0) === '0') {
            return value.substr(1); // remove leading 0 when we don't need it anymore
        }
        if (config.thousand && value.length > (Number(4) + Number(config.decimal))) {
            value = value.replace(new RegExp("([0-9]{3})" + config.decimalCaracter + "([0-9]{" + config.decimal + "}$)", "g"), config.thousand + "$1" + config.decimalCaracter + "$2");
        }
        if (config.thousand && value.length > (Number(8) + Number(config.decimal))) {
            value = value.replace(new RegExp("([0-9]{3})" + config.thousand + "([0-9]{3})" + config.decimalCaracter + "([0-9]{" + config.decimal + "}$)", "g"), config.thousand + "$1" + config.thousand + "$2" + config.decimalCaracter + "$3");
        }
        return value;
    };
    BrMaskerIonicServices3.prototype.onInput = function (value) {
        var ret = this.formatField(value, this.brmasker.mask, this.brmasker.len);
        return ret;
    };
    BrMaskerIonicServices3.prototype.thousand = function (value) {
        var val = value.replace(/\D/gi, '');
        var reverse = val.toString().split('').reverse().join('');
        var thousands = reverse.match(/\d{1,3}/g);
        val = thousands.join("" + (this.brmasker.thousand || '.')).split('').reverse().join('');
        return val;
    };
    BrMaskerIonicServices3.prototype.usingSpecialCharacters = function (campo, Mascara, tamanho) {
        if (!tamanho) {
            tamanho = 99999999999;
        }
        var boleanoMascara;
        var exp = /\-|\.|\,| /gi;
        var campoSoNumeros = campo.toString().replace(exp, '');
        var posicaoCampo = 0;
        var NovoValorCampo = '';
        var TamanhoMascara = campoSoNumeros.length;
        for (var i = 0; i < TamanhoMascara; i++) {
            if (i < tamanho) {
                boleanoMascara = ((Mascara.charAt(i) === '-') || (Mascara.charAt(i) === '.') || (Mascara.charAt(i) === ','));
                if (boleanoMascara) {
                    NovoValorCampo += Mascara.charAt(i);
                    TamanhoMascara++;
                }
                else {
                    NovoValorCampo += campoSoNumeros.charAt(posicaoCampo);
                    posicaoCampo++;
                }
            }
        }
        return NovoValorCampo;
    };
    BrMaskerIonicServices3.prototype.formatField = function (campo, Mascara, tamanho) {
        if (!tamanho) {
            tamanho = 99999999999;
        }
        var boleanoMascara;
        var exp = /\-|\.|\/|\(|\)|\,|\*|\+|\@|\#|\$|\&|\%|\:| /gi;
        var campoSoNumeros = campo.toString().replace(exp, '');
        var posicaoCampo = 0;
        var NovoValorCampo = '';
        var TamanhoMascara = campoSoNumeros.length;
        for (var i = 0; i < TamanhoMascara; i++) {
            if (i < tamanho) {
                boleanoMascara = ((Mascara.charAt(i) === '-') || (Mascara.charAt(i) === '.') || (Mascara.charAt(i) === '/'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '(') || (Mascara.charAt(i) === ')') || (Mascara.charAt(i) === ' '));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === ',') || (Mascara.charAt(i) === '*') || (Mascara.charAt(i) === '+'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '@') || (Mascara.charAt(i) === '#') || (Mascara.charAt(i) === ':'));
                boleanoMascara = boleanoMascara || ((Mascara.charAt(i) === '$') || (Mascara.charAt(i) === '&') || (Mascara.charAt(i) === '%'));
                if (boleanoMascara) {
                    NovoValorCampo += Mascara.charAt(i);
                    TamanhoMascara++;
                }
                else {
                    NovoValorCampo += campoSoNumeros.charAt(posicaoCampo);
                    posicaoCampo++;
                }
            }
        }
        return NovoValorCampo;
    };
    return BrMaskerIonicServices3;
}());

BrMaskerIonicServices3.decorators = [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"], args: [{
                selector: '[brmasker]',
            },] },
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"] },
];
/** @nocollapse */
BrMaskerIonicServices3.ctorParameters = function () { return []; };
//# sourceMappingURL=brmasker-ionic-services.js.map

/***/ }),

/***/ 1352:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__app_module__ = __webpack_require__(1353);
/* harmony namespace reexport (by used) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__app_module__["a"]; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__directives__ = __webpack_require__(1354);
/* unused harmony namespace reexport */


//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1353:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BrMaskerModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__directives_brmasker_ionic_3__ = __webpack_require__(1350);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__directives_brmasker_ionic_services__ = __webpack_require__(1351);




var BrMaskerModule = (function () {
    function BrMaskerModule() {
    }
    return BrMaskerModule;
}());

BrMaskerModule.decorators = [
    { type: __WEBPACK_IMPORTED_MODULE_1__angular_core__["NgModule"], args: [{
                declarations: [
                    __WEBPACK_IMPORTED_MODULE_2__directives_brmasker_ionic_3__["a" /* BrMaskerIonic3 */],
                    __WEBPACK_IMPORTED_MODULE_3__directives_brmasker_ionic_services__["a" /* BrMaskerIonicServices3 */]
                ],
                exports: [
                    __WEBPACK_IMPORTED_MODULE_2__directives_brmasker_ionic_3__["a" /* BrMaskerIonic3 */],
                    __WEBPACK_IMPORTED_MODULE_3__directives_brmasker_ionic_services__["a" /* BrMaskerIonicServices3 */]
                ],
                imports: [
                    __WEBPACK_IMPORTED_MODULE_0__angular_common__["CommonModule"]
                ],
                schemas: [
                    __WEBPACK_IMPORTED_MODULE_1__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]
                ],
                providers: [__WEBPACK_IMPORTED_MODULE_3__directives_brmasker_ionic_services__["a" /* BrMaskerIonicServices3 */]]
            },] },
];
/** @nocollapse */
BrMaskerModule.ctorParameters = function () { return []; };
//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 1354:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__brmasker_ionic_3__ = __webpack_require__(1350);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__brmasker_ionic_services__ = __webpack_require__(1351);
/* unused harmony namespace reexport */


//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1355:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

/*

TypeScript Md5
==============

Based on work by
* Joseph Myers: http://www.myersdaily.org/joseph/javascript/md5-text.html
* André Cruz: https://github.com/satazor/SparkMD5
* Raymond Hill: https://github.com/gorhill/yamd5.js

Effectively a TypeScrypt re-write of Raymond Hill JS Library

The MIT License (MIT)

Copyright (C) 2014 Raymond Hill

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.



            DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
                    Version 2, December 2004

 Copyright (C) 2015 André Cruz <amdfcruz@gmail.com>

 Everyone is permitted to copy and distribute verbatim or modified
 copies of this license document, and changing it is allowed as long
 as the name is changed.

            DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

  0. You just DO WHAT THE FUCK YOU WANT TO.


*/
Object.defineProperty(exports, "__esModule", { value: true });
var Md5 = (function () {
    function Md5() {
        this._state = new Int32Array(4);
        this._buffer = new ArrayBuffer(68);
        this._buffer8 = new Uint8Array(this._buffer, 0, 68);
        this._buffer32 = new Uint32Array(this._buffer, 0, 17);
        this.start();
    }
    // One time hashing functions
    Md5.hashStr = function (str, raw) {
        if (raw === void 0) { raw = false; }
        return this.onePassHasher
            .start()
            .appendStr(str)
            .end(raw);
    };
    Md5.hashAsciiStr = function (str, raw) {
        if (raw === void 0) { raw = false; }
        return this.onePassHasher
            .start()
            .appendAsciiStr(str)
            .end(raw);
    };
    Md5._hex = function (x) {
        var hc = Md5.hexChars;
        var ho = Md5.hexOut;
        var n;
        var offset;
        var j;
        var i;
        for (i = 0; i < 4; i += 1) {
            offset = i * 8;
            n = x[i];
            for (j = 0; j < 8; j += 2) {
                ho[offset + 1 + j] = hc.charAt(n & 0x0F);
                n >>>= 4;
                ho[offset + 0 + j] = hc.charAt(n & 0x0F);
                n >>>= 4;
            }
        }
        return ho.join('');
    };
    Md5._md5cycle = function (x, k) {
        var a = x[0];
        var b = x[1];
        var c = x[2];
        var d = x[3];
        // ff()
        a += (b & c | ~b & d) + k[0] - 680876936 | 0;
        a = (a << 7 | a >>> 25) + b | 0;
        d += (a & b | ~a & c) + k[1] - 389564586 | 0;
        d = (d << 12 | d >>> 20) + a | 0;
        c += (d & a | ~d & b) + k[2] + 606105819 | 0;
        c = (c << 17 | c >>> 15) + d | 0;
        b += (c & d | ~c & a) + k[3] - 1044525330 | 0;
        b = (b << 22 | b >>> 10) + c | 0;
        a += (b & c | ~b & d) + k[4] - 176418897 | 0;
        a = (a << 7 | a >>> 25) + b | 0;
        d += (a & b | ~a & c) + k[5] + 1200080426 | 0;
        d = (d << 12 | d >>> 20) + a | 0;
        c += (d & a | ~d & b) + k[6] - 1473231341 | 0;
        c = (c << 17 | c >>> 15) + d | 0;
        b += (c & d | ~c & a) + k[7] - 45705983 | 0;
        b = (b << 22 | b >>> 10) + c | 0;
        a += (b & c | ~b & d) + k[8] + 1770035416 | 0;
        a = (a << 7 | a >>> 25) + b | 0;
        d += (a & b | ~a & c) + k[9] - 1958414417 | 0;
        d = (d << 12 | d >>> 20) + a | 0;
        c += (d & a | ~d & b) + k[10] - 42063 | 0;
        c = (c << 17 | c >>> 15) + d | 0;
        b += (c & d | ~c & a) + k[11] - 1990404162 | 0;
        b = (b << 22 | b >>> 10) + c | 0;
        a += (b & c | ~b & d) + k[12] + 1804603682 | 0;
        a = (a << 7 | a >>> 25) + b | 0;
        d += (a & b | ~a & c) + k[13] - 40341101 | 0;
        d = (d << 12 | d >>> 20) + a | 0;
        c += (d & a | ~d & b) + k[14] - 1502002290 | 0;
        c = (c << 17 | c >>> 15) + d | 0;
        b += (c & d | ~c & a) + k[15] + 1236535329 | 0;
        b = (b << 22 | b >>> 10) + c | 0;
        // gg()
        a += (b & d | c & ~d) + k[1] - 165796510 | 0;
        a = (a << 5 | a >>> 27) + b | 0;
        d += (a & c | b & ~c) + k[6] - 1069501632 | 0;
        d = (d << 9 | d >>> 23) + a | 0;
        c += (d & b | a & ~b) + k[11] + 643717713 | 0;
        c = (c << 14 | c >>> 18) + d | 0;
        b += (c & a | d & ~a) + k[0] - 373897302 | 0;
        b = (b << 20 | b >>> 12) + c | 0;
        a += (b & d | c & ~d) + k[5] - 701558691 | 0;
        a = (a << 5 | a >>> 27) + b | 0;
        d += (a & c | b & ~c) + k[10] + 38016083 | 0;
        d = (d << 9 | d >>> 23) + a | 0;
        c += (d & b | a & ~b) + k[15] - 660478335 | 0;
        c = (c << 14 | c >>> 18) + d | 0;
        b += (c & a | d & ~a) + k[4] - 405537848 | 0;
        b = (b << 20 | b >>> 12) + c | 0;
        a += (b & d | c & ~d) + k[9] + 568446438 | 0;
        a = (a << 5 | a >>> 27) + b | 0;
        d += (a & c | b & ~c) + k[14] - 1019803690 | 0;
        d = (d << 9 | d >>> 23) + a | 0;
        c += (d & b | a & ~b) + k[3] - 187363961 | 0;
        c = (c << 14 | c >>> 18) + d | 0;
        b += (c & a | d & ~a) + k[8] + 1163531501 | 0;
        b = (b << 20 | b >>> 12) + c | 0;
        a += (b & d | c & ~d) + k[13] - 1444681467 | 0;
        a = (a << 5 | a >>> 27) + b | 0;
        d += (a & c | b & ~c) + k[2] - 51403784 | 0;
        d = (d << 9 | d >>> 23) + a | 0;
        c += (d & b | a & ~b) + k[7] + 1735328473 | 0;
        c = (c << 14 | c >>> 18) + d | 0;
        b += (c & a | d & ~a) + k[12] - 1926607734 | 0;
        b = (b << 20 | b >>> 12) + c | 0;
        // hh()
        a += (b ^ c ^ d) + k[5] - 378558 | 0;
        a = (a << 4 | a >>> 28) + b | 0;
        d += (a ^ b ^ c) + k[8] - 2022574463 | 0;
        d = (d << 11 | d >>> 21) + a | 0;
        c += (d ^ a ^ b) + k[11] + 1839030562 | 0;
        c = (c << 16 | c >>> 16) + d | 0;
        b += (c ^ d ^ a) + k[14] - 35309556 | 0;
        b = (b << 23 | b >>> 9) + c | 0;
        a += (b ^ c ^ d) + k[1] - 1530992060 | 0;
        a = (a << 4 | a >>> 28) + b | 0;
        d += (a ^ b ^ c) + k[4] + 1272893353 | 0;
        d = (d << 11 | d >>> 21) + a | 0;
        c += (d ^ a ^ b) + k[7] - 155497632 | 0;
        c = (c << 16 | c >>> 16) + d | 0;
        b += (c ^ d ^ a) + k[10] - 1094730640 | 0;
        b = (b << 23 | b >>> 9) + c | 0;
        a += (b ^ c ^ d) + k[13] + 681279174 | 0;
        a = (a << 4 | a >>> 28) + b | 0;
        d += (a ^ b ^ c) + k[0] - 358537222 | 0;
        d = (d << 11 | d >>> 21) + a | 0;
        c += (d ^ a ^ b) + k[3] - 722521979 | 0;
        c = (c << 16 | c >>> 16) + d | 0;
        b += (c ^ d ^ a) + k[6] + 76029189 | 0;
        b = (b << 23 | b >>> 9) + c | 0;
        a += (b ^ c ^ d) + k[9] - 640364487 | 0;
        a = (a << 4 | a >>> 28) + b | 0;
        d += (a ^ b ^ c) + k[12] - 421815835 | 0;
        d = (d << 11 | d >>> 21) + a | 0;
        c += (d ^ a ^ b) + k[15] + 530742520 | 0;
        c = (c << 16 | c >>> 16) + d | 0;
        b += (c ^ d ^ a) + k[2] - 995338651 | 0;
        b = (b << 23 | b >>> 9) + c | 0;
        // ii()
        a += (c ^ (b | ~d)) + k[0] - 198630844 | 0;
        a = (a << 6 | a >>> 26) + b | 0;
        d += (b ^ (a | ~c)) + k[7] + 1126891415 | 0;
        d = (d << 10 | d >>> 22) + a | 0;
        c += (a ^ (d | ~b)) + k[14] - 1416354905 | 0;
        c = (c << 15 | c >>> 17) + d | 0;
        b += (d ^ (c | ~a)) + k[5] - 57434055 | 0;
        b = (b << 21 | b >>> 11) + c | 0;
        a += (c ^ (b | ~d)) + k[12] + 1700485571 | 0;
        a = (a << 6 | a >>> 26) + b | 0;
        d += (b ^ (a | ~c)) + k[3] - 1894986606 | 0;
        d = (d << 10 | d >>> 22) + a | 0;
        c += (a ^ (d | ~b)) + k[10] - 1051523 | 0;
        c = (c << 15 | c >>> 17) + d | 0;
        b += (d ^ (c | ~a)) + k[1] - 2054922799 | 0;
        b = (b << 21 | b >>> 11) + c | 0;
        a += (c ^ (b | ~d)) + k[8] + 1873313359 | 0;
        a = (a << 6 | a >>> 26) + b | 0;
        d += (b ^ (a | ~c)) + k[15] - 30611744 | 0;
        d = (d << 10 | d >>> 22) + a | 0;
        c += (a ^ (d | ~b)) + k[6] - 1560198380 | 0;
        c = (c << 15 | c >>> 17) + d | 0;
        b += (d ^ (c | ~a)) + k[13] + 1309151649 | 0;
        b = (b << 21 | b >>> 11) + c | 0;
        a += (c ^ (b | ~d)) + k[4] - 145523070 | 0;
        a = (a << 6 | a >>> 26) + b | 0;
        d += (b ^ (a | ~c)) + k[11] - 1120210379 | 0;
        d = (d << 10 | d >>> 22) + a | 0;
        c += (a ^ (d | ~b)) + k[2] + 718787259 | 0;
        c = (c << 15 | c >>> 17) + d | 0;
        b += (d ^ (c | ~a)) + k[9] - 343485551 | 0;
        b = (b << 21 | b >>> 11) + c | 0;
        x[0] = a + x[0] | 0;
        x[1] = b + x[1] | 0;
        x[2] = c + x[2] | 0;
        x[3] = d + x[3] | 0;
    };
    Md5.prototype.start = function () {
        this._dataLength = 0;
        this._bufferLength = 0;
        this._state.set(Md5.stateIdentity);
        return this;
    };
    // Char to code point to to array conversion:
    // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/charCodeAt
    // #Example.3A_Fixing_charCodeAt_to_handle_non-Basic-Multilingual-Plane_characters_if_their_presence_earlier_in_the_string_is_unknown
    Md5.prototype.appendStr = function (str) {
        var buf8 = this._buffer8;
        var buf32 = this._buffer32;
        var bufLen = this._bufferLength;
        var code;
        var i;
        for (i = 0; i < str.length; i += 1) {
            code = str.charCodeAt(i);
            if (code < 128) {
                buf8[bufLen++] = code;
            }
            else if (code < 0x800) {
                buf8[bufLen++] = (code >>> 6) + 0xC0;
                buf8[bufLen++] = code & 0x3F | 0x80;
            }
            else if (code < 0xD800 || code > 0xDBFF) {
                buf8[bufLen++] = (code >>> 12) + 0xE0;
                buf8[bufLen++] = (code >>> 6 & 0x3F) | 0x80;
                buf8[bufLen++] = (code & 0x3F) | 0x80;
            }
            else {
                code = ((code - 0xD800) * 0x400) + (str.charCodeAt(++i) - 0xDC00) + 0x10000;
                if (code > 0x10FFFF) {
                    throw new Error('Unicode standard supports code points up to U+10FFFF');
                }
                buf8[bufLen++] = (code >>> 18) + 0xF0;
                buf8[bufLen++] = (code >>> 12 & 0x3F) | 0x80;
                buf8[bufLen++] = (code >>> 6 & 0x3F) | 0x80;
                buf8[bufLen++] = (code & 0x3F) | 0x80;
            }
            if (bufLen >= 64) {
                this._dataLength += 64;
                Md5._md5cycle(this._state, buf32);
                bufLen -= 64;
                buf32[0] = buf32[16];
            }
        }
        this._bufferLength = bufLen;
        return this;
    };
    Md5.prototype.appendAsciiStr = function (str) {
        var buf8 = this._buffer8;
        var buf32 = this._buffer32;
        var bufLen = this._bufferLength;
        var i;
        var j = 0;
        for (;;) {
            i = Math.min(str.length - j, 64 - bufLen);
            while (i--) {
                buf8[bufLen++] = str.charCodeAt(j++);
            }
            if (bufLen < 64) {
                break;
            }
            this._dataLength += 64;
            Md5._md5cycle(this._state, buf32);
            bufLen = 0;
        }
        this._bufferLength = bufLen;
        return this;
    };
    Md5.prototype.appendByteArray = function (input) {
        var buf8 = this._buffer8;
        var buf32 = this._buffer32;
        var bufLen = this._bufferLength;
        var i;
        var j = 0;
        for (;;) {
            i = Math.min(input.length - j, 64 - bufLen);
            while (i--) {
                buf8[bufLen++] = input[j++];
            }
            if (bufLen < 64) {
                break;
            }
            this._dataLength += 64;
            Md5._md5cycle(this._state, buf32);
            bufLen = 0;
        }
        this._bufferLength = bufLen;
        return this;
    };
    Md5.prototype.getState = function () {
        var self = this;
        var s = self._state;
        return {
            buffer: String.fromCharCode.apply(null, self._buffer8),
            buflen: self._bufferLength,
            length: self._dataLength,
            state: [s[0], s[1], s[2], s[3]]
        };
    };
    Md5.prototype.setState = function (state) {
        var buf = state.buffer;
        var x = state.state;
        var s = this._state;
        var i;
        this._dataLength = state.length;
        this._bufferLength = state.buflen;
        s[0] = x[0];
        s[1] = x[1];
        s[2] = x[2];
        s[3] = x[3];
        for (i = 0; i < buf.length; i += 1) {
            this._buffer8[i] = buf.charCodeAt(i);
        }
    };
    Md5.prototype.end = function (raw) {
        if (raw === void 0) { raw = false; }
        var bufLen = this._bufferLength;
        var buf8 = this._buffer8;
        var buf32 = this._buffer32;
        var i = (bufLen >> 2) + 1;
        var dataBitsLen;
        this._dataLength += bufLen;
        buf8[bufLen] = 0x80;
        buf8[bufLen + 1] = buf8[bufLen + 2] = buf8[bufLen + 3] = 0;
        buf32.set(Md5.buffer32Identity.subarray(i), i);
        if (bufLen > 55) {
            Md5._md5cycle(this._state, buf32);
            buf32.set(Md5.buffer32Identity);
        }
        // Do the final computation based on the tail and length
        // Beware that the final length may not fit in 32 bits so we take care of that
        dataBitsLen = this._dataLength * 8;
        if (dataBitsLen <= 0xFFFFFFFF) {
            buf32[14] = dataBitsLen;
        }
        else {
            var matches = dataBitsLen.toString(16).match(/(.*?)(.{0,8})$/);
            if (matches === null) {
                return;
            }
            var lo = parseInt(matches[2], 16);
            var hi = parseInt(matches[1], 16) || 0;
            buf32[14] = lo;
            buf32[15] = hi;
        }
        Md5._md5cycle(this._state, buf32);
        return raw ? this._state : Md5._hex(this._state);
    };
    // Private Static Variables
    Md5.stateIdentity = new Int32Array([1732584193, -271733879, -1732584194, 271733878]);
    Md5.buffer32Identity = new Int32Array([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]);
    Md5.hexChars = '0123456789abcdef';
    Md5.hexOut = [];
    // Permanent instance is to use for one-call hashing
    Md5.onePassHasher = new Md5();
    return Md5;
}());
exports.Md5 = Md5;
if (Md5.hashStr('hello') !== '5d41402abc4b2a76b9719d911017c592') {
    console.error('Md5 self test failed.');
}
//# sourceMappingURL=md5.js.map

/***/ }),

/***/ 1468:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SignupPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_device__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ts_md5_dist_md5__ = __webpack_require__(1355);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ts_md5_dist_md5___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_ts_md5_dist_md5__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_string_utils__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_login_service__ = __webpack_require__(114);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_rxjs__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_9_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__providers_security_questions_service__ = __webpack_require__(686);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__support_providers_terms_conditions__ = __webpack_require__(688);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__util_network_utils__ = __webpack_require__(684);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__home_pages_home_flex__ = __webpack_require__(160);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__home_pages_home__ = __webpack_require__(695);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__ionic_native_facebook__ = __webpack_require__(65);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

















let SignupPage = class SignupPage {
    constructor(platform, navCtrl, navParams, device, toastCtrl, translate, questionService, sessionManager, termsAndConditionsService, loadingCtrl, facebook, loginService) {
        this.platform = platform;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.device = device;
        this.toastCtrl = toastCtrl;
        this.translate = translate;
        this.questionService = questionService;
        this.sessionManager = sessionManager;
        this.termsAndConditionsService = termsAndConditionsService;
        this.loadingCtrl = loadingCtrl;
        this.facebook = facebook;
        this.loginService = loginService;
        this.osVersion = "";
        this.uuid = "";
        this.model = "";
        this.platformName = "";
        this.user = {};
        this.idMaxLen = 9;
        this.showPwd = false;
        this.passwordType = "password";
        this.passwordIcon = "eye-off";
        this.showPwd2 = false;
        this.passwordType2 = "password";
        this.passwordIcon2 = "eye-off";
        this.temporalPassword = "";
        this.temporalPassword2 = "";
        this.platform.ready().then(() => {
            this.osVersion = this.device.version;
            this.uuid = this.device.uuid;
            this.model = this.device.model;
            this.platformName = this.device.platform;
        });
    }
    ionViewWillEnter() {
        this.temporalPassword = "";
        this.user.identificationType = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypePerson;
    }
    signUp() {
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].areEmpty([this.user.email, this.temporalPassword, this.user.name, this.user.firstSurname])) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidValues"));
            return;
        }
        if (!__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isValidEmail(this.user.email)) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterEmail"));
            return;
        }
        if (!__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isValidPassword(this.temporalPassword)) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.passwordRestrictions"), 10000);
            return;
        }
        if (this.temporalPassword != this.temporalPassword2) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.passwordsDontMatch"));
            return;
        }
        if (!__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isValidPassword(this.temporalPassword2)) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.passwordRestrictions"), 10000);
            return;
        }
        //Si se ingreso la identificacion
        if (!__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.identification)) {
            //Remueve los guiones
            let tempId = this.user.identification.replace(/-/g, '');
            if (this.user.identificationType === __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypePerson) {
                if ((tempId.length < __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypePersonLen) || !(__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isPatternPresent(tempId, new RegExp(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypePersonRegEx)))) {
                    __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidCNA"));
                    return;
                }
            }
            if (this.user.identificationType === __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeLegal) {
                if ((tempId.length < __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeLegalLen) || !(__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isPatternPresent(tempId, new RegExp(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeLegalRegEx)))) {
                    __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidCJU"));
                    return;
                }
            }
            if (this.user.identificationType === __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeResident) {
                if ((tempId.length < __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeResidentMinLen) || !(__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isPatternPresent(tempId, new RegExp(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeResidentMinRegEx)))) {
                    __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidRES"));
                    return;
                }
                if ((tempId.length > __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeResidentMaxLen) && !(__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isPatternPresent(tempId, new RegExp(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeResidentMaxRegEx)))) {
                    __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidRES"));
                    return;
                }
            }
        }
        this.performEmailSignup();
    }
    setIdType(e, code) {
        this.user.identification = "";
        switch (code) {
            case __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypePerson: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypePersonLen;
                break;
            }
            case __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeLegal: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeLegalLen;
                break;
            }
            case __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeOther: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeOtherLen;
                break;
            }
            case __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeResident: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypeResidentMinLen;
                break;
            }
            case __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypePassport: {
                this.idMaxLen = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypePassportLen;
                break;
            }
        }
    }
    performEmailSignup() {
        if (__WEBPACK_IMPORTED_MODULE_13__util_network_utils__["a" /* NetUtils */].isOffline()) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.connectionError"));
            return;
        }
        this.user.email = this.user.email.toLowerCase();
        this.user.password = __WEBPACK_IMPORTED_MODULE_3_ts_md5_dist_md5__["Md5"].hashStr(this.temporalPassword).toString();
        this.user.secondSurname = this.user.secondSurname ? this.user.secondSurname : null;
        this.user.model = this.model;
        this.user.platform = this.platformName;
        this.user.uuid = this.uuid;
        this.user.accessMethod = 'email';
        this.user.gender = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.defaultGender;
        this.user.birthDate = null;
        this.user.identificationType = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.idTypePerson;
        this.user.country = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.defaultCountry;
        this.user.currency = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.defaultCurrency;
        this.user.fingerPrintValidation = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.defaultNO;
        this.user.pushNotifications = __WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].app.defaultNO;
        this.user.deviceToken = this.sessionManager.getPushNotificationDeviceId();
        const loading = this.loadingCtrl.create();
        loading.present();
        this.loginService.isAccountValid(this.user).subscribe((response) => {
            if (response.existent) {
                loading.dismiss();
                __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.accountAlreadyExists"));
            }
            else {
                this.loginService.signup(this.user).subscribe((response) => {
                    if (response) {
                        setTimeout(() => {
                            let params = {
                                fb_registration_method: "Email",
                                fb_value: 0.00,
                                fb_currency: 'CRC',
                                value: 0.00,
                                currency: 'CRC'
                            };
                            this.facebook.logEvent("fb_mobile_complete_registration", params).then(() => { }).catch(e => console.log(e));
                        }, 1000);
                        this.directLogin(loading);
                    }
                    else {
                        loading.dismiss();
                        __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.registrationProblem"));
                    }
                }, error => {
                    loading.dismiss();
                    __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, error);
                });
            }
        }, error => {
            loading.dismiss();
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.registrationProblem"));
        });
    }
    directLogin(loading) {
        let email = this.user.email.toLowerCase();
        let temporalPass = this.user.password;
        this.loginService.loginWithEmail(email, temporalPass).subscribe((authenticatedUser) => {
            if (authenticatedUser && authenticatedUser.existent) {
                //Verifica si tiene pregunta de seguridad
                this.checkSecurityQuestion().subscribe((isQuestionConfigured) => {
                    loading.dismiss();
                    if (!isQuestionConfigured) {
                        //Carga la configuracion requerida para el dashboard o lobby y muestra el dialogo
                        //de pregunta de seguridad
                        this.sessionManager.getDataSet(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].session.HOME_SECTIONS).subscribe((data) => {
                            this.sessionManager.set(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].session.FLEX_HOME_ACTIVE, (data && data.length > 0));
                            this.navCtrl.setRoot('ChangeSecurityQuestionPage', { "enforce": true });
                        });
                    }
                    else {
                        this.goToHome();
                    }
                });
            }
            else {
                loading.dismiss();
                __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.loginError"));
            }
        }, error => {
            loading.dismiss();
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.loginProblem"));
        });
    }
    checkSecurityQuestion() {
        return new __WEBPACK_IMPORTED_MODULE_9_rxjs__["Observable"](observer => {
            var request = {
                userId: this.sessionManager.getPrincipal().userId,
                token: this.sessionManager.getToken()
            };
            this.questionService.getUserSecurityQuestions(request).subscribe((list) => {
                observer.next(list && list.length > 0);
                observer.complete();
            }, error => {
                observer.next(false);
                observer.complete();
            });
        });
    }
    loginWithFacebook() {
        if (__WEBPACK_IMPORTED_MODULE_13__util_network_utils__["a" /* NetUtils */].isOffline()) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.connectionError"));
            return;
        }
        this.loginService.loginWithFacebook().subscribe((authenticatedUser) => {
            if (authenticatedUser && authenticatedUser.existent) {
                this.goToHome();
            }
            else {
                __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.fbUserCannotBeVerified"));
            }
        }, error => {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, error.message);
        });
    }
    performGoogleLogin() {
        if (__WEBPACK_IMPORTED_MODULE_13__util_network_utils__["a" /* NetUtils */].isOffline()) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.connectionError"));
            return;
        }
        //Levanta todo el flujo de autenticacion con los servicios de Google
        //si la bandera existent =  true, todo es correcto y el usuario ya esta sincronizado con eFast
        this.loginService.loginWithGoogle().subscribe((authenticatedUser) => {
            if (authenticatedUser && authenticatedUser.existent) {
                this.goToHome();
            }
            else {
                __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.googleUserCannotBeVerified"));
            }
        }, error => {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, error.message);
        });
    }
    hideShowPassword() {
        this.showPwd = !this.showPwd;
        if (this.showPwd) {
            this.passwordType = "text";
            this.passwordIcon = "eye";
        }
        else {
            this.passwordType = "password";
            this.passwordIcon = "eye-off";
        }
    }
    hideShowPassword2() {
        this.showPwd2 = !this.showPwd2;
        if (this.showPwd2) {
            this.passwordType2 = "text";
            this.passwordIcon2 = "eye";
        }
        else {
            this.passwordType2 = "password";
            this.passwordIcon2 = "eye-off";
        }
    }
    goToHome() {
        if (__WEBPACK_IMPORTED_MODULE_13__util_network_utils__["a" /* NetUtils */].isOffline()) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.connectionError"));
            return;
        }
        //Carga la configuracion requerida para el dashboard o lobby
        this.sessionManager.getDataSet(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].session.HOME_SECTIONS).subscribe((data) => {
            let homeFlex = (data && data.length > 0);
            this.sessionManager.set(__WEBPACK_IMPORTED_MODULE_7__config_config__["a" /* AppConfig */].session.FLEX_HOME_ACTIVE, homeFlex);
            if (homeFlex) {
                this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_14__home_pages_home_flex__["a" /* HomeFlexPage */]);
            }
            else {
                this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_15__home_pages_home__["a" /* HomePage */]);
            }
        });
    }
    termsAndConditions() {
        if (__WEBPACK_IMPORTED_MODULE_13__util_network_utils__["a" /* NetUtils */].isOffline()) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.connectionError"));
            return;
        }
        const loading = this.loadingCtrl.create();
        loading.present();
        var session = this.sessionManager.getSession().toModel();
        this.termsAndConditionsService.getTermAndCondition(session).subscribe((data) => {
            loading.dismiss();
            if (data && data.information) {
                let information = data.information;
                this.navCtrl.push('InformationPage', { 'information': information });
            }
        }, error => {
            loading.dismiss();
        });
    }
    loginWithApple() {
        this.loginService.loginWithApple().subscribe((authenticatedUser) => {
            if (authenticatedUser) {
                if (authenticatedUser.existent) {
                    this.goToHome();
                }
                else if (authenticatedUser.forceLogout === 'S') {
                    this.loginService.logout(authenticatedUser).subscribe((result) => {
                        if (result) {
                            this.navCtrl.push('LoginFrontPage');
                        }
                        else {
                            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.closeSessionProblem"));
                        }
                    });
                }
            }
            else {
                __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.appleUserCannotBeVerified"));
            }
        }, error => {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.appleUserCannotBeVerified"));
        });
    }
};
SignupPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-signup',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\security\pages\signup\signup.html"*/'<ion-header>\n\n  <ion-navbar class="home-nav">\n\n    <ion-title class="lg-txt">Registrarse</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content class="formss">\n\n  <ion-list>\n\n    <form name="editProfileForm" #editProfileForm=\'ngForm\' autocomplete="false">\n\n\n\n      <ion-item-group>\n\n        <ion-item-divider text-center>Registrarse es muy f&Aacute;cil</ion-item-divider>\n\n        <ion-item>\n\n          <ion-label floating>Nombre *</ion-label>\n\n          <ion-input [(ngModel)]="user.name" (ngModelChange)="user.name = $event.toLocaleUpperCase()" type="text"\n\n            name="name" autocorrect="on" clearInput="true" maxlength="50" required></ion-input>\n\n        </ion-item>\n\n        <ion-item>\n\n          <ion-label floating>1er. Apellido *</ion-label>\n\n          <ion-input [(ngModel)]="user.firstSurname" (ngModelChange)="user.firstSurname = $event.toLocaleUpperCase()"\n\n            type="text" name="firstSurname" autocorrect="on" clearInput="true" maxlength="50" required></ion-input>\n\n        </ion-item>\n\n        <ion-item>\n\n          <ion-label floating>2do. Apellido</ion-label>\n\n          <ion-input [(ngModel)]="user.secondSurname" (ngModelChange)="user.secondSurname = $event.toLocaleUpperCase()"\n\n            type="text" name="secondSurname" autocorrect="on" clearInput="true" maxlength="50"></ion-input>\n\n        </ion-item>\n\n        <ion-item class="select-itmm">\n\n          <ion-label floating>TIPO DE ID.</ion-label>\n\n          <ion-select [(ngModel)]="user.identificationType" name="identificationType">\n\n            <ion-option value="F" (ionSelect)="setIdType($event, \'F\')">C&Eacute;DULA DE IDENTIDAD</ion-option>\n\n            <ion-option value="J" (ionSelect)="setIdType($event, \'J\')">C&Eacute;DULA JUR&Iacute;DICA</ion-option>\n\n            <ion-option value="P" (ionSelect)="setIdType($event, \'P\')">PASAPORTE</ion-option>\n\n            <ion-option value="R" (ionSelect)="setIdType($event, \'R\')">C&Eacute;DULA DE RESIDENCIA</ion-option>\n\n            <ion-option value="O" (ionSelect)="setIdType($event, \'O\')">OTROS</ion-option>\n\n          </ion-select>\n\n        </ion-item>\n\n        <!--<ion-item [attr.no-lines]="(user.identificationType != \'P\' && user.identificationType != \'O\') ? true : null">-->\n\n        <ion-item>\n\n          <ion-label floating>Identificaci&oacute;n</ion-label>\n\n          <ion-input *ngIf="user.identificationType === \'F\'" [(ngModel)]="user.identification"\n\n            (ngModelChange)="user.identification = $event.toLocaleUpperCase()"\n\n            [brmasker]="{mask:\'0-0000-0000\', len:11, type:\'num\'}" type="text" name="identification" autocorrect="on"\n\n            clearInput="true" maxlength="20"></ion-input>\n\n          <ion-input *ngIf="user.identificationType === \'J\'" [(ngModel)]="user.identification"\n\n            (ngModelChange)="user.identification = $event.toLocaleUpperCase()"\n\n            [brmasker]="{mask:\'0-000-000000\', len:12, type:\'num\'}" type="text" name="identification" autocorrect="on"\n\n            clearInput="true" maxlength="20"></ion-input>\n\n          <ion-input *ngIf="user.identificationType === \'R\'" [(ngModel)]="user.identification"\n\n            (ngModelChange)="user.identification = $event.toLocaleUpperCase()"\n\n            [brmasker]="{mask:\'0000000000000000\', len:16, type:\'num\'}" type="text" name="identification"\n\n            autocorrect="on" clearInput="true" maxlength="20"></ion-input>\n\n          <ion-input *ngIf="user.identificationType === \'P\' || user.identificationType === \'O\'"\n\n            [(ngModel)]="user.identification" (ngModelChange)="user.identification = $event.toLocaleUpperCase()"\n\n            type="text" name="identification" autocorrect="on" clearInput="true" maxlength="20"></ion-input>\n\n        </ion-item>\n\n        <ion-item [attr.no-lines]="true" class="small-item"\n\n          *ngIf="user.identificationType != \'P\' && user.identificationType != \'O\'">\n\n          <small class="color-warm-grey" *ngIf="user.identificationType === \'F\'">El Formato v&aacute;lido es:\n\n            #-####-####</small>\n\n          <small class="color-warm-grey" *ngIf="user.identificationType === \'J\'">El Formato v&aacute;lido es:\n\n            #-###-######</small>\n\n          <small class="color-warm-grey" *ngIf="user.identificationType === \'R\'">El Formato v&aacute;lido es:\n\n            ################</small>\n\n        </ion-item>\n\n        <ion-item>\n\n          <ion-label floating>Correo electr&oacute;nico *</ion-label>\n\n          <ion-input [(ngModel)]="user.email" type="email" class="lower-case" name="email" required clearInput="true"\n\n            maxlength="150"></ion-input>\n\n        </ion-item>\n\n        <ion-item>\n\n          <ion-label floating>Contrase&ntilde;a *</ion-label>\n\n          <ion-input [(ngModel)]="temporalPassword" [type]="passwordType" name="password" required clearInput="true"\n\n            maxlength="50"></ion-input>\n\n          <ion-icon item-end [name]="passwordIcon" class="passwordIcon type-toggle" tappable\n\n            (click)=\'hideShowPassword()\' tappable></ion-icon>\n\n        </ion-item>\n\n        <ion-item>\n\n          <ion-label floating>Confirmar Contrase&ntilde;a *</ion-label>\n\n          <ion-input [(ngModel)]="temporalPassword2" [type]="passwordType2" name="password" required clearInput="true"\n\n            maxlength="50"></ion-input>\n\n          <ion-icon item-end [name]="passwordIcon2" class="passwordIcon type-toggle" tappable\n\n            (click)=\'hideShowPassword2()\' tappable></ion-icon>\n\n        </ion-item>\n\n        <div padding>\n\n          <button class="action-button lg-txt-btn" ion-button block round clear tappable\n\n            (click)="signUp()">Registrarme</button>\n\n          <h5 class="light-font color-black" tappable (click)="navCtrl.pop()">&iquest;Ya tienes una cuenta? <span\n\n              class="semibold-font">INGRESA AQU&Iacute;</span></h5>\n\n        </div>\n\n      </ion-item-group>\n\n\n\n      <ion-item-group *ngIf="!this.platform.is(\'ios\')">\n\n        <ion-item-divider text-center>&oacute; mediante</ion-item-divider>\n\n        <div padding class="social-section m-t-10">\n\n          <ion-row>\n\n            <ion-col col-5 class="vertical-align-content" tappable (click)="performGoogleLogin()">\n\n              <img src="assets/images/social/google.png" height="40" text-center>\n\n            </ion-col>\n\n            <ion-col text-center col-2>\n\n              <div class="vertical-line"></div>\n\n            </ion-col>\n\n            <ion-col col-5 class="vertical-align-content" tappable (click)="loginWithFacebook()">\n\n              <img src="assets/images/social/facebook.png" height="40" text-center>\n\n            </ion-col>\n\n          </ion-row>\n\n        </div>\n\n      </ion-item-group>\n\n\n\n      <ion-item-group *ngIf="this.platform.is(\'ios\')">\n\n        <ion-item-divider text-center>&oacute; mediante</ion-item-divider>\n\n        <div padding class="social-section m-t-10">\n\n          <ion-row>\n\n            <ion-col col-3 class="vertical-align-content" tappable (click)="performGoogleLogin()">\n\n              <img src="assets/images/social/google.png" height="40" text-center>\n\n            </ion-col>\n\n            <ion-col text-center col-1>\n\n              <div class="vertical-line"></div>\n\n            </ion-col>\n\n            <ion-col col-4 class="vertical-align-content" tappable (click)="loginWithFacebook()">\n\n              <img src="assets/images/social/facebook.png" height="40" text-center>\n\n            </ion-col>\n\n            <ion-col text-center col-1>\n\n              <div class="vertical-line"></div>\n\n            </ion-col>\n\n            <ion-col col-3 class="vertical-align-content" tappable (click)="loginWithApple()">\n\n              <img src="assets/images/social/apple.png" height="40" text-center>\n\n            </ion-col>\n\n          </ion-row>\n\n        </div>\n\n      </ion-item-group>\n\n\n\n      <ion-item-group>\n\n        <ion-item-divider text-center>Pol&iacute;tica de contrase&ntilde;as</ion-item-divider>\n\n        <p class="padding color-warm-grey ">\n\n          <li>Debe tener entre 7 y 12 caracteres de longitud. Debe tener may&uacute;sculas, min&uacute;sculas y\n\n            alg&uacute;n n&uacute;mero. Puede tener s&iacute;mbolos como &amp;, -, _, $</li>\n\n        </p>\n\n        <p class="padding light-font color-warm-grey">Si desea contactarnos puede hacerlo al correo\n\n          <b>servicio.cliente@efastonline.com</b>\n\n        </p>\n\n        <p class="padding light-font color-warm-grey" tappable (click)="termsAndConditions()">T&eacute;rminos\n\n          &amp; Condiciones</p>\n\n      </ion-item-group>\n\n\n\n    </form>\n\n  </ion-list>\n\n</ion-content>'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\security\pages\signup\signup.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_2__ionic_native_device__["a" /* Device */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_4__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_11__providers_security_questions_service__["a" /* SecurityQuestionsService */],
        __WEBPACK_IMPORTED_MODULE_10__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_12__support_providers_terms_conditions__["a" /* TermsConditionsService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_16__ionic_native_facebook__["a" /* Facebook */],
        __WEBPACK_IMPORTED_MODULE_8__providers_login_service__["a" /* LoginService */]])
], SignupPage);

//# sourceMappingURL=signup.js.map

/***/ })

});
//# sourceMappingURL=5.js.map