webpackJsonp([66],{

/***/ 1329:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SettingsPageModule", function() { return SettingsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__settings__ = __webpack_require__(1469);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let SettingsPageModule = class SettingsPageModule {
};
SettingsPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__settings__["a" /* SettingsPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__settings__["a" /* SettingsPage */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__settings__["a" /* SettingsPage */]
        ]
    })
], SettingsPageModule);

//# sourceMappingURL=settings.module.js.map

/***/ }),

/***/ 1469:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SettingsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__support_providers_terms_conditions__ = __webpack_require__(688);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__ = __webpack_require__(112);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_unique_device_id__ = __webpack_require__(289);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








let SettingsPage = class SettingsPage {
    constructor(navCtrl, navParams, platform, statusBar, uniqueDeviceID, termsAndConditionsService, sessionManager, loadingCtrl, device) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.platform = platform;
        this.statusBar = statusBar;
        this.uniqueDeviceID = uniqueDeviceID;
        this.termsAndConditionsService = termsAndConditionsService;
        this.sessionManager = sessionManager;
        this.loadingCtrl = loadingCtrl;
        this.device = device;
        this.hidenOptionCounter = 0;
    }
    ionViewWillEnter() {
        this.statusBar.styleDefault();
        this.version = __WEBPACK_IMPORTED_MODULE_4__config_config__["a" /* AppConfig */].app.version;
        if (this.platform.is("ios")) {
            this.registerDeviceUUID();
        }
        else {
            this.terminal = this.device.uuid;
        }
        this.authenticated = this.sessionManager.isAuthenticated();
        if (this.authenticated) {
            this.userId = this.sessionManager.getPrincipal().userId;
        }
    }
    registerDeviceUUID() {
        this.uniqueDeviceID.get().then((uuid) => {
            this.terminal = uuid;
        })
            .catch((error) => console.log(error));
    }
    termsAndConditions() {
        //window.open("https://www.efastonline.com/#/terms",'_blank');
        const loading = this.loadingCtrl.create();
        loading.present();
        var session = this.sessionManager.getSession().toModel();
        this.termsAndConditionsService.getTermAndCondition(session).subscribe((data) => {
            loading.dismiss();
            if (data && data.information) {
                let information = data.information;
                this.navCtrl.push('InformationPage', { 'information': information });
            }
        }, error => {
            loading.dismiss();
        });
    }
    ionViewWillLeave() {
        this.statusBar.styleBlackTranslucent();
    }
    count() {
        this.hidenOptionCounter++;
    }
};
SettingsPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-settings',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\settings\pages\settings.html"*/'\n\n<ion-header>\n\n\n\n  <ion-navbar class="home-nav">\n\n      <button ion-button menuToggle>\n\n          <ion-icon name="md-menu"></ion-icon>\n\n        </button>\n\n    <ion-title >Acerca de E-Fast</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content class="forms">\n\n\n\n  <ion-list text-left>\n\n\n\n      <ion-item-group>\n\n          <ion-item-divider>General</ion-item-divider>\n\n          <ion-item (click)="termsAndConditions()">\n\n              T&eacute;rminos y Condiciones\n\n          </ion-item>\n\n          <!--<ion-item >\n\n          <a href="https://www.efastonline.com/#/terms" target="_blank" >T&eacute;rminos y Condiciones</a>\n\n        </ion-item>-->\n\n          <ion-item (click)="count()" text-wrap>\n\n              VERSI&Oacute;N: {{ version }}\n\n          </ion-item>\n\n          <ion-item (click)="count()" text-wrap>\n\n            T.I.: {{ terminal }}\n\n          </ion-item>\n\n      </ion-item-group>\n\n\n\n  </ion-list>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\settings\pages\settings.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
        __WEBPACK_IMPORTED_MODULE_5__ionic_native_status_bar__["a" /* StatusBar */],
        __WEBPACK_IMPORTED_MODULE_7__ionic_native_unique_device_id__["a" /* UniqueDeviceID */],
        __WEBPACK_IMPORTED_MODULE_2__support_providers_terms_conditions__["a" /* TermsConditionsService */],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__["a" /* Device */]])
], SettingsPage);

//# sourceMappingURL=settings.js.map

/***/ })

});
//# sourceMappingURL=66.js.map