webpackJsonp([82],{

/***/ 1302:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProfilePageModule", function() { return ProfilePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__profile__ = __webpack_require__(1442);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let ProfilePageModule = class ProfilePageModule {
};
ProfilePageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__profile__["a" /* ProfilePage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__profile__["a" /* ProfilePage */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__profile__["a" /* ProfilePage */]
        ]
    })
], ProfilePageModule);

//# sourceMappingURL=profile.module.js.map

/***/ }),

/***/ 1442:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__security_providers_login_service__ = __webpack_require__(114);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__datasets_product_history_dataset__ = __webpack_require__(288);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_geozone_service__ = __webpack_require__(273);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










let ProfilePage = class ProfilePage {
    constructor(navCtrl, toastCtrl, sessionManager, loginService, alertCtrl, loadingCtrl, geoZoneService, translate, events, historyDataSet) {
        this.navCtrl = navCtrl;
        this.toastCtrl = toastCtrl;
        this.sessionManager = sessionManager;
        this.loginService = loginService;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.geoZoneService = geoZoneService;
        this.translate = translate;
        this.events = events;
        this.historyDataSet = historyDataSet;
        this.user = {};
    }
    ionViewDidLoad() {
        this.performGeoZonesInit();
    }
    ionViewWillEnter() {
        this.user = this.sessionManager.getPrincipal();
    }
    fallback() {
        this.user.picture = __WEBPACK_IMPORTED_MODULE_4__config_config__["a" /* AppConfig */].app.defaultProfileImage;
    }
    fireOpenProductListing() {
        this.historyDataSet.clear();
        this.historyDataSet.clearLock();
        this.historyDataSet.setPreLoadMode(false); //Dataset no PRE INICIALIZADO en el startup
        this.navCtrl.push('ProductListingPage', {
            dataSet: this.historyDataSet,
            title: "Productos Vistos Recientemente"
        });
    }
    logout() {
        __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].showConfirm(this.alertCtrl, this.translate.instant("messages.closeSession"), () => {
            this.loginService.logout(this.user).subscribe((result) => {
                if (result) {
                    this.navCtrl.push('LoginFrontPage');
                }
                else {
                    __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.closeSessionProblem"));
                }
            });
        });
    }
    performGeoZonesInit() {
        const loading = this.loadingCtrl.create();
        loading.present();
        this.geoZoneService.loadWards().subscribe((list) => {
            loading.dismiss();
            this.events.publish(__WEBPACK_IMPORTED_MODULE_4__config_config__["a" /* AppConfig */].event.GEO_ZONES_LOADED);
        }, error => {
        });
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
    handleNavigation(page) {
        __WEBPACK_IMPORTED_MODULE_5__util_view_utils__["a" /* ViewUtils */].handleNavigation(this.navCtrl, page, this.sessionManager);
    }
};
ProfilePage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: "page-profile",template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\profile.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n  <ion-navbar no-border transparent class="home-nav">\n\n    <button ion-button menuToggle color="light">\n\n      <ion-icon name="md-menu"></ion-icon>\n\n    </button>\n\n    <ion-title class="header-ion-title" color="light">\n\n      <div class="header-title-bar">\n\n        <img showWhen="android,windows" class="header-title-image" height="40" alt="logo"\n\n          src="assets/images/general/Logo-E-Fast.png">\n\n        <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n      </div>\n\n    </ion-title>\n\n  </ion-navbar>\n\n  <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n    MI PERFIL\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content class="profile">\n\n\n\n\n\n  <div class="cover-photo-holder" text-left>\n\n    <ion-item class="item item-trns" no-lines tappable>\n\n      <ion-avatar item-start>\n\n        <img class="item-avatar-img" [src]="user.picture" (error)="fallback()">\n\n      </ion-avatar>\n\n      <h2 text-left class="lg-txt">{{user.name + " " + user.firstSurname}}</h2>\n\n      <p style="white-space: pre-wrap;" disabled text-left class="md-txt-lg">{{user.email}}</p >\n\n      <!--ion-icon name="md-camera" item-end tappable (click)="navCtrl.push(\'EditAvatarPage\')"></ion-icon-->\n\n    </ion-item>\n\n  </div>\n\n\n\n\n\n  <div class="forms">\n\n\n\n    <ion-list text-left>\n\n      <ion-item-group>\n\n        <ion-item-divider>GENERAL</ion-item-divider>\n\n\n\n        <ion-item tappable (click)="navCtrl.push(\'EditProfilePage\')">\n\n          Editar mi perfil\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>\n\n\n\n        <ion-item tappable (click)="navCtrl.push(\'EditAvatarPage\')">\n\n          Cambiar mi foto de perfil\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>\n\n\n\n        <ion-item tappable (click)="navCtrl.push(\'PaymentOptionPage\')">\n\n          Medios de pago\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>\n\n\n\n        <ion-item tappable (click)="navCtrl.push(\'AddressBookPage\')">\n\n          Direcciones de env&iacute;o\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>\n\n\n\n        <!--<ion-item tappable (click)="navCtrl.push(\'ProductCategorySetupPage\')">\n\n          Mis intereses\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>-->\n\n\n\n        <!--<ion-item tappable (click)="fireOpenProductListing()">\n\n          Productos vistos recientemente\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>-->\n\n\n\n        <!--<ion-item tappable (click)="navCtrl.push(\'ReviewOrderPage\')">\n\n          Evaluaci&oacute;n de productos\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>-->\n\n\n\n      </ion-item-group>\n\n\n\n      <ion-item-group>\n\n        <ion-item-divider>SEGURIDAD</ion-item-divider>\n\n        <ion-item tappable (click)="navCtrl.push(\'EditEmailPage\')">\n\n          Cambiar mi correo electr&oacute;nico\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>\n\n        <ion-item tappable (click)="navCtrl.push(\'EditPasswordPage\')">\n\n          Cambiar contrase&ntilde;a\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>\n\n        <ion-item tappable (click)="navCtrl.push(\'ChangeSecurityQuestionInAppPage\', {showBackButton:true})">\n\n          Pregunta de seguridad\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>\n\n      </ion-item-group>\n\n\n\n      <ion-item-group>\n\n        <ion-item-divider>OTROS</ion-item-divider>\n\n        <ion-item tappable (click)="navCtrl.push(\'EditRegionPage\')">\n\n          Pais/Regi&oacute;n\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>\n\n        <!--<ion-item tappable (click)="navCtrl.push(\'InviteFriendPage\')">\n\n          Invitar a un amigo\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>-->\n\n        <ion-item tappable (click)="navCtrl.push(\'CloseAccountPage\')">\n\n          Eliminar mi cuenta\n\n          <ion-icon name="ios-arrow-forward" item-end></ion-icon>\n\n        </ion-item>\n\n      </ion-item-group>\n\n\n\n    </ion-list>\n\n\n\n  </div>\n\n\n\n  <div padding>\n\n    <button class="action-button lg-txt-btn" ion-button clear block round tappable (click)="logout()">Cerrar\n\n      sesión</button>\n\n  </div>\n\n\n\n  <ion-fab right bottom>\n\n    <button ion-fab class="button-option">\n\n      <ion-icon name="apps"></ion-icon>\n\n    </button>\n\n    <ion-fab-list side="top">\n\n      <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'SearchCategoriesPage\')">\n\n        <ion-icon name="md-filing"></ion-icon>\n\n      </button>\n\n      <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'SearchPage\')">\n\n        <ion-icon name="md-search"></ion-icon>\n\n      </button>\n\n      <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'CartPage\')">\n\n        <ion-icon name="md-cart"></ion-icon>\n\n      </button>\n\n      <button ion-fab class="button-detail-option" tappable (click)="handleNavigation(\'Root\')">\n\n        <ion-icon name="md-home"></ion-icon>\n\n      </button>\n\n    </ion-fab-list>\n\n  </ion-fab>\n\n\n\n</ion-content>'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\profile.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_6__security_providers_login_service__["a" /* LoginService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_8__providers_geozone_service__["a" /* GeoZoneService */],
        __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
        __WEBPACK_IMPORTED_MODULE_7__datasets_product_history_dataset__["a" /* ProductHistoryDataSet */]])
], ProfilePage);

//# sourceMappingURL=profile.js.map

/***/ })

});
//# sourceMappingURL=82.js.map