webpackJsonp([88],{

/***/ 1296:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProductCategorySetupPageModule", function() { return ProductCategorySetupPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__product_category_setup__ = __webpack_require__(1436);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_image_loader__ = __webpack_require__(269);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







let ProductCategorySetupPageModule = class ProductCategorySetupPageModule {
};
ProductCategorySetupPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__product_category_setup__["a" /* ProductCategorySetupPage */]
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__product_category_setup__["a" /* ProductCategorySetupPage */]),
            __WEBPACK_IMPORTED_MODULE_3_ionic_image_loader__["b" /* IonicImageLoader */]
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_5__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_6__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__product_category_setup__["a" /* ProductCategorySetupPage */]
        ]
    })
], ProductCategorySetupPageModule);

//# sourceMappingURL=product-category-setup.module.js.map

/***/ }),

/***/ 1436:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProductCategorySetupPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__products_providers_product_product_category_service__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ngx_translate_core__ = __webpack_require__(42);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









let ProductCategorySetupPage = class ProductCategorySetupPage {
    constructor(navCtrl, navParams, alertCtrl, viewCtrl, translate, sessionManager, loadingCtrl, toastCtrl, events, categoryService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.viewCtrl = viewCtrl;
        this.translate = translate;
        this.sessionManager = sessionManager;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.events = events;
        this.categoryService = categoryService;
        this.categories = [];
        this.userCategories = [];
        this.isLoading = true;
        this.categories = new Array();
    }
    ionViewDidLoad() {
        this.loading = this.loadingCtrl.create();
        this.fetchCategories();
    }
    ionViewWillEnter() {
        this.isLoading = true;
        this.authenticated = this.sessionManager.isAuthenticated();
    }
    fetchCategories() {
        this.sessionManager.getDataSet(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].session.PRODUCT_CATEGORY).subscribe((list) => {
            this.categories = list;
            this.fetchUserCategories();
        }, error => {
        });
    }
    fetchUserCategories() {
        this.sessionManager.getDataSet(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].session.USER_PRODUCT_CATEGORY, true).subscribe((list) => {
            this.isLoading = false;
            this.userCategories = list;
            this.checkForMarkedCategories();
        }, error => {
        });
    }
    checkForMarkedCategories() {
        if (this.categories && this.userCategories && this.userCategories.length > 0) {
            for (var i = 0; i < this.categories.length; i++) {
                var category = this.categories[i];
                for (var j = 0; j < this.userCategories.length; j++) {
                    if (category.code === this.userCategories[j].code) {
                        category.initialSelected = true;
                        category.selected = true;
                    }
                }
            }
        }
    }
    markCategory(category) {
        category.selected = !category.selected;
    }
    dismiss() {
        this.viewCtrl.dismiss();
    }
    addUserCategory(userCategory) {
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](observer => {
            this.loading.present();
            //Consulta todas las tarjetas de ccredito
            this.categoryService.addUserCategory(this.sessionManager.getSession().toModel(), userCategory).subscribe((data) => {
                this.loading.dismiss();
                observer.next();
                observer.complete();
            }, error => {
                this.loading.dismiss();
                observer.error();
            });
        });
    }
    removeUserCategory(userCategory) {
        return new __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"](observer => {
            this.loading.present();
            //Consulta todas las tarjetas de ccredito
            this.categoryService.removeUserCategory(this.sessionManager.getSession().toModel(), userCategory).subscribe((data) => {
                this.loading.dismiss();
                observer.next();
                observer.complete();
            }, error => {
                this.loading.dismiss();
                observer.error();
            });
        });
    }
    save() {
        if (!this.authenticated) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].showAuthDialog(this.alertCtrl, this.translate.instant('messages.interestSelectionMessage'), () => {
                __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].goToRegistration(this.navCtrl);
            });
            return;
        }
        var token = this.sessionManager.getToken();
        var userId = this.sessionManager.getPrincipal().userId;
        if (this.categories) {
            let observables = [];
            for (var i = 0; i < this.categories.length; i++) {
                var userCategory = {
                    token: token,
                    userId: userId,
                    code: this.categories[i].code
                };
                //Categoria que hay que remover
                if (this.categories[i].initialSelected && !this.categories[i].selected) {
                    observables.push(this.removeUserCategory(userCategory));
                }
                //Categoria que hay que agregar
                if (!this.categories[i].initialSelected && this.categories[i].selected) {
                    observables.push(this.addUserCategory(userCategory));
                }
            }
            if (observables.length > 0) {
                __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].forkJoin(observables)
                    .subscribe(() => {
                    this.sessionManager.refreshDataSet(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].session.USER_PRODUCT_CATEGORY).subscribe();
                    this.events.publish(__WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].event.MY_INTEREST_CATEGORY_CHANGED);
                    let toast = this.toastCtrl.create({
                        message: 'Preferencias actualizadas',
                        duration: 1000
                    });
                    toast.onDidDismiss(() => {
                        setTimeout(() => {
                            //this.navCtrl.pop();
                        }, 500);
                    });
                    toast.present();
                }, error => {
                    //Manejado por el servicio llamador
                });
            }
            else {
                this.navCtrl.pop();
            }
        }
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
ProductCategorySetupPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'product-category-setup',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\profile-products\product-category-setup\product-category-setup.html"*/'<ion-header class="header-ion-header" [ngStyle]="navbarBackground()">\n\n    <ion-navbar transparent class="home-nav">\n\n        <button ion-button menuToggle color="light">\n\n            <ion-icon name="md-menu"></ion-icon>\n\n        </button>\n\n        <ion-title class="header-ion-title" color="light">\n\n            <div class="header-title-bar">\n\n                <img showWhen="android,windows" class="header-title-image" height="40" alt="logo"\n\n                    src="assets/images/general/Logo-E-Fast.png">\n\n                <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n            </div>\n\n        </ion-title>\n\n        <ion-buttons end>\n\n            <button ion-button icon-only tappable color="light" (click)="save()">\n\n                <span ion-text>Guardar</span>\n\n            </button>\n\n        </ion-buttons>\n\n    </ion-navbar>\n\n    <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n        MIS INTERESES\n\n    </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n    <ion-card *ngIf="isLoading">\n\n        <div class="fake-thumbnail-item">\n\n            <div class="fake-image-container">\n\n                <div class="fake-image fake-image-lg"></div>\n\n            </div>\n\n            <ion-card-content>\n\n                <ion-row wrap>\n\n                    <ion-col col-12>\n\n                        <h2></h2>\n\n                        <h3></h3>\n\n                    </ion-col>\n\n                </ion-row>\n\n            </ion-card-content>\n\n        </div>\n\n    </ion-card>\n\n\n\n    <ion-card no-padding *ngIf="!isLoading">\n\n        <ion-card-content no-padding>\n\n            <ion-row wrap class="items">\n\n\n\n                <!-- No se encontraron datos, despliega mensaje informativo -->\n\n                <div class="empty-message" *ngIf="categories.length == 0" padding>\n\n                    <ion-row>\n\n                        <ion-col text-center>\n\n                            <ion-icon class="empty-icon" name="ios-albums-outline"></ion-icon><br>\n\n                            <label class="lg-txt">No hay categor&iacute;as disponibles.</label>\n\n                        </ion-col>\n\n                    </ion-row>\n\n                </div>\n\n\n\n                <ng-container *ngIf="categories.length > 0">\n\n                    <ion-col col-6 *ngFor="let category of categories">\n\n                        <div (click)="markCategory(category);" tappable\n\n                            [ngClass]="category.selected ? \'listing-featured\' : \'listing\'">\n\n                            <div class="image">\n\n                                <img [src]="category.image" tappable />\n\n                            </div>\n\n                            <h2 class="md-txt" text-left tappable>{{category.description | uppercase}}</h2>\n\n                        </div>\n\n                    </ion-col>\n\n                </ng-container>\n\n\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n\n\n</ion-content>'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\profile-products\product-category-setup\product-category-setup.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
        __WEBPACK_IMPORTED_MODULE_7__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Events"],
        __WEBPACK_IMPORTED_MODULE_4__products_providers_product_product_category_service__["a" /* ProductCategoryService */]])
], ProductCategorySetupPage);

//# sourceMappingURL=product-category-setup.js.map

/***/ })

});
//# sourceMappingURL=88.js.map