webpackJsonp([90],{

/***/ 1286:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EditEmailPageModule", function() { return EditEmailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__edit_email__ = __webpack_require__(1426);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let EditEmailPageModule = class EditEmailPageModule {
};
EditEmailPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__edit_email__["a" /* EditEmailPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__edit_email__["a" /* EditEmailPage */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__edit_email__["a" /* EditEmailPage */]
        ]
    })
], EditEmailPageModule);

//# sourceMappingURL=edit-email.module.js.map

/***/ }),

/***/ 1426:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditEmailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__security_providers_user_service__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_string_utils__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__util_view_utils__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







let EditEmailPage = class EditEmailPage {
    constructor(navCtrl, navParams, sessionManager, loadingCtrl, toastCtrl, translate, userService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sessionManager = sessionManager;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.translate = translate;
        this.userService = userService;
        this.user = {};
    }
    ionViewWillEnter() {
        this.user = this.sessionManager.getPrincipal();
        this.currentEmail = this.user.email;
        this.newEmail = "";
        this.confirmEmail = "";
    }
    save() {
        if (__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].areEmpty([this.newEmail, this.confirmEmail])) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterValidValues"));
            return;
        }
        if (!__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isValidEmail(this.newEmail)) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterEmail"));
            return;
        }
        if (!__WEBPACK_IMPORTED_MODULE_5__util_string_utils__["a" /* StringUtils */].isValidEmail(this.confirmEmail)) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.enterEmail"));
            return;
        }
        if (this.newEmail.trim() !== this.confirmEmail.trim()) {
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.emailDoesNotMatch"));
            return;
        }
        const loading = this.loadingCtrl.create();
        loading.present();
        this.user.email = this.newEmail.toLowerCase();
        this.userService.modifyUser(this.user).subscribe((response) => {
            this.sessionManager.getSession().updatePrincipal(this.user);
            loading.dismiss();
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataSaved"));
            setTimeout(() => {
                this.navCtrl.pop();
            }, 500);
        }, error => {
            loading.dismiss();
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataNotSaved"));
        });
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
EditEmailPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-edit-email',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\edit-email\edit-email.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n  <ion-navbar no-border transparent class="home-nav">\n\n    <button ion-button menuToggle color="light">\n\n      <ion-icon name="md-menu"></ion-icon>\n\n    </button>\n\n    <ion-title class="header-ion-title" color="light">\n\n      <div class="header-title-bar">\n\n        <img showWhen="android,windows" class="header-title-image" height="40" alt="logo"\n\n          src="assets/images/general/Logo-E-Fast.png">\n\n        <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n      </div>\n\n    </ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only tappable color="light" (click)="save()">\n\n        <span ion-text>Guardar</span>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n  <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n    MI CORREO ELECTR&Oacute;NICO\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content class="formss">\n\n  <ion-list>\n\n    <form name="editProfileForm" #editProfileForm=\'ngForm\' autocomplete="false">\n\n      <ion-item-group>\n\n        <ion-item-divider>Correo electr&oacute;nico actual</ion-item-divider>\n\n        <ion-item>\n\n          <ion-label floating>Actual</ion-label>\n\n          <ion-input type="email" [(ngModel)]="currentEmail" class="lower-case" readonly="true" name="currentEmail"\n\n            required></ion-input>\n\n        </ion-item>\n\n      </ion-item-group>\n\n\n\n      <ion-item-group>\n\n        <ion-item-divider>Correo electr&oacute;nico nuevo</ion-item-divider>\n\n        <ion-item>\n\n          <ion-label floating>Nuevo</ion-label>\n\n          <ion-input type="email" [(ngModel)]="newEmail" class="lower-case" name="newEmail" required clearInput="true"\n\n            maxlength="150"></ion-input>\n\n        </ion-item>\n\n        <ion-item>\n\n          <ion-label floating>Confirmar correo electr&oacute;nico</ion-label>\n\n          <!--electr&oacute;nico-->\n\n          <ion-input type="email" [(ngModel)]="confirmEmail" class="lower-case" name="confirmEmail" required\n\n            clearInput="true" maxlength="150"></ion-input>\n\n        </ion-item>\n\n\n\n      </ion-item-group>\n\n    </form>\n\n  </ion-list>\n\n</ion-content>'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\edit-email\edit-email.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_3__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */],
        __WEBPACK_IMPORTED_MODULE_4__security_providers_user_service__["a" /* UserService */]])
], EditEmailPage);

//# sourceMappingURL=edit-email.js.map

/***/ })

});
//# sourceMappingURL=90.js.map