webpackJsonp([93],{

/***/ 1287:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EditRegionPageModule", function() { return EditRegionPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__edit_region__ = __webpack_require__(1427);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(64);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__ = __webpack_require__(682);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






let EditRegionPageModule = class EditRegionPageModule {
};
EditRegionPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__edit_region__["a" /* EditRegionPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__edit_region__["a" /* EditRegionPage */]),
        ],
        providers: [
            [{ provide: __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["b" /* TimeoutInterceptor */], multi: true }],
            [{ provide: __WEBPACK_IMPORTED_MODULE_4__util_timeout_interceptor__["a" /* DEFAULT_TIMEOUT */], useValue: __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.timeout }]
        ],
        exports: [
            __WEBPACK_IMPORTED_MODULE_2__edit_region__["a" /* EditRegionPage */]
        ]
    })
], EditRegionPageModule);

//# sourceMappingURL=edit-region.module.js.map

/***/ }),

/***/ 1427:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditRegionPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__security_providers_user_service__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_string_utils__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__config_config__ = __webpack_require__(3);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__util_view_utils__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__session_session_manager_service__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_geozone_service__ = __webpack_require__(273);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









let EditRegionPage = class EditRegionPage {
    constructor(navCtrl, navParams, geoZoneService, sessionManager, loadingCtrl, toastCtrl, userService, translate) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.geoZoneService = geoZoneService;
        this.sessionManager = sessionManager;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.userService = userService;
        this.translate = translate;
        this.countries = [];
        this.user = {};
    }
    ionViewDidLoad() {
        this.loadCountries();
    }
    ionViewWillEnter() {
        var flag = this.sessionManager.get("userInfoUpdated");
        if (!flag) {
            const loading = this.loadingCtrl.create();
            loading.present();
            this.user = this.sessionManager.getPrincipal();
            this.userService.getUser(this.user).subscribe((response) => {
                //Mantiene el token
                response.token = this.user.token;
                response.userId = this.user.userId;
                this.sessionManager.set("userInfoUpdated", true);
                this.sessionManager.getSession().updatePrincipal(response);
                this.preSetDefaultValues();
                loading.dismiss();
            }, error => {
                loading.dismiss();
            });
        }
        else {
            this.preSetDefaultValues();
        }
    }
    preSetDefaultValues() {
        this.user = this.sessionManager.getPrincipal();
        if (__WEBPACK_IMPORTED_MODULE_4__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.country)) {
            this.user.country = __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.defaultCountry;
        }
    }
    loadCountries() {
        this.geoZoneService.loadCountries().subscribe(countries => {
            this.countries = countries;
        });
    }
    save() {
        if (__WEBPACK_IMPORTED_MODULE_4__util_string_utils__["a" /* StringUtils */].isEmpty(this.user.country)) {
            this.user.country = __WEBPACK_IMPORTED_MODULE_5__config_config__["a" /* AppConfig */].app.defaultCountry;
        }
        const loading = this.loadingCtrl.create();
        loading.present();
        this.userService.modifyUser(this.user).subscribe((response) => {
            this.sessionManager.getSession().updatePrincipal(this.user);
            loading.dismiss();
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataSaved"));
            setTimeout(() => {
                this.navCtrl.pop();
            }, 500);
        }, error => {
            loading.dismiss();
            __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].presentToast(this.toastCtrl, this.translate.instant("messages.dataNotSaved"));
        });
    }
    navbarBackground() {
        return __WEBPACK_IMPORTED_MODULE_6__util_view_utils__["a" /* ViewUtils */].getNavBarColor(this.sessionManager);
    }
};
EditRegionPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-edit-region',template:/*ion-inline-start:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\address\edit-region\edit-region.html"*/'<ion-header no-border class="header-ion-header" [ngStyle]="navbarBackground()">\n\n    <ion-navbar no-border transparent class="home-nav">\n\n        <button ion-button menuToggle color="light">\n\n            <ion-icon name="md-menu"></ion-icon>\n\n        </button>\n\n        <ion-title class="header-ion-title" color="light">\n\n            <div class="header-title-bar">\n\n                <img showWhen="android,windows" class="header-title-image" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n                <img showWhen="ios" height="40" alt="logo" src="assets/images/general/Logo-E-Fast.png">\n\n            </div>\n\n        </ion-title>\n\n        <ion-buttons end>\n\n          <button ion-button icon-only tappable color="light" (click)="save()">\n\n              <span ion-text>Guardar</span>\n\n          </button>          \n\n        </ion-buttons>         \n\n    </ion-navbar>\n\n    <ion-toolbar no-border class="header-toolbar-title lg-txt">\n\n      MI REGI&Oacute;N\n\n    </ion-toolbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content class="forms">\n\n  <ion-list>\n\n    <form name="editProfileForm" #editProfileForm=\'ngForm\' autocomplete="false">\n\n      <ion-item-group>\n\n        <ion-item-divider>Informaci&oacute;n</ion-item-divider>\n\n        <ion-item>\n\n            <ion-label>Pais/Región</ion-label>\n\n            <ion-select [(ngModel)]="user.country" name="country">\n\n              <ion-option [value]="country.countryCode" *ngFor="let country of countries">{{country.countryName}}</ion-option>\n\n              </ion-select>\n\n        </ion-item>\n\n\n\n      </ion-item-group>\n\n\n\n    </form>\n\n\n\n  </ion-list>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\ezuniga\Documents\Desarrollo\EfastStore\AppE-fast\app\src\modules\profile\pages\address\edit-region\edit-region.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
        __WEBPACK_IMPORTED_MODULE_8__providers_geozone_service__["a" /* GeoZoneService */],
        __WEBPACK_IMPORTED_MODULE_7__session_session_manager_service__["a" /* SessionManagerService */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
        __WEBPACK_IMPORTED_MODULE_3__security_providers_user_service__["a" /* UserService */],
        __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["c" /* TranslateService */]])
], EditRegionPage);

//# sourceMappingURL=edit-region.js.map

/***/ })

});
//# sourceMappingURL=93.js.map